
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99424 --
ALTER TABLE TT_IVE DROP CONSTRAINT FK_IVE_MER;

/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99424 --
DROP INDEX I_FK_IVE_MER;

/*-- SEQ 0004 --*/
-- Tarefa 99424 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_MER FOREIGN KEY (FILOIP, SEQOIP, NUMADI, SEQMER) REFERENCES TT_MER (CODFIL, SEQUEN, NUMITE, SEQMER);

/*-- SEQ 0005 --*/
-- Tarefa 99424 --
CREATE INDEX I_FK_IVE_MER ON TT_IVE (FILOIP, SEQOIP, NUMADI, SEQMER) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0006 --*/
-- Tarefa 98993 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_EMBQTD;

/*-- SEQ 0007 --*/
-- Tarefa 98993 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_EMBQTD CHECK ((EMBQTD IS NULL AND EMBORI IS NULL) OR (EMBQTD IS NOT NULL AND EMBQTD >= 0 AND EMBORI IS NOT NULL));


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
CREATE TABLE TT_VOT (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILOIP CHAR(3),
  SEQOIP CHAR(10),
  QTDVOL Number(12),
  ESPECI VARCHAR2(60)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0009 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
ALTER TABLE TT_VOT ADD CONSTRAINT PK_VOT PRIMARY KEY (CODFIL, SEQUEN);
  
/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
ALTER TABLE TT_VOT ADD CONSTRAINT FK_VOT_OIP FOREIGN KEY (FILOIP, SEQOIP) REFERENCES TT_OIP (CODFIL, SEQUEN);
 
/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
CREATE INDEX I_FK_VOT_OIP ON TT_VOT (FILOIP, SEQOIP) TABLESPACE TOTALL_INDEX; 

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
ALTER TABLE TT_VOT MODIFY (QTDVOL CONSTRAINT NN_VOT_QTDVOL NOT NULL);


/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
ALTER TABLE TT_VOT MODIFY (ESPECI CONSTRAINT NN_VOT_ESPECI NOT NULL);

 
/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99443 --
CREATE SEQUENCE SQVOT INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD FILTRA CHAR(3) ;


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD CODTRA CHAR(6) ;


/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD CONSTRAINT FK_OIP_CLI FOREIGN KEY (FILTRA,CODTRA) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
CREATE INDEX I_FK_OIP_CLI ON TT_OIP (FILTRA,CODTRA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD DESTRA VARCHAR2(100) ;


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD VLRADU Number(12,2) ;


/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD PESLIQ Number(12,3) ;


/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD PESBRU Number(12,3) ;


/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD TIPFRE Number(1) ;


/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_OIP ADD CONSTRAINT CK_OIP_TIPFRE CHECK (TIPFRE IN (0, 1, 2, 9));

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD VLRFRE Number(12,2) ;


/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD VLRSEG Number(12,2) ;


/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD FILFOR CHAR(3) ;


/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD CODFOR CHAR(6) ;


/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD CONSTRAINT FK_ADI_CLI_FOR FOREIGN KEY (FILFOR,CODFOR) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
CREATE INDEX I_FK_ADI_CLI_FOR ON TT_ADI (FILFOR,CODFOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD DESFOR VARCHAR2(100) ;


/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD FILFAB CHAR(3) ;


/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD CODFAB CHAR(6) ;


/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD CONSTRAINT FK_ADI_CLI_FAB FOREIGN KEY (FILFAB,CODFAB) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
CREATE INDEX I_FK_ADI_CLI_FAB ON TT_ADI (FILFAB,CODFAB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_ADI ADD DESFAB VARCHAR2(100) ;


/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD FILMAT CHAR(3) ;


/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD CODMAT CHAR(5) ;


/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD CODCOR Number(5) ;


/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD CODTAM Number(5) ;


/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD CONSTRAINT FK_MER_GRA FOREIGN KEY (FILMAT,CODMAT,CODCOR,CODTAM) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
CREATE INDEX I_FK_MER_GRA ON TT_MER (FILMAT,CODMAT,CODCOR,CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD QTDORI Number(12,4) ;


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99442 --
ALTER TABLE TT_MER ADD VLRANT Number(12,2) ;



/*-- SEQ 0045 --*/
-- Tarefa 99471 --
ALTER TABLE TT_CPM ADD QTDMIN Number(12,4) ;



/*-- SEQ 0046 --*/
-- Tarefa 99607 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0047 --*/
ALTER TABLE TT_PRO ADD LABORATORIO Number(1) DEFAULT 0;

/*-- SEQ 0048 --*/
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0049 --*/
-- Tarefa 99607 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;

/*-- SEQ 0050 --*/
ALTER TABLE TT_CLI ADD LABORATORIO Number(1) DEFAULT 0;

/*-- SEQ 0051 --*/
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0052 --*/
-- Tarefa 99607 --
ALTER TABLE TT_PRO MODIFY (LABORATORIO CONSTRAINT NN_PRO_LABORATORIO NOT NULL);


/*-- SEQ 0053 --*/
-- Tarefa 99607 --
ALTER TABLE TT_CLI MODIFY (LABORATORIO CONSTRAINT NN_CLI_LABORATORIO NOT NULL);



/*-- SEQ 0054 --*/
-- Tarefa 99617 --
CREATE TABLE TT_ATU (
    ID_ATU Number(14),
    DESATU VARCHAR2(20),
    ATU_EM Date) TABLESPACE TOTALL_DATA;

/*-- SEQ 0055 --*/
-- Tarefa 99617 --
ALTER TABLE TT_ATU ADD CONSTRAINT PK_ATU PRIMARY KEY (ID_ATU);

/*-- SEQ 0056 --*/
-- Tarefa 99617 --
ALTER TABLE TT_ATU MODIFY (DESATU CONSTRAINT NN_ATU_DESATU NOT NULL);


/*-- SEQ 0057 --*/
-- Tarefa 99617 --
ALTER TABLE TT_ATU MODIFY (ATU_EM CONSTRAINT NN_ATU_ATU_EM NOT NULL);


/*-- SEQ 0058 --*/
-- Tarefa 99617 --
CREATE UNIQUE INDEX I_UQ_ATU ON TT_ATU (DESATU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0059 --*/
-- Tarefa 99617 --
INSERT INTO TT_ATU
SELECT 1, 'CONFIGURACAO', ATU_EM FROM TT_CFG;



/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99628 --
DROP FUNCTION BloqueiaOrigem;

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99628 --
DROP FUNCTION DesbloqueiaOrigem;


/*-- SEQ 0062 --*/
-- Tarefa 99642 --
ALTER TABLE TT_CFG ADD TIPRTT_VGAS Number(5,0) ;


/*-- SEQ 0063 --*/
-- Tarefa 99642 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DRTT_VGAS FOREIGN KEY (TIPRTT_VGAS) REFERENCES TD_RTT (CODTAB);

/*-- SEQ 0064 --*/
-- Tarefa 99642 --
CREATE INDEX I_FK_CFG_DRTT_VGAS ON TT_CFG (TIPRTT_VGAS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0065 --*/
-- Tarefa 99642 --
ALTER TABLE TW_CFG ADD TIPRTT_VGAS Number(5,0) ;




/*-- SEQ 0066 --*/
-- Tarefa 99692 --
ALTER TABLE TT_LOI DROP COLUMN XMLDOC CASCADE CONSTRAINT;

/*-- SEQ 0067 --*/
-- Tarefa 99692 --
ALTER TABLE TT_LOI ADD XMLDOC CLOB ;


/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99692 --
ALTER TABLE TT_ADI DROP CONSTRAINT NN_ADI_FABEST;


/*-- SEQ 0069 --*/
-- Tarefa 99692 --
ALTER TABLE TT_OIP DISABLE ALL TRIGGERS;

/*-- SEQ 0070 --*/
ALTER TABLE TT_OIP ADD FLGCAD CHAR(1) DEFAULT 'I';

/*-- SEQ 0071 --*/
ALTER TABLE TT_OIP ENABLE ALL TRIGGERS;

/*-- SEQ 0072 --*/
-- Tarefa 99692 --
ALTER TABLE TT_OIP ADD CONSTRAINT CK_OIP_FLGCAD CHECK (FLGCAD IN ('I','C'));

/*-- SEQ 0073 --*/
-- Tarefa 99692 --
ALTER TABLE TT_OIP MODIFY (FLGCAD CONSTRAINT NN_OIP_FLGCAD NOT NULL);


/*-- SEQ 0074 --*/
-- Tarefa 99692 --
ALTER TABLE TT_OIP DISABLE ALL TRIGGERS;

/*-- SEQ 0075 --*/
ALTER TABLE TT_OIP ADD FLGEMI VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0076 --*/
ALTER TABLE TT_OIP ENABLE ALL TRIGGERS;

/*-- SEQ 0077 --*/
-- Tarefa 99692 --
ALTER TABLE TT_OIP ADD CONSTRAINT CK_OIP_FLGEMI CHECK (FLGEMI IN ('T','F'));

/*-- SEQ 0078 --*/
-- Tarefa 99692 --
ALTER TABLE TT_OIP MODIFY (FLGEMI CONSTRAINT NN_OIP_FLGEMI NOT NULL);


/*-- SEQ 0079 --*/
-- Tarefa 99692 --
CREATE INDEX I_LC_OIP_FLGEMI ON TT_OIP (FLGEMI, DATOPE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0080 --*/
-- Tarefa 99692 --
ALTER TABLE TT_IVE ADD VLRAFR Number(12,2) ;


/*-- SEQ 0081 --*/
-- Tarefa 99692 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0082 --*/
-- Tarefa 99692 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VLRAFR', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VLRAFR'));

/*-- SEQ 0083 --*/
-- Tarefa 99692 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0084 --*/
-- Tarefa 99705 --
ALTER TABLE TT_CFG ADD TIPRTT_VPRE Number(5,0) ;


/*-- SEQ 0085 --*/
-- Tarefa 99705 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DRTT_VPRE FOREIGN KEY (TIPRTT_VPRE) REFERENCES TD_RTT (CODTAB);

/*-- SEQ 0086 --*/
-- Tarefa 99705 --
CREATE INDEX I_FK_CFG_DRTT_VPRE ON TT_CFG (TIPRTT_VPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0087 --*/
-- Tarefa 99705 --
ALTER TABLE TW_CFG ADD TIPRTT_VPRE Number(5,0) ;



/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99704 --
SELECT * FROM NADA;

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99704 --
SELECT * FROM NADA;

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99704 --
SELECT * FROM NADA;

/*-- SEQ 0091 --*/
-- Tarefa 99704 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0092 --*/
-- Tarefa 99704 --
UPDATE TT_CFG SET CHECKOUT_VERMIN = '5.4a', CHECKOUT_RELMIN = 6;

/*-- SEQ 0093 --*/
-- Tarefa 99704 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0094 --*/
-- Tarefa 99782 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0095 --*/
-- Tarefa 99782 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOTEDNA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOTEDNA'));

/*-- SEQ 0096 --*/
-- Tarefa 99782 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0097 --*/
-- Tarefa 99824 --
ALTER TABLE TD_CAI ADD CAIMEN Number(2) ;


/*-- SEQ 0098 --*/
-- Tarefa 99824 --
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_CAIMEN CHECK ((CAIMEN >= 1) AND (CAIMEN <= 99));

/*-- SEQ 0099 --*/
-- Tarefa 99824 --
CREATE UNIQUE INDEX I_UQ_DCAI_CAIMEN ON TD_CAI (CAIMEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0100 --*/
-- Tarefa 99824 --
ALTER TABLE TW_TAB ADD CAIMEN Number(2) ;



/*-- SEQ 0101 --*/
-- Tarefa 99807 --
ALTER TABLE TD_CAI DROP CONSTRAINT CK_DCAI_CX_USU;

/*-- SEQ 0102 --*/
-- Tarefa 99807 --
ALTER TABLE TD_CAI ADD CONSTRAINT CK_DCAI_CX_USU CHECK (CX_USU IN (0,1,2));


/*-- SEQ 0103 --*/
-- Tarefa 99835 --
ALTER TABLE TD_FIL ADD IP_ORDERLOCAL VARCHAR2(3) ;



/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;

/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99861 --
SELECT * FROM NADA;


/*-- SEQ 0107 --*/
-- Tarefa 99861 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0108 --*/
-- Tarefa 99861 --
UPDATE TT_PRO PRO SET USALOT = 'T', LOTONL = 'T' 
 WHERE EXISTS(SELECT 1 AS OK FROM TD_FIL DFIL WHERE DFIL.CGCFIL='81336398000133')
   AND EXISTS(SELECT 1 AS OK FROM TT_LOT LOT  WHERE LOT.FILMAT=PRO.FILMAT AND LOT.CODMAT=PRO.CODMAT);

/*-- SEQ 0109 --*/
-- Tarefa 99861 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;


/*-- SEQ 0110 --*/
-- Tarefa 99835 --
ALTER TABLE TD_FIL MODIFY (IP_ORDERLOCAL VARCHAR2(20));


/*-- SEQ 0111 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CELCON VARCHAR2(10));

/*-- SEQ 0112 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CELNUM VARCHAR2(10));

/*-- SEQ 0113 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CELUCO VARCHAR2(10));

/*-- SEQ 0114 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CONTEL VARCHAR2(10));

/*-- SEQ 0115 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (NUMTEL VARCHAR2(10));

/*-- SEQ 0116 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (TELCON VARCHAR2(10));

/*-- SEQ 0117 --*/
-- Tarefa 99809 --
ALTER TABLE TT_SPC MODIFY (NUMTEL VARCHAR2(10));

/*-- SEQ 0118 --*/
-- Tarefa 99809 --
ALTER TABLE TT_SPC MODIFY (TELCON VARCHAR2(10));



/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99958 --
SELECT * FROM NADA;


/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99697 --
DROP VIEW TV_FIN_RTT CASCADE CONSTRAINTS;


/*-- SEQ 0121 --*/
-- Tarefa 100032 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0122 --*/
-- Tarefa 100032 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_NF';

/*-- SEQ 0123 --*/
-- Tarefa 100032 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0124 --*/
-- Tarefa 100086 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0125 --*/
-- Tarefa 100086 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_CF';

/*-- SEQ 0126 --*/
-- Tarefa 100086 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;


/*-- SEQ 0131 --*/
-- Tarefa 100108 --
ALTER TABLE TT_SAL DISABLE ALL TRIGGERS;


/*-- SEQ 0132 --*/
-- Tarefa 100108 --
UPDATE TT_SAL
   SET CAL_CM = NULL, 
       ATU_CM = 'F', 
       DUMMY = 'x'
 WHERE NOT EXISTS (SELECT 1
                     FROM TT_FUN 
                    WHERE NOMFUN = 'ATU_CSTMDO');      

/*-- SEQ 0133 --*/
-- Tarefa 100108 --
ALTER TABLE TT_SAL ENABLE ALL TRIGGERS;

/*-- SEQ 0134 --*/
-- Tarefa 100108 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0135 --*/
-- Tarefa 100108 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ATU_CSTMDO', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ATU_CSTMDO'));

/*-- SEQ 0136 --*/
-- Tarefa 100108 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0137 --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD FILPGT CHAR(3) ;


/*-- SEQ 0138 --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD CODPGT CHAR(3) ;


/*-- SEQ 0139 --*/
-- Tarefa 97756 --
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_PLA FOREIGN KEY (FILPGT,CODPGT) REFERENCES TT_PLA (FILPGT,CODPGT);

/*-- SEQ 0140 --*/
-- Tarefa 97756 --
CREATE INDEX I_FK_REC_PLA ON TT_REC (FILPGT,CODPGT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0141 --*/
-- Tarefa 97753 --
ALTER TABLE TT_PLA DROP CONSTRAINT CK_PLA_APLICA;

/*-- SEQ 0142 --*/
-- Tarefa 97753 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_APLICA CHECK (APLICA IN (0,1,2,3,4,5,6));


/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;

/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100446 --
SELECT * FROM NADA;


/*-- SEQ 0150 --*/
-- Tarefa 100440 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0151 --*/
-- Tarefa 100440 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCK_SEP_R', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCK_SEP_R'));

/*-- SEQ 0152 --*/
-- Tarefa 100440 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0153 --*/
-- Tarefa 100446 --
ALTER TABLE TT_CON DISABLE ALL TRIGGERS;


/*-- SEQ 0154 --*/
-- Tarefa 100446 --
ALTER TABLE TT_RFC DISABLE ALL TRIGGERS;


/*-- SEQ 0155 --*/
-- Tarefa 100446 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0156 --*/
-- Tarefa 100446 --
ALTER TABLE TT_END DISABLE ALL TRIGGERS;


/*-- SEQ 0157 --*/
-- Tarefa 100446 --
ALTER TABLE TT_SPC DISABLE ALL TRIGGERS;


/*-- SEQ 0158 --*/
-- Tarefa 100446 --
UPDATE TT_CON
   SET TELCON = '9'||TRIM(TELCON)
 WHERE SUBSTR(TRIM(TELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(TELCON)) = 8;

/*-- SEQ 0159 --*/
-- Tarefa 100446 --
UPDATE TT_RFC
   SET NUMFON = '9'||TRIM(NUMFON)
 WHERE SUBSTR(TRIM(NUMFON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMFON)) = 8;

/*-- SEQ 0160 --*/
-- Tarefa 100446 --
UPDATE TT_CLI
   SET TELCON = '9'||TRIM(TELCON)
 WHERE SUBSTR(TRIM(TELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(TELCON)) = 8;

/*-- SEQ 0161 --*/
-- Tarefa 100446 --
UPDATE TT_END
   SET NUMFON = '9'||TRIM(NUMFON)
 WHERE SUBSTR(TRIM(NUMFON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMFON)) = 8;

/*-- SEQ 0162 --*/
-- Tarefa 100446 --
UPDATE TT_CLI
   SET CELCON = '9'||TRIM(CELCON)
 WHERE SUBSTR(TRIM(CELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(CELCON)) = 8;

/*-- SEQ 0163 --*/
-- Tarefa 100446 --
UPDATE TT_SPC
   SET NUMCEL = '9'||TRIM(NUMCEL)
 WHERE SUBSTR(TRIM(NUMCEL),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(NUMCEL)) = 8;

/*-- SEQ 0164 --*/
-- Tarefa 100446 --
UPDATE TT_CON
   SET CELCON = '9'||TRIM(CELCON)
 WHERE SUBSTR(TRIM(CELCON),1,1) IN ('6','7','8','9')
   AND LENGTH(TRIM(CELCON)) = 8;

/*-- SEQ 0165 --*/
-- Tarefa 100446 --
ALTER TABLE TT_CON ENABLE ALL TRIGGERS;

/*-- SEQ 0166 --*/
-- Tarefa 100446 --
ALTER TABLE TT_RFC ENABLE ALL TRIGGERS;

/*-- SEQ 0167 --*/
-- Tarefa 100446 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0168 --*/
-- Tarefa 100446 --
ALTER TABLE TT_END ENABLE ALL TRIGGERS;

/*-- SEQ 0169 --*/
-- Tarefa 100446 --
ALTER TABLE TT_SPC ENABLE ALL TRIGGERS;


/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
ALTER TABLE TT_ROM ADD CODEXT VARCHAR2(40) ;


/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
CREATE UNIQUE INDEX I_UQ_ROM_CODEXT ON TT_ROM (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
CREATE TABLE TI_ROM (
    CODFIL CHAR(3), 
    CODEXT VARCHAR2(40),    
    DATCRI Date,
    FILMOT CHAR(3),
    CODMOT CHAR(6),
    PLACA  CHAR(7),
    FLGEST CHAR(1),
    STATUS Number(1) DEFAULT 0,
    MOTREJ VARCHAR2(255),
    DATIMP Date
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
ALTER TABLE TI_ROM MODIFY (DATCRI CONSTRAINT NN_IROM_DATCRI NOT NULL);


/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
ALTER TABLE TI_ROM MODIFY (STATUS CONSTRAINT NN_IROM_STATUS NOT NULL);


/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
CREATE INDEX I_LC_IROM_STATUS ON TI_ROM (STATUS, DATCRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
ALTER TABLE TI_SEP ADD ROM_CODEXT VARCHAR2(40) ;


/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TI_ROM', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TI_ROM'));

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100482 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0180 --*/
-- Tarefa 100415 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_DATSEG;

/*-- SEQ 0181 --*/
-- Tarefa 100415 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_DATSEG CHECK (datseg IS NULL OR datseg >= datpri AND qtdpar > 0);


/*-- SEQ 0182 --*/
-- Tarefa 99958 --
ALTER TABLE TD_CAI DISABLE ALL TRIGGERS;


/*-- SEQ 0183 --*/
-- Tarefa 99958 --
UPDATE TD_CAI
   SET CAIMEN = TO_NUMBER(CX_COD)
 WHERE ISDIGIT(CX_COD) = 1
   AND CX_COD < '100';

/*-- SEQ 0184 --*/
-- Tarefa 99958 --
ALTER TABLE TD_CAI ENABLE ALL TRIGGERS;


/*-- SEQ 0185 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM DROP CONSTRAINT NN_NCM_SECNCM;


/*-- SEQ 0186 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM ADD DATINC Date ;


/*-- SEQ 0187 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM ADD ATU_EM Date ;


/*-- SEQ 0188 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0189 --*/
-- Tarefa 98774 --
UPDATE TT_NCM
   SET DATINC = Agora(),
       ATU_EM = Agora()
 WHERE DATINC IS NULL OR ATU_EM IS NULL;

/*-- SEQ 0190 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM ENABLE ALL TRIGGERS;

/*-- SEQ 0191 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM MODIFY (DATINC CONSTRAINT NN_NCM_DATINC NOT NULL);


/*-- SEQ 0192 --*/
-- Tarefa 98774 --
ALTER TABLE TT_NCM MODIFY (ATU_EM CONSTRAINT NN_NCM_ATU_EM NOT NULL);



/*-- SEQ 0193 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSHOTCOLORCRIATINTASDAT Date ;


/*-- SEQ 0194 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSHOTCOLORCRIATINTASQTD Number(9,0) ;


/*-- SEQ 0195 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSHOTCOLORATUTINTASDAT Date ;


/*-- SEQ 0196 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSHOTCOLORATUTINTASQTD Number(9,0) ;


/*-- SEQ 0197 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSHOTCOLOREXCLUITINTASDAT Date ;


/*-- SEQ 0198 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSHOTCOLOREXCLUITINTASQTD Number(9,0) ;


/*-- SEQ 0199 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSELFCOLORCRIATINTASDAT Date ;


/*-- SEQ 0200 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSELFCOLORCRIATINTASQTD Number(9,0) ;


/*-- SEQ 0201 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSELFCOLORATUTINTASDAT Date ;


/*-- SEQ 0202 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSELFCOLORATUTINTASQTD Number(9,0) ;


/*-- SEQ 0203 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSELFCOLOREXCLUITINTASDAT Date ;


/*-- SEQ 0204 --*/
-- Tarefa 100787 --
ALTER TABLE GX_CFG ADD GX_CFGSELFCOLOREXCLUITINTASQTD Number(9,0) ;


