
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104911 --
SELECT * FROM NADA;

/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104911 --
SELECT * FROM NADA;

/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104911 --
SELECT * FROM NADA;


/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104912 --
SELECT * FROM NADA;


/*-- SEQ 0006 --*/
-- Tarefa 104892 --
CREATE TABLE TT_FREXCOM (
  ID_FREXCOM Number(14),
  DATINC Date,
  FILFRE CHAR(3),
  SEQFRE CHAR(10),
  FILCOM CHAR(3),
  SEQCOM CHAR(10)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0007 --*/ 
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ADD CONSTRAINT PK_FREXCOM PRIMARY KEY (ID_FREXCOM);
 
/*-- SEQ 0008 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM MODIFY (DATINC CONSTRAINT NN_FREXCOM_DATINC NOT NULL);


/*-- SEQ 0009 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM MODIFY (FILFRE CONSTRAINT NN_FREXCOM_FILFRE NOT NULL);


/*-- SEQ 0010 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM MODIFY (SEQFRE CONSTRAINT NN_FREXCOM_SEQFRE NOT NULL);


/*-- SEQ 0011 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM MODIFY (FILCOM CONSTRAINT NN_FREXCOM_FILCOM NOT NULL);


/*-- SEQ 0012 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM MODIFY (SEQCOM CONSTRAINT NN_FREXCOM_SEQCOM NOT NULL);

 
/*-- SEQ 0013 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ADD CONSTRAINT FK_FREXCOM_FRE FOREIGN KEY (FILFRE, SEQFRE) REFERENCES TT_COM (CODFIL, SEQUEN);
 
/*-- SEQ 0014 --*/
-- Tarefa 104892 --
CREATE INDEX I_FK_FREXCOM_FRE ON TT_FREXCOM (FILFRE, SEQFRE) TABLESPACE TOTALL_INDEX;
 
/*-- SEQ 0015 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ADD CONSTRAINT FK_FREXCOM_COM FOREIGN KEY (FILCOM, SEQCOM) REFERENCES TT_COM (CODFIL, SEQUEN);
 
/*-- SEQ 0016 --*/
-- Tarefa 104892 --
CREATE INDEX I_FK_FREXCOM_COM ON TT_FREXCOM (FILCOM, SEQCOM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0017 --*/
-- Tarefa 104892 --
CREATE SEQUENCE SQFREXCOM INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;
 
/*-- SEQ 0018 --*/
-- Tarefa 104892 --
CREATE UNIQUE INDEX I_UQ_FREXCOM ON TT_FREXCOM (FILFRE, SEQFRE, FILCOM, SEQCOM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0019 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM DISABLE ALL TRIGGERS;


/*-- SEQ 0020 --*/
-- Tarefa 104892 --
INSERT INTO TT_FREXCOM (ID_FREXCOM, DATINC, FILCOM, SEQCOM, FILFRE, SEQFRE)
                        (SELECT SQFREXCOM.NEXTVAL, Agora(), COM.CODFIL, COM.SEQUEN, COM.FILFRE, COM.SEQFRE 
                           FROM TT_COM COM
                           JOIN TT_COM LCOM ON LCOM.CODFIL = COM.FILFRE AND LCOM.SEQUEN = COM.SEQFRE
                      LEFT JOIN TT_FREXCOM TFXC ON COM.CODFIL = TFXC.FILCOM AND COM.SEQUEN = TFXC.SEQCOM
                          WHERE COM.FILFRE IS NOT NULL
                            AND TFXC.ID_FREXCOM IS NULL);

/*-- SEQ 0021 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ENABLE ALL TRIGGERS;


/*-- SEQ 0022 --*/
-- Tarefa 104902 --
CREATE TABLE TT_TPRXFIL (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Date,
  ATU_EM Date,
  FILPRE CHAR(3),
  CODPRE Number(5)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0023 --*/ 
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL ADD CONSTRAINT PK_TPRXFIL PRIMARY KEY (CODFIL, SEQUEN);
 
/*-- SEQ 0024 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL MODIFY (DATINC CONSTRAINT NN_TPRXFIL_DATINC NOT NULL);


/*-- SEQ 0025 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL MODIFY (ATU_EM CONSTRAINT NN_TPRXFIL_ATU_EM NOT NULL);


/*-- SEQ 0026 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL MODIFY (FILPRE CONSTRAINT NN_TPRXFIL_FILPRE NOT NULL);


/*-- SEQ 0027 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL MODIFY (CODPRE CONSTRAINT NN_TPRXFIL_CODPRE NOT NULL);

 
/*-- SEQ 0028 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL ADD CONSTRAINT FK_TPRXFIL_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);
 
/*-- SEQ 0029 --*/
-- Tarefa 104902 --
CREATE INDEX I_FK_TPRXFIL_DFIL ON TT_TPRXFIL (CODFIL) TABLESPACE TOTALL_INDEX;
 
/*-- SEQ 0030 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL ADD CONSTRAINT FK_TPRXFIL_TPR FOREIGN KEY (FILPRE, CODPRE) REFERENCES TT_TPR (CODFIL, CODPRE);
 
/*-- SEQ 0031 --*/
-- Tarefa 104902 --
CREATE INDEX I_FK_TPRXFIL_TPR ON TT_TPRXFIL (FILPRE, CODPRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0032 --*/
-- Tarefa 104902 --
CREATE SEQUENCE SQTPRXFIL INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;
 
/*-- SEQ 0033 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL DISABLE ALL TRIGGERS;


/*-- SEQ 0034 --*/
-- Tarefa 104902 --
INSERT INTO TT_TPRXFIL (CODFIL, SEQUEN, DATINC, ATU_EM, FILPRE, CODPRE)
                        (SELECT TPR.FIL_CK, LPAD(RTRIM(TO_CHAR(SQTPRXFIL.NEXTVAL)),10, ' '), Agora(), Agora(), TPR.CODFIL, TPR.CODPRE 
                           FROM TT_TPR TPR
                          WHERE TPR.FIL_CK IS NOT NULL
                            AND NOT EXISTS (SELECT 1 AS OK
                                             FROM TT_TPRXFIL TPXF
                                            WHERE TPR.FIL_CK = TPXF.CODFIL
                                              AND TPR.CODFIL = TPXF.FILPRE
                                              AND TPR.CODPRE = TPXF.CODPRE));

/*-- SEQ 0035 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL ENABLE ALL TRIGGERS;

/*-- SEQ 0036 --*/
-- Tarefa 104902 --
CREATE UNIQUE INDEX I_UQ_TPRXFIL ON TT_TPRXFIL (CODFIL, FILPRE, CODPRE) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0037 --*/
-- Tarefa 104966 --
ALTER TABLE TW_EXTXDOC MODIFY (DESTINO VARCHAR2(50));

/*-- SEQ 0038 --*/
-- Tarefa 104966 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD FILCTA VARCHAR2(3) ;


/*-- SEQ 0039 --*/
-- Tarefa 104966 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD SEQCTA VARCHAR2(10) ;


/*-- SEQ 0040 --*/
-- Tarefa 104966 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD TIPCTA VARCHAR2(1) ;


/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104966 --
DROP INDEX I_LC_EXD_DOCEXP;

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104966 --
CREATE INDEX I_LC_EXD_DOCEXP ON TW_EXTXDOC (DESTINO, ORIGEM, FILORI, SEQORI, ITEORI, PARORI, SUBORI, FILCTA, SEQCTA, TIPCTA) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0043 --*/
-- Tarefa 104956 --
ALTER TABLE TD_FIL MODIFY (TEF_APRAZO DEFAULT '[28;36;24;26;45;41]');


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
CREATE TABLE TD_PER (
  CODTAB Number(5),
  DESPER VARCHAR2(100),
  PERCOD VARCHAR2(2),
  PERORD Number(4),
  PERATI VARCHAR2(1) DEFAULT 'T') TABLESPACE TOTALL_DATA;

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ADD CONSTRAINT PK_DPER PRIMARY KEY (CODTAB);

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER MODIFY (DESPER CONSTRAINT NN_DPER_DESMPB NOT NULL);


/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER MODIFY (PERCOD CONSTRAINT NN_DPER_PERCOD NOT NULL);


/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER MODIFY (PERORD CONSTRAINT NN_DPER_PERORD NOT NULL);


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER MODIFY (PERATI CONSTRAINT NN_DPER_MPBATI NOT NULL);


/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ADD CONSTRAINT CK_DPER_PERATI CHECK (PERATI IN ('T','F'));

/*-- SEQ 0051 --*/
-- Tarefa 105036 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD DESPER VARCHAR2(100) ;


/*-- SEQ 0052 --*/
-- Tarefa 105036 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD PERCOD VARCHAR2(2) ;


/*-- SEQ 0053 --*/
-- Tarefa 105036 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD PERORD Number(4) ;


/*-- SEQ 0054 --*/
-- Tarefa 105036 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD PERATI VARCHAR2(1) ;



/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER DROP CONSTRAINT NN_DPER_DESMPB;


/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER DROP CONSTRAINT NN_DPER_MPBATI;


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER MODIFY (DESPER CONSTRAINT NN_DPER_DESPER NOT NULL);


/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER MODIFY (PERATI CONSTRAINT NN_DPER_PERATI NOT NULL);



/*-- SEQ 0059 --*/
-- Tarefa 105133 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD FILREF VARCHAR2(3) ;


/*-- SEQ 0060 --*/
-- Tarefa 105133 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD SEQREF VARCHAR2(10) ;


/*-- SEQ 0061 --*/
-- Tarefa 105133 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD ITEREF Number(5) ;


/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105133 --
DROP INDEX I_LC_EXD_DOCEXP;

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105133 --
CREATE INDEX I_LC_EXD_DOCEXP ON TW_EXTXDOC (DESTINO, ORIGEM, FILORI, SEQORI, ITEORI, PARORI, SUBORI, FILCTA, SEQCTA, TIPCTA, FILREF, SEQREF, ITEREF) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0064 --*/
-- Tarefa 105183 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0065 --*/
-- Tarefa 105183 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'EDITA_APRBON', 'Permite edio da Apropriao de Bonificao', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EDITA_APRBON'));

/*-- SEQ 0066 --*/
-- Tarefa 105183 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0067 --*/
-- Tarefa 105182 --
ALTER TABLE TT_ICO ADD APRBON Number(16,2) ;



/*-- SEQ 0068 --*/
-- Tarefa 105076 --
ALTER TABLE TT_CPM DISABLE ALL TRIGGERS;

/*-- SEQ 0069 --*/
ALTER TABLE TT_CPM ADD CLILEV VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0070 --*/
ALTER TABLE TT_CPM ENABLE ALL TRIGGERS;

/*-- SEQ 0071 --*/
-- Tarefa 105076 --
ALTER TABLE TT_CPM MODIFY (CLILEV CONSTRAINT NN_CPM_CLILEV NOT NULL);


/*-- SEQ 0072 --*/
-- Tarefa 105076 --
ALTER TABLE TT_CPM ADD CONSTRAINT CK_CPM_CLILEV CHECK (CLILEV IN ('F','T'));

/*-- SEQ 0073 --*/
-- Tarefa 105076 --
ALTER TABLE TT_CPM DISABLE ALL TRIGGERS;

/*-- SEQ 0074 --*/
ALTER TABLE TT_CPM ADD TEMDES VARCHAR2(1) DEFAULT 'X';

/*-- SEQ 0075 --*/
ALTER TABLE TT_CPM ENABLE ALL TRIGGERS;

/*-- SEQ 0076 --*/
-- Tarefa 105076 --
ALTER TABLE TT_CPM MODIFY (TEMDES CONSTRAINT NN_CPM_TEMDES NOT NULL);


/*-- SEQ 0077 --*/
-- Tarefa 105076 --
ALTER TABLE TT_CPM ADD CONSTRAINT CK_CPM_TEMDES CHECK (TEMDES IN ('F','T','X'));


/*-- SEQ 0078 --*/
-- Tarefa 105080 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;

/*-- SEQ 0079 --*/
ALTER TABLE TT_IVE ADD TEMDES VARCHAR2(1) DEFAULT 'X';

/*-- SEQ 0080 --*/
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;

/*-- SEQ 0081 --*/
-- Tarefa 105080 --
ALTER TABLE TT_IVE MODIFY (TEMDES CONSTRAINT NN_IVE_TEMDES NOT NULL);


/*-- SEQ 0082 --*/
-- Tarefa 105080 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_TEMDES CHECK (TEMDES IN ('F','T','X'));


/*-- SEQ 0083 --*/
-- Tarefa 105081 --
ALTER TABLE TT_IOR ADD FILCPM CHAR(3) ;


/*-- SEQ 0084 --*/
-- Tarefa 105081 --
ALTER TABLE TT_IOR ADD SEQCPM CHAR(10) ;


/*-- SEQ 0085 --*/
-- Tarefa 105081 --
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_CPM FOREIGN KEY (FILCPM, SEQCPM) REFERENCES TT_CPM (FILCPM, SEQUEN);

/*-- SEQ 0086 --*/
-- Tarefa 105081 --
CREATE INDEX I_FK_IOR_CPM ON TT_IOR (FILCPM, SEQCPM) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0087 --*/
-- Tarefa 105242 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0088 --*/
-- Tarefa 105242 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'ALTERARPLANOPROMOCAO', 'Permite alterar o plano em promoo no fechamento', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ALTERARPLANOPROMOCAO'));

/*-- SEQ 0089 --*/
-- Tarefa 105242 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104468 --
SELECT * FROM NADA; 
 
/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104468 --
SELECT * FROM NADA;

/*-- SEQ 0092 --*/
-- Tarefa 105263 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0093 --*/
-- Tarefa 105263 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'VALIDA_ESTOQUE', 'Validar Estoque por Filial (1 - No Valida; 2 - Solicitar Permisso; 3 - Bloqueia)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALIDA_ESTOQUE'));

/*-- SEQ 0094 --*/
-- Tarefa 105263 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

