
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Tarefa 104982 --
ALTER TABLE TT_LID DROP CONSTRAINT CK_LID_TIPDOC;

/*-- SEQ 0003 --*/
-- Tarefa 104982 --
ALTER TABLE TT_LID ADD CONSTRAINT CK_LID_TIPDOC CHECK (TIPDOC IN ('CM','RV','CC','CN','NC','RG','LX','MF','RZ'));

/*-- SEQ 0004 --*/
-- Tarefa 104982 --
ALTER TABLE TT_LCF DROP CONSTRAINT CK_LCF_TIPDOC;

/*-- SEQ 0005 --*/
-- Tarefa 104982 --
ALTER TABLE TT_LCF ADD CONSTRAINT CK_LCF_TIPDOC CHECK (TIPDOC IN ('CM','RV','CC','CN','NC','RG','LX','MF','RZ'));


/*-- SEQ 0006 --*/
-- Tarefa 105046 --
ALTER TABLE TT_IOR ADD NUMCRE VARCHAR2(9) ;


/*-- SEQ 0007 --*/
-- Tarefa 105046 --
ALTER TABLE TT_IOR ADD ORICRE VARCHAR2(1) ;


/*-- SEQ 0008 --*/
-- Tarefa 105046 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_ORICRE CHECK (ORICRE IN ('M','I','O'));


/*-- SEQ 0009 --*/
-- Tarefa 105047 --
ALTER TABLE TT_CFG ADD ORICRE VARCHAR2(1) ;


/*-- SEQ 0010 --*/
-- Tarefa 105047 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ORICRE CHECK (ORICRE IN ('M','I','O'));

/*-- SEQ 0011 --*/
-- Tarefa 105047 --
ALTER TABLE TW_CFG ADD ORICRE VARCHAR2(1) ;



/*-- SEQ 0012 --*/
-- Tarefa 105068 --
ALTER TABLE TL_IOR_PAF ADD NUMCRE VARCHAR2(9) ;


/*-- SEQ 0013 --*/
-- Tarefa 105068 --
ALTER TABLE TL_IOR_PAF ADD ORICRE VARCHAR2(1) ;


/*-- SEQ 0014 --*/
-- Tarefa 105068 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT CK_LIOP_ORICRE CHECK (ORICRE IN ('M','I','O'));


/*-- SEQ 0015 --*/
-- Tarefa 105012 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0016 --*/
-- Tarefa 105012 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TRANSMISSAO_BLOCOX', 'Habilita Transmisso Automtica dos arquivos do Bloco X', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TRANSMISSAO_BLOCOX'));

/*-- SEQ 0017 --*/
-- Tarefa 105012 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0018 --*/
-- Tarefa 105104 --
ALTER TABLE TR_MOV ADD CODUID Number ;


/*-- SEQ 0019 --*/
-- Tarefa 105104 --
ALTER TABLE TR_MOV ADD ASSINA VARCHAR2(256) ;



/*-- SEQ 0020 --*/
-- Tarefa 104468 --
UPDATE TT_COM  
   SET OBSERV = RTF2TXT(OBSERV)
 WHERE OBSERV IS NOT NULL; 
 
/*-- SEQ 0021 --*/
-- Tarefa 104468 --
UPDATE TT_COM  
   SET OBSFAT = RTF2TXT(OBSFAT)
 WHERE OBSFAT IS NOT NULL;


/*-- SEQ 0022 --*/
-- Tarefa 105242 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0023 --*/
-- Tarefa 105242 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'ALTERARPLANOPROMOCAO', 'Permite alterar o plano em promoo no fechamento', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ALTERARPLANOPROMOCAO'));

/*-- SEQ 0024 --*/
-- Tarefa 105242 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0025 --*/
-- Tarefa 105254 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0026 --*/
-- Tarefa 105254 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USA_ORDER_DESK_WEB', 'Usa Order Desktop e Web em paralelo?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_ORDER_DESK_WEB'));

/*-- SEQ 0027 --*/
-- Tarefa 105254 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0028 --*/
-- Tarefa 105256 --
ALTER TABLE TT_ORC ADD NUMPED_RE CHAR(8) ;



/*-- SEQ 0029 --*/
-- Tarefa 105263 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0030 --*/
-- Tarefa 105263 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'VALIDA_ESTOQUE', 'Validar Estoque por Filial (1 - No Valida; 2 - Solicitar Permisso; 3 - Bloqueia)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALIDA_ESTOQUE'));

/*-- SEQ 0031 --*/
-- Tarefa 105263 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;



/*-- SEQ 0032 --*/
-- Tarefa 105256 --
CREATE INDEX I_LC_NUMPED_RE ON TT_ORC (CODFIL,TIPPED,NUMPED_RE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0033 --*/
-- Tarefa 105256 --
ALTER TABLE TT_ORC DISABLE ALL TRIGGERS;


/*-- SEQ 0034 --*/
-- Tarefa 105256 --
UPDATE TT_ORC
   SET NUMPED_RE = NUMPED
 WHERE TRN_ID IS NOT NULL;

/*-- SEQ 0035 --*/
-- Tarefa 105256 --
ALTER TABLE TT_ORC ENABLE ALL TRIGGERS;


/*-- SEQ 0036 --*/
-- Tarefa 105112 --
ALTER TABLE TT_IBG DISABLE ALL TRIGGERS;


/*-- SEQ 0037 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Alta Floresta D''Oeste'
 WHERE CODIBG = 1100015;

/*-- SEQ 0038 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Alvorada D''Oeste'
 WHERE CODIBG = 1100346;

/*-- SEQ 0039 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Espigão D''Oeste'
 WHERE CODIBG = 1100098;

/*-- SEQ 0040 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Machadinho D''Oeste'
 WHERE CODIBG = 1100130;

/*-- SEQ 0041 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Nova Brasilândia D''Oeste'
 WHERE CODIBG = 1100148;

/*-- SEQ 0042 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Santa Luzia D''Oeste'
 WHERE CODIBG = 1100296;

/*-- SEQ 0043 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'São Felipe D''Oeste'
 WHERE CODIBG = 1101484;

/*-- SEQ 0044 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Theobroma'
 WHERE CODIBG = 1101609;

/*-- SEQ 0045 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Itaporanga d''Ajuda'
 WHERE CODIBG = 2803203;

/*-- SEQ 0046 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Amambaí'
 WHERE CODIBG = 5000609;

/*-- SEQ 0047 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Parati'
 WHERE CODIBG = 3303807;

/*-- SEQ 0048 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Porto REAL'
 WHERE CODIBG = 3304110;

/*-- SEQ 0049 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Trajano de Morais'
 WHERE CODIBG = 3305901;

/*-- SEQ 0050 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Olho d''Água das Flores'
 WHERE CODIBG = 2705705;

/*-- SEQ 0051 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Olho d''Água do Casado'
 WHERE CODIBG = 2705804;

/*-- SEQ 0052 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Olho d''Água Grande'
 WHERE CODIBG = 2705903;

/*-- SEQ 0053 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Porto REAL do Colégio'
 WHERE CODIBG = 2707503;

/*-- SEQ 0054 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Tanque d''Arca'
 WHERE CODIBG = 2709004;

/*-- SEQ 0055 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Couto de Magalhães'
 WHERE CODIBG = 1706001;

/*-- SEQ 0056 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Paraíso do Tocantins'
 WHERE CODIBG = 1716109;

/*-- SEQ 0057 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Pau D''Arco'
 WHERE CODIBG = 1716307;

/*-- SEQ 0058 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'São Bento do Tocantins'
 WHERE CODIBG = 1720101;

/*-- SEQ 0059 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'São Valério da Natividade'
 WHERE CODIBG = 1720499;

/*-- SEQ 0060 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Conquista D''Oeste'
 WHERE CODIBG = 5103361;

/*-- SEQ 0061 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Figueirópolis D''Oeste'
 WHERE CODIBG = 5103809;

/*-- SEQ 0062 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Glória D''Oeste'
 WHERE CODIBG = 5103957;

/*-- SEQ 0063 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Lambari D''Oeste'
 WHERE CODIBG = 5105234;

/*-- SEQ 0064 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Luciára'
 WHERE CODIBG = 5105309;

/*-- SEQ 0065 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Mirassol d''Oeste'
 WHERE CODIBG = 5105622;

/*-- SEQ 0066 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Porto Alegre do Norte'
 WHERE CODIBG = 5106778;

/*-- SEQ 0067 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Salto do Céu'
 WHERE CODIBG = 5107750;

/*-- SEQ 0068 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Santa Rita do Trivelato'
 WHERE CODIBG = 5107768;

/*-- SEQ 0069 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Santa Terezinha'
 WHERE CODIBG = 5107776;

/*-- SEQ 0070 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Pau D''Arco'
 WHERE CODIBG = 1505551;

/*-- SEQ 0071 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Lagoa d''Anta'
 WHERE CODIBG = 2406205;

/*-- SEQ 0072 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Olho-d''Água do Borges'
 WHERE CODIBG = 2408409;

/*-- SEQ 0073 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'São João d''Aliança'
 WHERE CODIBG = 5220009;

/*-- SEQ 0074 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Sítio d''Abadia'
 WHERE CODIBG = 5220702;

/*-- SEQ 0075 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Herval d''Oeste'
 WHERE CODIBG = 4206702;

/*-- SEQ 0076 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Diamante D''Oeste'
 WHERE CODIBG = 4107157;

/*-- SEQ 0077 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Itapejara d''Oeste'
 WHERE CODIBG = 4111209;

/*-- SEQ 0078 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Pérola d''Oeste'
 WHERE CODIBG = 4119004;

/*-- SEQ 0079 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Rancho Alegre D''Oeste'
 WHERE CODIBG = 4121356;

/*-- SEQ 0080 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Miguel Calmon'
 WHERE CODIBG = 2921203;

/*-- SEQ 0081 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Mundo Novo'
 WHERE CODIBG = 2922102;

/*-- SEQ 0082 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Muquém de São Francisco'
 WHERE CODIBG = 2922250;

/*-- SEQ 0083 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Nova Itarana'
 WHERE CODIBG = 2922805;

/*-- SEQ 0084 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Palmeiras'
 WHERE CODIBG = 2923506;

/*-- SEQ 0085 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Pé de Serra'
 WHERE CODIBG = 2924058;

/*-- SEQ 0086 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Pindaí'
 WHERE CODIBG = 2924504;

/*-- SEQ 0087 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Pintadas'
 WHERE CODIBG = 2924652;

/*-- SEQ 0088 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Porto Seguro'
 WHERE CODIBG = 2925303;

/*-- SEQ 0089 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Retirolândia'
 WHERE CODIBG = 2926103;

/*-- SEQ 0090 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Riachão do Jacuípe'
 WHERE CODIBG = 2926301;

/*-- SEQ 0091 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Rio REAL'
 WHERE CODIBG = 2927002;

/*-- SEQ 0092 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Rodelas'
 WHERE CODIBG = 2927101;

/*-- SEQ 0093 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Santa Maria da Vitória'
 WHERE CODIBG = 2928109;

/*-- SEQ 0094 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'São Félix do Coribe'
 WHERE CODIBG = 2929057;

/*-- SEQ 0095 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Uibaí'
 WHERE CODIBG = 2932408;

/*-- SEQ 0096 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'São Jorge d''Oeste'
 WHERE CODIBG = 4125209;

/*-- SEQ 0097 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Tupãssi'
 WHERE CODIBG = 4127957;

/*-- SEQ 0098 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Dias d''Ávila'
 WHERE CODIBG = 2910057;

/*-- SEQ 0099 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Lagoa REAL'
 WHERE CODIBG = 2918753;

/*-- SEQ 0100 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Olho d''Água das Cunhãs'
 WHERE CODIBG = 2107407;

/*-- SEQ 0101 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Alto LONGá'
 WHERE CODIBG = 2200301;

/*-- SEQ 0102 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Barra D''Alcântara'
 WHERE CODIBG = 2201176;

/*-- SEQ 0103 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Olho D''Água do Piauí'
 WHERE CODIBG = 2207108;

/*-- SEQ 0104 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Pau D''Arco do Piauí'
 WHERE CODIBG = 2207793;

/*-- SEQ 0105 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Mãe d''Água'
 WHERE CODIBG = 2508703;

/*-- SEQ 0106 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Olho d''Água'
 WHERE CODIBG = 2510402;

/*-- SEQ 0107 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'São Domingos de Pombal'
 WHERE CODIBG = 2513968;

/*-- SEQ 0108 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Faxinalzinho'
 WHERE CODIBG = 4308052;

/*-- SEQ 0109 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Ijuí'
 WHERE CODIBG = 4310207;

/*-- SEQ 0110 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Ilópolis'
 WHERE CODIBG = 4310306;

/*-- SEQ 0111 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Imbé'
 WHERE CODIBG = 4310330;

/*-- SEQ 0112 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Imigrante'
 WHERE CODIBG = 4310363;

/*-- SEQ 0113 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Independência'
 WHERE CODIBG = 4310405;

/*-- SEQ 0114 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Inhacorá'
 WHERE CODIBG = 4310413;

/*-- SEQ 0115 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Ipê'
 WHERE CODIBG = 4310439;

/*-- SEQ 0116 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Maçambara'
 WHERE CODIBG = 4311718;

/*-- SEQ 0117 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Santana do Livramento'
 WHERE CODIBG = 4317103;

/*-- SEQ 0118 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Fama'
 WHERE CODIBG = 3125200;

/*-- SEQ 0119 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Formoso'
 WHERE CODIBG = 3126208;

/*-- SEQ 0120 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Olhos-d''Água'
 WHERE CODIBG = 3145455;

/*-- SEQ 0121 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Piedade dos Gerais'
 WHERE CODIBG = 3150406;

/*-- SEQ 0122 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Pingo-d''Água'
 WHERE CODIBG = 3150539;

/*-- SEQ 0123 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Vale REAL'
 WHERE CODIBG = 4322541;

/*-- SEQ 0124 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Aparecida d''Oeste'
 WHERE CODIBG = 3502606;

/*-- SEQ 0125 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Dracena'
 WHERE CODIBG = 3514403;

/*-- SEQ 0126 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Embu das Artes'
 WHERE CODIBG = 3515004;

/*-- SEQ 0127 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Engenheiro Coelho'
 WHERE CODIBG = 3515152;

/*-- SEQ 0128 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Estrela d''Oeste'
 WHERE CODIBG = 3515202;

/*-- SEQ 0129 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Guarani d''Oeste'
 WHERE CODIBG = 3518008;

/*-- SEQ 0130 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Irapuru'
 WHERE CODIBG = 3521606;

/*-- SEQ 0131 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Mogi Mirim'
 WHERE CODIBG = 3530805;

/*-- SEQ 0132 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Palmeira d''Oeste'
 WHERE CODIBG = 3535200;

/*-- SEQ 0133 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Rifaina'
 WHERE CODIBG = 3543600;

/*-- SEQ 0134 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Santa Bárbara d''Oeste'
 WHERE CODIBG = 3545803;

/*-- SEQ 0135 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Santa Clara d''Oeste'
 WHERE CODIBG = 3546108;

/*-- SEQ 0136 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Santa Rita d''Oeste'
 WHERE CODIBG = 3547403;

/*-- SEQ 0137 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'São João do Pau d''Alho'
 WHERE CODIBG = 3549300;

/*-- SEQ 0138 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Acaiaca'
 WHERE CODIBG = 3100401;

/*-- SEQ 0139 --*/
-- Tarefa 105112 --
UPDATE TT_IBG SET NOMMUN = 'Além Paraíba'
 WHERE CODIBG = 3101508;

 
/*-- SEQ 0140 --*/
-- Tarefa 105112 --
ALTER TABLE TT_IBG ENABLE ALL TRIGGERS;


/*-- SEQ 0141 --*/
-- Tarefa 104987 --
CREATE INDEX I_LC_LID_TIPOPE ON TT_LID (CODFIL,TIPOPE,DATHOR) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0142 --*/
-- Tarefa 105399 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0143 --*/
-- Tarefa 105399 --
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '5.5E',
       CHECKOUT_RELMIN = 0;

/*-- SEQ 0144 --*/
-- Tarefa 105399 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;



/*-- SEQ 0145 --*/
-- 105494 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0146 --*/
-- 105494 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DESLIGACRIPTOWS', 'Web Service Local do Totall POS descriptografado', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESLIGACRIPTOWS'));
                     
/*-- SEQ 0147 --*/
-- 105494 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

