
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- GES-2019065316 --
ALTER TABLE TT_SAL DISABLE ALL TRIGGERS;

/*-- SEQ 0003 --*/
ALTER TABLE TT_SAL ADD DISMINZER VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0004 --*/
ALTER TABLE TT_SAL ENABLE ALL TRIGGERS;

/*-- SEQ 0005 --*/
-- GES-2019065316 --
ALTER TABLE TT_SAL DISABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- GES-2019065316 --
UPDATE TT_SAL SET DISMINZER = 'T';

/*-- SEQ 0007 --*/
-- GES-2019065316 --
ALTER TABLE TT_SAL ENABLE ALL TRIGGERS;

/*-- SEQ 0008 --*/
-- GES-2019065316 --
ALTER TABLE TT_SAL MODIFY (DISMINZER CONSTRAINT NN_SAL_DISMINZER NOT NULL);


/*-- SEQ 0009 --*/
-- GES-2019065316 --
ALTER TABLE TT_SAL ADD CONSTRAINT CK_SAL_DISMINZER CHECK (DISMINZER IN ('T','F'));


/*-- SEQ 0010 --*/
-- GES - 2019065531 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0011 --*/
-- GES - 2019065531 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CPM_DATINI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CPM_DATINI'));

/*-- SEQ 0012 --*/
-- GES - 2019065531 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0013 --*/
-- Tarefa 2019065278 --
ALTER TABLE TT_RDV ADD EXTCAR VARCHAR2(20) ;


/*-- SEQ 0014 --*/
-- Tarefa 2019065278 --
ALTER TABLE TT_RDV ADD NOSNUM VARCHAR2(20) ;


/*-- SEQ 0015 --*/
-- Tarefa 2019065278 --
ALTER TABLE TT_RDV ADD VLDCAR VARCHAR2(4) ;



/*-- SEQ 0016 --*/
-- Tarefa 2019071332 --
ALTER TABLE TT_END ADD CODEXT VARCHAR2(20) ;



/*-- SEQ 0017 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IUF ADD CODBEN VARCHAR2(10) ;


/*-- SEQ 0018 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IVE ADD CODBEN VARCHAR2(10) ;



/*-- SEQ 0019 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IVE ADD VLRDESON Number(15, 2) ;


/*-- SEQ 0020 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IVE ADD MOTDESON Number(2) ;


/*-- SEQ 0021 --*/
-- GES - 2019062975 --
ALTER TABLE TT_VEN ADD VLRDESON Number(15, 2) ;


/*-- SEQ 0022 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_MOTDESON CHECK (MOTDESON IN (3, 9, 12));

/*-- SEQ 0023 --*/
-- GES - 2019062975 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_NN_MOTDESON  CHECK ((MOTDESON IS NULL AND VLRDESON IS NULL) OR (MOTDESON IS NOT NULL AND VLRDESON IS NOT NULL));



/*-- SEQ 0024 --*/
-- GES-2019071897 --
ALTER TABLE TD_CCC ADD CODEXT_DCCC VARCHAR2(20) ;


/*-- SEQ 0025 --*/
-- GES-2019071897 --
ALTER TABLE TW_TAB ADD CODEXT_DCCC VARCHAR2(20) ;



/*-- SEQ 0026 --*/
-- GES-2019071898 --
ALTER TABLE TD_COB ADD CODEXT_DCOB VARCHAR2(20) ;


/*-- SEQ 0027 --*/
-- GES-2019071898 --
ALTER TABLE TW_TAB ADD CODEXT_DCOB VARCHAR2(20) ;



/*-- SEQ 0028 --*/
-- GES-2019071899 --
CREATE TABLE TI_CCC (
   ID_ICCC Number(10),
   DATCRI  Date,
   CODFIL  CHAR(3),
   CODCLI  VARCHAR2(20),
   DATOPE  Date,
   VLRLAN  Number(12,2),
   NUMDOC  VARCHAR2(13),
   COMPLE  VARCHAR2(100),
   TIPLAN  CHAR(1),
   ATULIM  VARCHAR2(1) DEFAULT 'T',
   CODCCC  VARCHAR2(20),
   DESCCC  VARCHAR2(30),
   CODCOB  VARCHAR2(20),
   STATUS Number(1) DEFAULT 0,
   MOTREJ VARCHAR2(255),
   DATIMP Date
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0029 --*/
-- GES-2019071899 --
ALTER TABLE TI_CCC ADD CONSTRAINT PK_ICCC PRIMARY KEY (ID_ICCC);

/*-- SEQ 0030 --*/
-- GES-2019071899 --
ALTER TABLE TI_CCC MODIFY (DATCRI CONSTRAINT NN_ICCC_DATCRI NOT NULL);


/*-- SEQ 0031 --*/
-- GES-2019071899 --
ALTER TABLE TI_CCC MODIFY (STATUS CONSTRAINT NN_ICCC_STATUS NOT NULL);


/*-- SEQ 0032 --*/
-- GES-2019071899 --
ALTER TABLE TI_CCC ADD CONSTRAINT CK_ICCC_DATIMP CHECK (((DATIMP IS NOT NULL) AND (STATUS <> 0)) OR ((DATIMP IS NULL) AND (STATUS = 0)));

/*-- SEQ 0033 --*/
-- GES-2019071899 --
ALTER TABLE TI_CCC ADD CONSTRAINT CK_ICCC_STATUS CHECK (STATUS IN (0, 1, 2, 3, 4));

/*-- SEQ 0034 --*/
-- GES-2019071899 --
CREATE INDEX I_LC_ICCC_STATUS ON TI_CCC (STATUS, DATCRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0035 --*/
-- GES-2019071899 --
CREATE SEQUENCE SQICCC INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0036 --*/
-- GES-2019072918 --
ALTER TABLE TT_CCC DROP CONSTRAINT CK_CCC_TIPLAN;

/*-- SEQ 0037 --*/
-- GES-2019072918 --
ALTER TABLE TT_CCC ADD CONSTRAINT CK_CCC_TIPLAN CHECK (TIPLAN IN ('A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Z', '0'));



/*-- SEQ 0038 --*/
-- GES-2019073248 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0039 --*/
-- GES-2019073248 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NF_APOS_SEPARACAO_EC', 'Gera Nota Fiscal aps separao completa de pedido do E-Commerce', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NF_APOS_SEPARACAO_EC'));

/*-- SEQ 0040 --*/
-- GES-2019073248 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0041 --*/
-- Ticket 2019071589 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0042 --*/
-- Ticket 2019071589 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PEDPEN_F', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PEDPEN_F'));

/*-- SEQ 0043 --*/
-- Ticket 2019071589 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;

