
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- GES-2020033322 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_TIPRDV;

/*-- SEQ 0003 --*/
-- GES-2020033322 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_TIPRDV CHECK (TIPRDV IN ('A', 'B' , 'C' , 'D' , 'E' , 'H' , 'M' , 'O' , 'S' , 'U' , 'V' , '1' , '2' , '3' , '4' , '5' , '9' , 'X', 'W' ));


/*-- SEQ 0004 --*/
-- GES-2020033322 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0005 --*/
-- GES-2020033322 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, AGORA(), AGORA(), 'PORTADOR_ECOM_BOLETO', 'Portador para Boleto de E-Commerce', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PORTADOR_ECOM_BOLETO'));

/*-- SEQ 0006 --*/
-- GES-2020033322 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0007 --*/
-- Ticket 2019118280 --
ALTER TABLE TT_PLA DROP CONSTRAINT CK_PLA_APLICA;

/*-- SEQ 0008 --*/
-- Ticket 2019118280 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_APLICA CHECK (APLICA IN (0,1,2,3,4,5,6,7));


/*-- SEQ 0009 --*/
-- GES-2019093529 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0010 --*/
-- GES-2019093529 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, AGORA(), AGORA(), 'AVISA_PRECOEFETIVADO', 'Avisar preo efetivado na auditoria do sistema?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'AVISA_PRECOEFETIVADO'));

/*-- SEQ 0011 --*/
-- GES-2019093529 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0012 --*/
-- Ticket 2020035843 --
ALTER TABLE TT_USU ADD CODPOS_USU VARCHAR2(40) ;



/*-- SEQ 0013 --*/
-- Tarefa 2020040976 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0014 --*/
-- Tarefa 2020040976 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'RETIRAR_IPI_CFOP5949', 'Retirar o IPI da Devoluo de Compras com CFOP 5949/6949', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'RETIRAR_IPI_CFOP5949'));

/*-- SEQ 0015 --*/
-- Tarefa 2020040976 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0016 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_GRA MODIFY (CUSREP Number(14,4));

/*-- SEQ 0017 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_GRA MODIFY (ICMCOM Number(14,2));

/*-- SEQ 0018 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_GRA MODIFY (IPICOM Number(14,2));

/*-- SEQ 0019 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_GRA MODIFY (TAXCOM Number(14,2));

/*-- SEQ 0020 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_GRA MODIFY (DESICO Number(14,2));

/*-- SEQ 0021 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_GRA MODIFY (ICMFRE Number(14,2));

/*-- SEQ 0022 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_GRA MODIFY (ULTBAS Number(7,4));

/*-- SEQ 0023 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_GRA MODIFY (ICMCUS Number(14,2));

/*-- SEQ 0024 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_GRA MODIFY (IPICUS Number(12,2));

/*-- SEQ 0025 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_GRA MODIFY (PERFRE Number(12,2));


/*-- SEQ 0026 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_GRA MODIFY (CUSFRE Number(16,6));

/*-- SEQ 0027 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_SAL MODIFY (ICMCMP Number(14,2));

/*-- SEQ 0028 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_SAL MODIFY (IPICMP Number(14,2));

/*-- SEQ 0029 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_SAL MODIFY (DESCMP Number(14,2));

/*-- SEQ 0030 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_SAL MODIFY (TAXCMP Number(14,2));

/*-- SEQ 0031 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_SAL MODIFY (FRECMP Number(16,6));

/*-- SEQ 0032 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_PXF MODIFY (ICMCUS Number(14,2));

/*-- SEQ 0033 --*/
-- Ticket 2020037990 --
ALTER TABLE TT_PXF MODIFY (IPICUS Number(12,2));


/*-- SEQ 0034 --*/
-- GES-2020018544 --
ALTER TABLE TT_REC DISABLE ALL TRIGGERS;


/*-- SEQ 0035 --*/
-- GES-2020018544 --
INSERT INTO TL_FIN (ORIGEM, FLGEST, FILORI, SEQORI, PARORI, SUBORI)
   (SELECT CAST('REC' AS VARCHAR2(3)) AS ORIGEM, CAST('N' AS VARCHAR2(1)) AS FLGEST, REC.CODFIL AS FILORI, REC.SEQUEN AS SEQORI, REC.NUMPAR AS PARORI, REC.SUBPAR AS SUBORI
      FROM TT_REC REC
     WHERE REC.CARTAO IS NOT NULL
       AND REC.NUMECF >= '400'
       AND COALESCE(REC.VLRPGT, 0) = COALESCE(REC.VLRPAR, 0)
       AND COALESCE(REC.VLRTAX, 0) > 0
       AND COALESCE(REC.VLRPGT, 0) > 0);

/*-- SEQ 0036 --*/
-- GES-2020018544 --
UPDATE TT_REC REC SET VLRPGT = COALESCE(VLRPGT,0) - COALESCE(VLRTAX,0)
 WHERE REC.CARTAO IS NOT NULL
   AND REC.NUMECF >= '400'
   AND COALESCE(REC.VLRPGT, 0) = COALESCE(REC.VLRPAR, 0)
   AND COALESCE(REC.VLRTAX, 0) > 0
   AND COALESCE(REC.VLRPGT, 0) > 0;

/*-- SEQ 0037 --*/
-- GES-2020018544 --
ALTER TABLE TT_REC ENABLE ALL TRIGGERS;



/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020028672 --
DROP VIEW TV_TIMU_PARTEDOCTORECEBITEM;


/*-- SEQ 0039 --*/
-- Ticket 2020028672 --
ALTER TABLE TT_ATU DISABLE ALL TRIGGERS;


/*-- SEQ 0040 --*/
-- Ticket 2020028672 --
INSERT INTO TT_ATU (ID_ATU, DESATU, DATINI, DATFIM, ATU_EM) (
    SELECT (SELECT MAX(LATU.ID_ATU)+1 FROM TT_ATU LATU), 'EXPORTACAO_CAD_EME4', ATU.DATINI, ATU.DATFIM, ATU.ATU_EM 
      FROM TT_ATU ATU 
     WHERE ATU.DESATU = 'EXPORTACAO_EME4'
       AND NOT EXISTS(SELECT 1 AS OK FROM TT_ATU LATU WHERE LATU.DESATU = 'EXPORTACAO_CAD_EME4')
      );

/*-- SEQ 0041 --*/
-- Ticket 2020028672 --
INSERT INTO TT_ATU (ID_ATU, DESATU, DATINI, DATFIM, ATU_EM) (
    SELECT (SELECT MAX(LATU.ID_ATU)+1 FROM TT_ATU LATU), 'EXPORTACAO_MOV_EME4', ATU.DATINI, ATU.DATFIM, ATU.ATU_EM 
      FROM TT_ATU ATU 
     WHERE ATU.DESATU = 'EXPORTACAO_EME4'
       AND NOT EXISTS(SELECT 1 AS OK FROM TT_ATU LATU WHERE LATU.DESATU = 'EXPORTACAO_MOV_EME4')
      );

/*-- SEQ 0042 --*/
-- Ticket 2020028672 --
ALTER TABLE TT_ATU ENABLE ALL TRIGGERS;


/*-- SEQ 0043 --*/
-- Tarefa 2020034695 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0044 --*/
-- Tarefa 2020034695 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'ST_NF_IMP', 'Calcular ST em NF de Importao', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ST_NF_IMP'));

/*-- SEQ 0045 --*/
-- Tarefa 2020034695 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0046 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_ORC DISABLE ALL TRIGGERS;

/*-- SEQ 0047 --*/
ALTER TABLE TT_ORC ADD EXPORT CHAR(1) DEFAULT 'F';

/*-- SEQ 0048 --*/
ALTER TABLE TT_ORC ENABLE ALL TRIGGERS;

/*-- SEQ 0049 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_ORC MODIFY (EXPORT CONSTRAINT NN_ORC_EXPORT NOT NULL);


/*-- SEQ 0050 --*/
-- Ticket 2019101073 --
CREATE INDEX I_LC_ORC_EXPORT ON TT_ORC (EXPORT, DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0051 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_ORC ADD DUMMY VARCHAR2(1) ;


/*-- SEQ 0052 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0053 --*/
-- Ticket 2019101073 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'EXPORT_ORC', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'EXPORT_ORC'));

/*-- SEQ 0054 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0055 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0056 --*/
-- Ticket 2019101073 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'EXP_DAV_EME4', 'Integrao de DAV/Pr-Venda na exportao EME4?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXP_DAV_EME4'));

/*-- SEQ 0057 --*/
-- Ticket 2019101073 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0058 --*/
-- Ticket 2020043929 --
ALTER TABLE TD_CT1 MODIFY (NOMCT1 VARCHAR2(40));


/*-- SEQ 0059 --*/
-- Tarefa 2019053290 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0060 --*/
-- Tarefa 2019053290 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'BLOQ_PREVENDAPARCIAL', 'Bloquear Resgate de Pr-Venda Parcial', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BLOQ_PREVENDAPARCIAL'));

/*-- SEQ 0061 --*/
-- Tarefa 2019053290 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0062 --*/
-- Ticket 2020044468 --
ALTER TABLE TD_CT1 ADD CODEXT_DCT1 VARCHAR2(20) ;


/*-- SEQ 0063 --*/
-- Ticket 2020044468 --
ALTER TABLE TD_CT2 ADD CODEXT_DCT2 VARCHAR2(20) ;


/*-- SEQ 0064 --*/
-- Ticket 2020044468 --
ALTER TABLE TD_CT3 ADD CODEXT_DCT3 VARCHAR2(20) ;


/*-- SEQ 0065 --*/
-- Ticket 2020044468 --
ALTER TABLE TW_TAB ADD CODEXT_DCT1 VARCHAR2(20) ;


/*-- SEQ 0066 --*/
-- Ticket 2020044468 --
ALTER TABLE TW_TAB ADD CODEXT_DCT2 VARCHAR2(20) ;


/*-- SEQ 0067 --*/
-- Ticket 2020044468 --
ALTER TABLE TW_TAB ADD CODEXT_DCT3 VARCHAR2(20) ;


/*-- SEQ 0068 --*/
-- Ticket 2020044468 --
ALTER TABLE TI_CLI ADD CODCT1 VARCHAR2(20) ;


/*-- SEQ 0069 --*/
-- Ticket 2020044468 --
ALTER TABLE TI_CLI ADD CODCT2 VARCHAR2(20) ;


/*-- SEQ 0070 --*/
-- Ticket 2020044468 --
ALTER TABLE TI_CLI ADD CODCT3 VARCHAR2(20) ;



/*-- SEQ 0071 --*/
-- Ticket 2020044824 --
ALTER TABLE TI_LIM ADD CODCCC VARCHAR2(20) ;


