
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077751 --
ALTER TABLE TI_PRO ADD REDCON Number(7,4) ;


/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077751 --
ALTER TABLE TI_PRO ADD APLCON VARCHAR2(1) ;



/*-- SEQ 0004 --*/
-- Tarefa 2020070598 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0005 --*/
-- Tarefa 2020070598 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'BASE_IPI_C_DESC', 'Base IPI c/ Desconto', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BASE_IPI_C_DESC'));

/*-- SEQ 0006 --*/
-- Tarefa 2020070598 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077530 --
ALTER TABLE TT_CLI ADD INDEXP CHAR(1) ;


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077530 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_INDEXP CHECK ((INDEXP IS NULL) OR (INDEXP IN ('I', 'N', 'E')));


/*-- SEQ 0009 --*/
-- Ticket 2020076812 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0010 --*/
-- Ticket 2020076812 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'IMP_INFADPROD_NFCE', 'Imprime Informao Adicional do produto na NFC-e', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_INFADPROD_NFCE'));

/*-- SEQ 0011 --*/
-- Ticket 2020076812 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0012 --*/
-- Ticket 2020076812 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0013 --*/
-- Ticket 2020076812 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'IMP_INFADPROD_NFCE'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0014 --*/
-- Ticket 2020076812 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;



/*-- SEQ 0015 --*/
-- Ticket 2020064839 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUGDEPOSIT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUGDEPOSIT'));



/*-- SEQ 0016 --*/
-- Ticket 2020085628 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0017 --*/
-- Ticket 2020085628 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PIS_S_ICMS_COM', 'Retirar o valor do ICMS prprio da Base de PIS/COFINS nas entradas/compras', 'B', 'T', 'T', 'F', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PIS_S_ICMS_COM'));

/*-- SEQ 0018 --*/
-- Ticket 2020085628 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0019 --*/
-- Ticket 2020085628 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0020 --*/
-- Ticket 2020085628 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS,
        CASE WHEN FUN.NOMFUN IS NULL THEN 'F' ELSE 'T' END
  FROM TT_PCS PCS LEFT JOIN TT_FUN FUN ON FUN.NOMFUN = 'PIS_S_ICMS'
 WHERE PCS.NOMPCS = 'PIS_S_ICMS_COM'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0021 --*/
-- Ticket 2020085628 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020068604 --
ALTER TABLE TT_IUF DROP CONSTRAINT CK_IUF_REGDIF;

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020068604 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REGDIF CHECK (REGDIF IN ('C','J','N','R'));



/*-- SEQ 0024 --*/
-- Tarefa 2020074417 --
ALTER TABLE TI_USU DISABLE ALL TRIGGERS;

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ADD TIPOPE VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0026 --*/
ALTER TABLE TI_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020074417 --
ALTER TABLE TI_USU ADD CONSTRAINT CK_IUSU_TIPOPE CHECK (TIPOPE IN ('T','I','A'));

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020074417 --
ALTER TABLE TI_USU ADD DOCPAR VARCHAR2(15) ;


/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020074417 --
ALTER TABLE TI_USU DROP CONSTRAINT NN_IUSU_CODCLI;



/*-- SEQ 0030 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CLI ADD VLRMIN_PEDCOM Number(14,2) ;


/*-- SEQ 0031 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_DEP ADD PESPRZENT Number(7,4) ;


/*-- SEQ 0032 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_DEP ADD PESPREVEN Number(7,4) ;


/*-- SEQ 0033 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_DEP ADD PESPREFOR Number(7,4) ;


/*-- SEQ 0034 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_DEP ADD TAXJURMES Number(7,4) ;


/*-- SEQ 0035 --*/
-- Ticket 2020046026 --
ALTER TABLE TW_TAB ADD PESPRZENT Number(7,4) ;


/*-- SEQ 0036 --*/
-- Ticket 2020046026 --
ALTER TABLE TW_TAB ADD PESPREVEN Number(7,4) ;


/*-- SEQ 0037 --*/
-- Ticket 2020046026 --
ALTER TABLE TW_TAB ADD PESPREFOR Number(7,4) ;


/*-- SEQ 0038 --*/
-- Ticket 2020046026 --
ALTER TABLE TW_TAB ADD TAXJURMES Number(7,4) ;


/*-- SEQ 0039 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_FIL ADD PESPRZENT Number(7,4) ;


/*-- SEQ 0040 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_FIL ADD PESPREVEN Number(7,4) ;


/*-- SEQ 0041 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_FIL ADD PESPREFOR Number(7,4) ;


/*-- SEQ 0042 --*/
-- Ticket 2020046026 --
ALTER TABLE TD_FIL ADD TAXJURMES Number(7,4) ;



/*-- SEQ 0043 --*/
-- Ticket 2020046026 --
CREATE TABLE TT_CPF (
   CODFIL CHAR(3),
   SEQUEN CHAR(10),
   DATINC Date,
   ATU_EM Date,
   FLGEST CHAR(1),
   DESCRI VARCHAR2(254)
   ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0044 --*/ 
-- Ticket 2020046026 --
ALTER TABLE TT_CPF ADD CONSTRAINT PK_CPF PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0045 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF MODIFY (DATINC CONSTRAINT NN_CPF_DATINC NOT NULL);


/*-- SEQ 0046 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF MODIFY (ATU_EM CONSTRAINT NN_CPF_ATU_EM NOT NULL);


/*-- SEQ 0047 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF MODIFY (DESCRI CONSTRAINT NN_CPF_DESCRI NOT NULL);


/*-- SEQ 0048 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF MODIFY (FLGEST CONSTRAINT NN_CPF_FLGEST NOT NULL);


/*-- SEQ 0049 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF ADD CONSTRAINT CK_CPF_FLGEST CHECK (FLGEST IN ('A','C','E','F'));

/*-- SEQ 0050 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF MODIFY (FLGEST DEFAULT 'A');

/*-- SEQ 0051 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPF ADD CONSTRAINT FK_CPF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0052 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_CPF_DFIL ON TT_CPF (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0053 --*/
-- Ticket 2020046026 --
CREATE SEQUENCE SQCPF INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0054 --*/
-- Ticket 2020046026 --
CREATE INDEX I_LC_CPF_DESCRI ON TT_CPF (DESCRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0055 --*/
-- Ticket 2020046026 --
CREATE INDEX I_LC_CPF_DATINC ON TT_CPF (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0056 --*/
-- Ticket 2020046026 --
CREATE INDEX I_LC_CPF_FLGEST ON TT_CPF (FLGEST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0057 --*/
-- Ticket 2020046026 --
CREATE TABLE TT_ICP (
   CODFIL CHAR(3),
   SEQUEN CHAR(10),
   NUMITE Number(5),
   DATINC Date,
   ATU_EM Date,
   FLGEST CHAR(1),
   FILENT CHAR(3),
   FILMAT CHAR(3),
   CODMAT CHAR(5),
   CODCOR Number(5),
   CODTAM Number(5),
   QTDITE Number(12,4)
   ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0058 --*/ 
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ADD CONSTRAINT PK_ICP PRIMARY KEY (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0059 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP MODIFY (DATINC CONSTRAINT NN_ICP_DATINC NOT NULL);


/*-- SEQ 0060 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP MODIFY (ATU_EM CONSTRAINT NN_ICP_ATU_EM NOT NULL);


/*-- SEQ 0061 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP MODIFY (QTDITE CONSTRAINT NN_ICP_QTDITE NOT NULL);


/*-- SEQ 0062 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP MODIFY (FLGEST CONSTRAINT NN_ICP_FLGEST NOT NULL);


/*-- SEQ 0063 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP MODIFY (FILENT CONSTRAINT NN_ICP_FILENT NOT NULL);


/*-- SEQ 0064 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP MODIFY (FILMAT CONSTRAINT NN_ICP_FILMAT NOT NULL);


/*-- SEQ 0065 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP MODIFY (CODMAT CONSTRAINT NN_ICP_CODMAT NOT NULL);


/*-- SEQ 0066 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP MODIFY (CODCOR CONSTRAINT NN_ICP_CODCOR NOT NULL);


/*-- SEQ 0067 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP MODIFY (CODTAM CONSTRAINT NN_ICP_CODTAM NOT NULL);


/*-- SEQ 0068 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ADD CONSTRAINT CK_ICP_FLGEST CHECK (FLGEST IN ('A','C','F'));

/*-- SEQ 0069 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP MODIFY (FLGEST DEFAULT 'A');

/*-- SEQ 0070 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ADD CONSTRAINT FK_ICP_CPF FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_CPF (CODFIL, SEQUEN);

/*-- SEQ 0071 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_ICP_CPF ON TT_ICP (CODFIL, SEQUEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0072 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ADD CONSTRAINT FK_ICP_DFIL_ENT FOREIGN KEY (FILENT) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0073 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_ICP_DFIL_ENT ON TT_ICP (FILENT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0074 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICP ADD CONSTRAINT FK_ICP_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0075 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_ICP_GRA ON TT_ICP (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0076 --*/
-- Ticket 2020046026 --
CREATE TABLE TT_CPFXFOR (
   CODFIL CHAR(3),
   SEQUEN CHAR(10),
   FILFOR CHAR(3),
   CODFOR CHAR(6),
   PRZENT Number(5),
   PRZPGT VARCHAR2(100),
   PERPGT VARCHAR2(100),   
   DATINC Date,
   DATENV Date,
   ATU_EM Date,
   FLGEST CHAR(1),
   TIPEXP CHAR(1)
   ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0077 --*/ 
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ADD CONSTRAINT PK_CPXF PRIMARY KEY (CODFIL, SEQUEN, FILFOR, CODFOR);

/*-- SEQ 0078 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR MODIFY (DATINC CONSTRAINT NN_CPXF_DATINC NOT NULL);


/*-- SEQ 0079 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR MODIFY (ATU_EM CONSTRAINT NN_CPXF_ATU_EM NOT NULL);


/*-- SEQ 0080 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR MODIFY (FLGEST CONSTRAINT NN_CPXF_FLGEST NOT NULL);


/*-- SEQ 0081 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR MODIFY (TIPEXP CONSTRAINT NN_CPXF_TIPEXP NOT NULL);


/*-- SEQ 0082 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR MODIFY (PRZENT CONSTRAINT NN_CPXF_PRZENT NOT NULL);


/*-- SEQ 0083 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR MODIFY (PRZPGT CONSTRAINT NN_CPXF_PRZPGT NOT NULL);


/*-- SEQ 0084 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR MODIFY (PERPGT CONSTRAINT NN_CPXF_PERPGT NOT NULL);


/*-- SEQ 0085 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ADD CONSTRAINT CK_CPXF_FLGEST CHECK (FLGEST IN ('A','C','E','R'));

/*-- SEQ 0086 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR MODIFY (FLGEST DEFAULT 'A');

/*-- SEQ 0087 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ADD CONSTRAINT CK_CPXF_TIPEXP CHECK (TIPEXP IN ('E','J'));

/*-- SEQ 0088 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR MODIFY (TIPEXP DEFAULT 'E');

/*-- SEQ 0089 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ADD CONSTRAINT FK_CPXF_CPF FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_CPF (CODFIL, SEQUEN);

/*-- SEQ 0090 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_CPXF_CPF ON TT_CPFXFOR (CODFIL, SEQUEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0091 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_CPFXFOR ADD CONSTRAINT FK_CPXF_CLI FOREIGN KEY (FILFOR, CODFOR) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0092 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_CPXF_CLI ON TT_CPFXFOR (FILFOR, CODFOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0093 --*/
-- Ticket 2020046026 --
CREATE TABLE TT_ICPXFOR (
   CODFIL CHAR(3),
   SEQUEN CHAR(10),
   FILFOR CHAR(3),
   CODFOR CHAR(6),
   NUMICP Number(5),
   DATINC Date,
   ATU_EM Date,
   FLGEST CHAR(1),
   VLRUNI Number(12,2),
   QTDITE Number(12,4),
   VLRITE Number(12,2),
   BASIPI Number(12,2),
   TAXIPI Number(7,4),
   VLRIPI Number(12,2),
   BASICM Number(12,2),
   TAXRED Number(7,4),
   TAXICM Number(7,4),
   VLRICM Number(12,2),
   ISEICM Number(12,2),
   BASSTT Number(12,2),
   REDSTT Number(7,4),
   TAXMVA Number(7,4),
   TAXSTT Number(7,4),
   VLRSTT Number(12,2),
   BASPIS Number(12,2),
   TAXPIS Number(7,4),
   VLRPIS Number(12,2),
   BASCOF Number(12,2),
   TAXCOF Number(7,4),
   VLRCOF Number(12,2),
   VLRPRE Number(12,2),
   FLGVEN CHAR(1)
   ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0094 --*/ 
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ADD CONSTRAINT PK_CIXF PRIMARY KEY (CODFIL, SEQUEN, FILFOR, CODFOR, NUMICP);

/*-- SEQ 0095 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR MODIFY (DATINC CONSTRAINT NN_CIXF_DATINC NOT NULL);


/*-- SEQ 0096 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR MODIFY (ATU_EM CONSTRAINT NN_CIXF_ATU_EM NOT NULL);


/*-- SEQ 0097 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR MODIFY (FLGEST CONSTRAINT NN_CIXF_FLGEST NOT NULL);


/*-- SEQ 0098 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR MODIFY (VLRUNI CONSTRAINT NN_CIXF_VLRUNI NOT NULL);


/*-- SEQ 0099 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR MODIFY (QTDITE CONSTRAINT NN_CIXF_QTDITE NOT NULL);


/*-- SEQ 0100 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR MODIFY (VLRITE CONSTRAINT NN_CIXF_VLRITE NOT NULL);


/*-- SEQ 0101 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ADD CONSTRAINT CK_CIXF_FLGEST CHECK (FLGEST IN ('A','C','R'));

/*-- SEQ 0102 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ADD CONSTRAINT CK_CIXF_FLGVEN CHECK (FLGVEN IN ('T','F'));

/*-- SEQ 0103 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR MODIFY (FLGEST DEFAULT 'A');

/*-- SEQ 0104 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR MODIFY (FLGVEN DEFAULT 'F');

/*-- SEQ 0105 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ADD CONSTRAINT FK_CIXF_CPXF FOREIGN KEY (CODFIL, SEQUEN, FILFOR, CODFOR) REFERENCES TT_CPFXFOR (CODFIL, SEQUEN, FILFOR, CODFOR);

/*-- SEQ 0106 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_CIXF_CPXF ON TT_ICPXFOR (CODFIL, SEQUEN, FILFOR, CODFOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0107 --*/
-- Ticket 2020046026 --
ALTER TABLE TT_ICPXFOR ADD CONSTRAINT FK_CIXF_ICP FOREIGN KEY (CODFIL, SEQUEN, NUMICP) REFERENCES TT_ICP (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0108 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_CIXF_ICP ON TT_ICPXFOR (CODFIL, SEQUEN, NUMICP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0109 --*/
-- Ticket 2020046026 --
CREATE TABLE TL_CPF (
  CODTAB Number(10),
  FILCPF CHAR(3),
  SEQCPF CHAR(10),
  DATOPE Date,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  MSGLOG VARCHAR2(4000),
  CODUID Number
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0110 --*/
-- Ticket 2020046026 --
ALTER TABLE TL_CPF ADD CONSTRAINT PK_LCPF PRIMARY KEY (CODTAB);

/*-- SEQ 0111 --*/
-- Ticket 2020046026 --
CREATE SEQUENCE SQLCPF INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0112 --*/
-- Ticket 2020046026 --
ALTER TABLE TL_CPF ADD CONSTRAINT FK_LCPF_CPF FOREIGN KEY (FILCPF, SEQCPF) REFERENCES TT_CPF (CODFIL, SEQUEN);

/*-- SEQ 0113 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_LCPF_CPF ON TL_CPF (FILCPF, SEQCPF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0114 --*/
-- Ticket 2020046026 --
ALTER TABLE TL_CPF ADD CONSTRAINT FK_LCPF_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0115 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_LCPF_USU ON TL_CPF (FILUSU, CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0116 --*/
-- Ticket 2020046026 --
ALTER TABLE TL_CPF ADD CONSTRAINT FK_LCPF_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0117 --*/
-- Ticket 2020046026 --
CREATE INDEX I_FK_LCPF_UID ON TL_CPF (CODUID) TABLESPACE TOTALL_INDEX;



/*-- SEQ 0118 --*/
-- Tarefa 2020068301 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0119 --*/
-- Tarefa 2020068301 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'SEPARACAO_REPOSICAO', 'Realiza Separao de Pedido de Reposio?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SEPARACAO_REPOSICAO'));

/*-- SEQ 0120 --*/
-- Tarefa 2020068301 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020072614 --
ALTER TABLE TI_PRO ADD DESNCM VARCHAR2(4000) ;


/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020072614 --
ALTER TABLE TI_PRO ADD DESCES VARCHAR2(4000) ;




/*-- SEQ 0123 --*/
-- Ticket 2020094457 --
ALTER TABLE TT_CAM MODIFY (VLRREF Number(14,4));


/*-- SEQ 0124 --*/
-- Ticket 2020107356 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0125 --*/
-- Ticket 2020107356 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PED_FILIAL_COTACAO', 'Gerar Pedido por Filial na Aprovao da Cotao?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PED_FILIAL_COTACAO'));

/*-- SEQ 0126 --*/
-- Ticket 2020107356 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0127 --*/
-- Ticket 2020107356 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0128 --*/
-- Ticket 2020107356 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PED_FILIAL_COTACAO'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0129 --*/
-- Ticket 2020107356 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0130 --*/
-- Ticket 2020057088 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0131 --*/
-- Ticket 2020057088 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DIVIDACOR', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DIVIDACOR'));

/*-- SEQ 0132 --*/
-- Ticket 2020057088 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0133 --*/
-- Ticket 2020113404 --
ALTER TABLE TT_TEF MODIFY (NSUTRN VARCHAR2(20));


/*-- SEQ 0134 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (ESTCIV Number(5,0));

/*-- SEQ 0135 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (FLGTIP Number(5,0));

/*-- SEQ 0136 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (CODSEX Number(5,0));

/*-- SEQ 0137 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (SEXCON Number(5,0));

/*-- SEQ 0138 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (E_MCON VARCHAR2(254));

/*-- SEQ 0139 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (ALUFIN Number(12,2));

/*-- SEQ 0140 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (FIRCON VARCHAR2(50));

/*-- SEQ 0141 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (ENDCO1 VARCHAR2(50));

/*-- SEQ 0142 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (CANMES Number(5,0));


/*-- SEQ 0143 --*/
-- Ticket 2020093995 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0144 --*/
-- Ticket 2020093995 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'KITNFTRANS', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'KITNFTRANS'));

/*-- SEQ 0145 --*/
-- Ticket 2020093995 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020097542 --
ALTER TABLE TI_CLI ADD END_CODEXT VARCHAR2(20) ;



/*-- SEQ 0147 --*/
-- Ticket 2020113404 --
ALTER TABLE TT_TEF MODIFY (NUMAUT VARCHAR2(100));


/*-- SEQ 0148 --*/
-- Ticket 2020062951 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0149 --*/
-- Ticket 2020062951 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'ESCONDE_SELECIONA', 'Esconder boto "Seleciona" na tela de separao do Commerce Web?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ESCONDE_SELECIONA'));

/*-- SEQ 0150 --*/
-- Ticket 2020062951 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0151 --*/
-- Ticket 2020062951 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0152 --*/
-- Ticket 2020062951 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'ESCONDE_SELECIONA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0153 --*/
-- Ticket 2020062951 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;

