
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CONSID_SALPEN_SALREA', 'Considerar SaldoPendente(Entrada/Sada) para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_SALPEN_SALREA'));

/*-- SEQ 0004 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

 
/*-- SEQ 0005 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_SALPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0007 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0008 --*/
-- Ticket 2023045079 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
-- Ticket 2023045079 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'ATIVAR_FIDELIDADE', 'Ativar a comunicao com o servio de fidelidade no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ATIVAR_FIDELIDADE'));

/*-- SEQ 0010 --*/
-- Ticket 2023045079 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;
 
/*-- SEQ 0011 --*/
-- Ticket 2023045079 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0012 --*/
-- Ticket 2023045079 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'ATIVAR_FIDELIDADE'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0013 --*/
-- Ticket 2023045079 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0014 --*/
-- Ticket 2023026710 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0015 --*/
-- Ticket 2023026710 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'VAL_CLI_VALECOMPRA', 'No permitir o uso do "Vale-Compra" para cliente diferente do titular do Vale no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VAL_CLI_VALECOMPRA'));

/*-- SEQ 0016 --*/
-- Ticket 2023026710 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

 
/*-- SEQ 0017 --*/
-- Ticket 2023026710 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0018 --*/
-- Ticket 2023026710 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'VAL_CLI_VALECOMPRA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0019 --*/
-- Ticket 2023026710 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0020 --*/
-- Ticket 2023048911 --
CREATE TABLE TD_MTD ( -- Montadora
    CODTAB Number(5),
    DESMTD VARCHAR2(100), 
    DATINC Date, 
    ATU_EM Date,
    MTDATI VARCHAR2(1) DEFAULT 'T') TABLESPACE TOTALL_DATA; 
  
/*-- SEQ 0021 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD ADD CONSTRAINT PK_DMTD PRIMARY KEY (CODTAB);

/*-- SEQ 0022 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD MODIFY (DESMTD CONSTRAINT NN_DMTD_DESMTD NOT NULL);


/*-- SEQ 0023 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD MODIFY (MTDATI CONSTRAINT NN_DMTD_MTDATI NOT NULL);


/*-- SEQ 0024 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MTD MODIFY (DATINC CONSTRAINT NN_DMTD_DATINC NOT NULL);


/*-- SEQ 0025 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MTD MODIFY (ATU_EM CONSTRAINT NN_DMTD_ATU_EM NOT NULL);


/*-- SEQ 0026 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD ADD CONSTRAINT CK_DMTD_MTDATI CHECK (MTDATI IN ('T','F'));
  
/*-- SEQ 0027 --*/
-- Ticket 2023048911 --
CREATE INDEX I_LC_MTD_DESMTD ON TD_MTD (DESMTD) TABLESPACE TOTALL_INDEX;

-----------------------------------------------------------------------

/*-- SEQ 0028 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD CODMTD Number(5) ;


/*-- SEQ 0029 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD TIPVEI Number(2) ;


/*-- SEQ 0030 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD CONSTRAINT CK_DVEI_TIPVEI CHECK (TIPVEI IN (01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26));
 
/*-- SEQ 0031 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD ESPVEI Number(1) ;


/*-- SEQ 0032 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD CONSTRAINT CK_DVEI_ESPVEI CHECK (ESPVEI IN (1,2,3,4,5,6));
 
/*-- SEQ 0033 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD CONVEI Number(1) ;


/*-- SEQ 0034 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD CONSTRAINT CK_DVEI_CONVEI CHECK (CONVEI IN (1,2,3));

/*-- SEQ 0035 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD CAPMAX Number(3) ;
 

/*-- SEQ 0036 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD MAXTRA Number(13,4) ;
 

/*-- SEQ 0037 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI ADD CONSTRAINT FK_VEI_MTD FOREIGN KEY (CODMTD) REFERENCES TD_MTD (CODTAB);

/*-- SEQ 0038 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_VEI_MTD ON TD_VEI (CODMTD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0039 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI DROP CONSTRAINT NN_DVEI_PLACAS;


/*-- SEQ 0040 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI DROP CONSTRAINT NN_DVEI_PESMAX;


/*-- SEQ 0041 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_VEI DROP CONSTRAINT NN_DVEI_VOLMAX;


-----------------------------------------------------------------------

/*-- SEQ 0042 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD ANOFAB Number(4) ;
 

/*-- SEQ 0043 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD TIPPIN CHAR(1) ;
 

/*-- SEQ 0044 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_TIPPIN CHECK (TIPPIN IN ('C','M','F','P','S'));

/*-- SEQ 0045 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD CHASSI VARCHAR2(17) ;
 

/*-- SEQ 0046 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD CONVIN CHAR(1) ;
 

/*-- SEQ 0047 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_CONVIN CHECK (CONVIN IN ('R','N'));

/*-- SEQ 0048 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD ANOMOD Number(4) ;
 

/*-- SEQ 0049 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD SERIAL VARCHAR2(9) ;
 

/*-- SEQ 0050 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD NUMMOT VARCHAR2(21) ;
 

-----------------------------------------------------------------------

/*-- SEQ 0051 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD ANOFAB Number(4) ;
 

/*-- SEQ 0052 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD TIPPIN CHAR(1) ;
 

/*-- SEQ 0053 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_TIPPIN CHECK (TIPPIN IN ('C','M','F','P','S'));

/*-- SEQ 0054 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD CONVIN CHAR(1) ;
 

/*-- SEQ 0055 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_CONVIN CHECK (CONVIN IN ('R','N'));

/*-- SEQ 0056 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD ANOMOD Number(4) ;
 

-----------------------------------------------------------------------

/*-- SEQ 0057 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_IVE ADD RESTRI Number(1) ;
 

/*-- SEQ 0058 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_RESTRI CHECK (RESTRI IN (0,1,2,3,4,5,6,7,8,9)); 

/*-- SEQ 0059 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;

/*-- SEQ 0060 --*/
ALTER TABLE TT_IVE ADD TIPOPE Number(1) DEFAULT 1;

/*-- SEQ 0061 --*/
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS; 

/*-- SEQ 0062 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_TIPOPE CHECK (TIPOPE IN (0,1,2,3)); -- 1 fixo, porm existe 0, 1, 2 e 3

-----------------------------------------------------------------------

/*-- SEQ 0063 --*/
-- Ticket 2023048911 --
CREATE TABLE TD_MOT ( -- Motor
    CODTAB Number(5),
    DESCMO VARCHAR2(100),
    TIPCOM VARCHAR2(2), 
    CILIND VARCHAR2(4),
    POTENC VARCHAR2(4), 
    DATINC Date,
    ATU_EM Date,
    MTOATI VARCHAR2(1) DEFAULT 'T') TABLESPACE TOTALL_DATA;

/*-- SEQ 0064 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ADD CONSTRAINT PK_DMOT PRIMARY KEY (CODTAB);

/*-- SEQ 0065 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT MODIFY (DESCMO CONSTRAINT NN_DMOT_DESCMO NOT NULL);


/*-- SEQ 0066 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT MODIFY (MTOATI CONSTRAINT NN_DMOT_MTOATI NOT NULL);


/*-- SEQ 0067 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MOT MODIFY (DATINC CONSTRAINT NN_DMOT_DATINC NOT NULL);


/*-- SEQ 0068 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MOT MODIFY (ATU_EM CONSTRAINT NN_DMOT_ATU_EM NOT NULL);


/*-- SEQ 0069 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ADD CONSTRAINT CK_DMOT_MTOATI CHECK (MTOATI IN ('T','F'));
 
/*-- SEQ 0070 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ADD CONSTRAINT CK_DMOT_TIPCOM CHECK (TIPCOM IN ('01','02','03','04','05','06','07','08','09','10','11','12','13','14','15','16','17','18'));
    
/*-- SEQ 0071 --*/
-- Ticket 2023048911 --
CREATE INDEX I_LC_MOT_DESCMO ON TD_MOT (DESCMO) TABLESPACE TOTALL_INDEX;

-----------------------------------------------------------------------

/*-- SEQ 0072 --*/
-- Ticket 2023048911 --
CREATE TABLE TD_MDV ( -- Modelos
    CODTAB Number(5),
    CODVEI Number(5),
    DESMDV VARCHAR2(100),
    DISEXI VARCHAR2(4),
    DATINC Date,
    CODMAR Number(6),
    ATU_EM Date,
    MDVATI VARCHAR2(1) DEFAULT 'T') TABLESPACE TOTALL_DATA;
   
/*-- SEQ 0073 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ADD CONSTRAINT PK_DMDV PRIMARY KEY (CODTAB);

/*-- SEQ 0074 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV MODIFY (DESMDV CONSTRAINT NN_DMDV_DESMDV NOT NULL);


/*-- SEQ 0075 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV MODIFY (MDVATI CONSTRAINT NN_DMDV_MDVATI NOT NULL);


/*-- SEQ 0076 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MDV MODIFY (DATINC CONSTRAINT NN_DMDV_DATINC NOT NULL);


/*-- SEQ 0077 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_MDV MODIFY (ATU_EM CONSTRAINT NN_DMDV_ATU_EM NOT NULL);


/*-- SEQ 0078 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ADD CONSTRAINT CK_DMDV_MDVATI CHECK (MDVATI IN ('T','F'));
   
/*-- SEQ 0079 --*/
-- Ticket 2023048911 --
CREATE INDEX I_LC_MDV_DESMDV ON TD_MDV (DESMDV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0080 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ADD CONSTRAINT FK_MDV_VEI FOREIGN KEY (CODVEI) REFERENCES TD_VEI (CODTAB);

/*-- SEQ 0081 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_MDV_VEI ON TD_MDV (CODVEI) TABLESPACE TOTALL_INDEX;

-----------------------------------------------------------------------

/*-- SEQ 0082 --*/
-- Ticket 2023048911 --
CREATE TABLE TD_CORVEI ( -- Cor do Veculo
    CODTAB Number(5),
    DESCORVEI VARCHAR2(100),
    CODCORDEN Number(2),
    DATINC Date,
    ATU_EM Date,
    CORVEIATI VARCHAR2(1) DEFAULT 'T') TABLESPACE TOTALL_DATA;
   
/*-- SEQ 0083 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ADD CONSTRAINT PK_DCORVEI PRIMARY KEY (CODTAB);

/*-- SEQ 0084 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI MODIFY (DESCORVEI CONSTRAINT NN_DCORVEI_DESCORVEI NOT NULL);


/*-- SEQ 0085 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI MODIFY (CORVEIATI CONSTRAINT NN_DCORVEI_CORVEIATI NOT NULL);


/*-- SEQ 0086 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_CORVEI MODIFY (DATINC CONSTRAINT NN_DCORVEI_DATINC NOT NULL);


/*-- SEQ 0087 --*/
-- Ticket 2023048911 --
--ALTER TABLE TD_CORVEI MODIFY (ATU_EM CONSTRAINT NN_DCORVEI_ATU_EM NOT NULL);


/*-- SEQ 0088 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ADD CONSTRAINT CK_DCORVEI_CORVEIATI CHECK (CORVEIATI IN ('T','F'));

/*-- SEQ 0089 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ADD CONSTRAINT CK_DCORVEI_CODCORDEN CHECK (CODCORDEN IN ('01','02','03','04','05','06','07','08','09','10','11','12','13','14','15','16'));

-----------------------------------------------------------------------

/*-- SEQ 0090 --*/
-- Ticket 2023048911 --
CREATE TABLE TT_DMTDXDCORVEI ( -- Relacionamento com COR > VECULO
    CODIGO VARCHAR2(4),
    CODMTD Number(5), -- TD_MTD
    CODCORVEI Number(5), -- TD_CORVEI
    DATINC Date,
    ATU_EM Date) TABLESPACE TOTALL_DATA;
    
/*-- SEQ 0091 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD CONSTRAINT PK_DMTDXDCORVEI PRIMARY KEY (CODMTD,CODCORVEI);

/*-- SEQ 0092 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD CONSTRAINT FK_DMTDXDCORVEI_DMTD FOREIGN KEY (CODMTD) REFERENCES TD_MTD (CODTAB);

/*-- SEQ 0093 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_DMTDXDCORVEI_DMTD ON TT_DMTDXDCORVEI (CODMTD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0094 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD CONSTRAINT FK_DMTDXDCORVEI_CORVEI FOREIGN KEY (CODCORVEI) REFERENCES TD_CORVEI (CODTAB);

/*-- SEQ 0095 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_DMTDXDCORVEI_CORVEI ON TT_DMTDXDCORVEI (CODCORVEI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0096 --*/
-- Ticket 2023048911 --
--ALTER TABLE TT_DMTDXDCORVEI MODIFY (DATINC CONSTRAINT NN_DMTDXDCORVEI_DATINC NOT NULL);


/*-- SEQ 0097 --*/
-- Ticket 2023048911 --
--ALTER TABLE TT_DMTDXDCORVEI MODIFY (ATU_EM CONSTRAINT NN_DMTDXDCORVEI_ATU_EM NOT NULL);


-----------------------------------------------------------------------

/*-- SEQ 0098 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD DESMTD VARCHAR2(100) ;


/*-- SEQ 0099 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0100 --*/
ALTER TABLE TW_TAB ADD MTDATI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0101 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0102 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD CODMTD Number(5) ;


/*-- SEQ 0103 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD TIPVEI Number(2) ;


/*-- SEQ 0104 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD ESPVEI Number(1) ;


/*-- SEQ 0105 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD CONVEI Number(1) ;


/*-- SEQ 0106 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD CAPMAX Number(3) ;


/*-- SEQ 0107 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD MAXTRA Number(13,4) ;
 

/*-- SEQ 0108 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD DESCMO VARCHAR2(100) ;


/*-- SEQ 0109 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD TIPCOM VARCHAR2(2) ;


/*-- SEQ 0110 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD CILIND VARCHAR2(4) ;


/*-- SEQ 0111 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD POTENC VARCHAR2(4) ;


/*-- SEQ 0112 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0113 --*/
ALTER TABLE TW_TAB ADD MTOATI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0114 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0115 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD CODVEI Number(5) ;


/*-- SEQ 0116 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD DESMDV VARCHAR2(100) ;


/*-- SEQ 0117 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD DISEXI VARCHAR2(4) ;


/*-- SEQ 0118 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD CODMAR Number(6) ;


/*-- SEQ 0119 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0120 --*/
ALTER TABLE TW_TAB ADD MDVATI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0121 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0122 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD DESCORVEI VARCHAR2(100) ;


/*-- SEQ 0123 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0124 --*/
ALTER TABLE TW_TAB ADD CORVEIATI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0125 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0126 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD CODCORDEN Number(2) ;


-----------------------------------------------------------------------

/*-- SEQ 0127 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_PRO ADD CODMDV Number(5) ;


/*-- SEQ 0128 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_MDV FOREIGN KEY (CODMDV) REFERENCES TD_MDV (CODTAB);

/*-- SEQ 0129 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_PRO_MDV ON TT_PRO (CODMDV) TABLESPACE TOTALL_INDEX;

-----------------------------------------------------------------------

/*-- SEQ 0130 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD CODMOT Number(5) ;


/*-- SEQ 0131 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD CONSTRAINT FK_GRA_MOT FOREIGN KEY (CODMOT) REFERENCES TD_MOT (CODTAB);

/*-- SEQ 0132 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_GRA_MOT ON TT_GRA (CODMOT) TABLESPACE TOTALL_INDEX;

-----------------------------------------------------------------------


/*-- SEQ 0133 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD CODCORVEI Number(5) ;
 

/*-- SEQ 0134 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_LOT ADD CONSTRAINT FK_LOT_CORVEI FOREIGN KEY (CODCORVEI) REFERENCES TD_CORVEI (CODTAB);

/*-- SEQ 0135 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_LOT_CORVEI ON TT_LOT (CODCORVEI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0136 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD CODCORVEI Number(5) ;


/*-- SEQ 0137 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_GRA ADD CONSTRAINT FK_GRA_CORVEI FOREIGN KEY (CODCORVEI) REFERENCES TD_CORVEI (CODTAB);

/*-- SEQ 0138 --*/
-- Ticket 2023048911 --
CREATE INDEX I_FK_GRA_CORVEI ON TT_GRA (CODCORVEI) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0139 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DROP COLUMN MTDATI CASCADE CONSTRAINT;

/*-- SEQ 0140 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DROP COLUMN MTOATI CASCADE CONSTRAINT;

/*-- SEQ 0141 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DROP COLUMN MDVATI CASCADE CONSTRAINT;

/*-- SEQ 0142 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB DROP COLUMN CORVEIATI CASCADE CONSTRAINT;

/*-- SEQ 0143 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD MTDATI VARCHAR2(1) ;


/*-- SEQ 0144 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD MTOATI VARCHAR2(1) ;


/*-- SEQ 0145 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD MDVATI VARCHAR2(1) ;


/*-- SEQ 0146 --*/
-- Ticket 2023048911 --
ALTER TABLE TW_TAB ADD CORVEIATI VARCHAR2(1) ;


/*-- SEQ 0147 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD DROP COLUMN DATINC CASCADE CONSTRAINT;

/*-- SEQ 0148 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD DROP COLUMN ATU_EM CASCADE CONSTRAINT;

/*-- SEQ 0149 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD ADD DATINC Date ;


/*-- SEQ 0150 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MTD ADD ATU_EM Date ;


/*-- SEQ 0151 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT DROP COLUMN DATINC CASCADE CONSTRAINT;

/*-- SEQ 0152 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT DROP COLUMN ATU_EM CASCADE CONSTRAINT;

/*-- SEQ 0153 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ADD DATINC Date ;


/*-- SEQ 0154 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MOT ADD ATU_EM Date ;


/*-- SEQ 0155 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV DROP COLUMN DATINC CASCADE CONSTRAINT;

/*-- SEQ 0156 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV DROP COLUMN ATU_EM CASCADE CONSTRAINT;

/*-- SEQ 0157 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ADD DATINC Date ;


/*-- SEQ 0158 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_MDV ADD ATU_EM Date ;


/*-- SEQ 0159 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI DROP COLUMN DATINC CASCADE CONSTRAINT;

/*-- SEQ 0160 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI DROP COLUMN ATU_EM CASCADE CONSTRAINT;

/*-- SEQ 0161 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ADD DATINC Date ;


/*-- SEQ 0162 --*/
-- Ticket 2023048911 --
ALTER TABLE TD_CORVEI ADD ATU_EM Date ;


/*-- SEQ 0163 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI DROP COLUMN DATINC CASCADE CONSTRAINT;

/*-- SEQ 0164 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI DROP COLUMN ATU_EM CASCADE CONSTRAINT;

/*-- SEQ 0165 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD DATINC Date ;


/*-- SEQ 0166 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD ATU_EM Date ;


/*-- SEQ 0167 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI DROP COLUMN DATINC CASCADE CONSTRAINT;

/*-- SEQ 0168 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI DROP COLUMN ATU_EM CASCADE CONSTRAINT;

/*-- SEQ 0169 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD DATINC Date ;


/*-- SEQ 0170 --*/
-- Ticket 2023048911 --
ALTER TABLE TT_DMTDXDCORVEI ADD ATU_EM Date ;



/*-- SEQ 0171 --*/
-- Ticket 20221210595 --
ALTER TABLE TT_IVE DROP COLUMN TIPOPE CASCADE CONSTRAINT;

/*-- SEQ 0172 --*/
-- Ticket 20221210595 --
ALTER TABLE TT_IVE ADD TIPOPE Number(1) ;


/*-- SEQ 0173 --*/
-- Ticket 20221210595 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_TIPOPE CHECK (TIPOPE IN (0,1,2,3,9));


/*-- SEQ 0174 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0175 --*/
-- Ticket 20230311507 --
DELETE FROM TT_IPC WHERE ID_PCS IN (SELECT ID_PCS FROM TT_PCS WHERE NOMPCS = 'CONSID_SALPEN_SALREA');

/*-- SEQ 0176 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;

/*-- SEQ 0177 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0178 --*/
-- Ticket 20230311507 --
DELETE FROM TT_PCS WHERE NOMPCS = 'CONSID_SALPEN_SALREA';

/*-- SEQ 0179 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0180 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0181 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CONSID_ENTPEN_SALREA', 'Considerar Entradas Pendentes para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_ENTPEN_SALREA'));

/*-- SEQ 0182 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CONSID_SAIPEN_SALREA', 'Considerar Sadas Pendentes para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_SAIPEN_SALREA'));

/*-- SEQ 0183 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0184 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0185 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_ENTPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0186 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_SAIPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0187 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0188 --*/
-- Ticket 2023021566 --
ALTER TABLE TD_FIL ADD SERTRA CHAR(2) ;


/*-- SEQ 0189 --*/
-- Ticket 2023021566 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERTRA FOREIGN KEY (SERTRA) REFERENCES TD_SER (CODSER);

/*-- SEQ 0190 --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_DFIL_DSER_SERTRA ON TD_FIL (SERTRA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0191 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0192 --*/
-- Ticket 2023021566 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PERMITE_FAT_PARC_SEP', 'Permite faturamento parcial do DAV/Pr-Venda dos itens j separados no CommerceWeb?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITE_FAT_PARC_SEP'));
                     
/*-- SEQ 0193 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0194 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0195 --*/
-- Ticket 2023021566 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITE_FAT_PARC_SEP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0196 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0197 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD BASINSS Number(12,2) ;


/*-- SEQ 0198 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD PERINSS Number(5,2) ;


/*-- SEQ 0199 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD VLRINSS Number(12,2) ;


/*-- SEQ 0200 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD PERREDISS Number(5,2) ;


/*-- SEQ 0201 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD SITISS CHAR(1) ;


/*-- SEQ 0202 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_SITISS CHECK ((SITISS IS NULL) OR (SITISS IN ('N','I','R','S')));

/*-- SEQ 0203 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD BASISS Number(12,2) ;


/*-- SEQ 0204 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD PERISS Number(5,2) ;


/*-- SEQ 0205 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD VLRISS Number(12,2) ;


/*-- SEQ 0206 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD VLRISSRET Number(12,2) ;


/*-- SEQ 0207 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD PERREDISS Number(5,2) ;


/*-- SEQ 0208 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD VLRISSRET Number(12,2) ;



/*-- SEQ 0209 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD PERSOC Number(5,2) ;


/*-- SEQ 0210 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD BASSOC Number(12,2) ;



/*-- SEQ 0211 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0212 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PERMITE_EDT_ISS_ORD', 'Permite edio das informaes tributrias de Servio no Order?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITE_EDT_ISS_ORD'));
                     
/*-- SEQ 0213 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0214 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0215 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITE_EDT_ISS_ORD'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0216 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0217 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_CFG ADD NATDECTRA Number(5) ;


/*-- SEQ 0218 --*/
-- Ticket 2023021566 --
ALTER TABLE TW_CFG ADD NATDECTRA Number(5) ;


/*-- SEQ 0219 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATDECTRA FOREIGN KEY (NATDECTRA) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0220 --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_CFG_DNAT_NATDECTRA ON TT_CFG (NATDECTRA) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0221 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD CODIBG_INCIDENCIA Number(10) ;


/*-- SEQ 0222 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD OBSERV VARCHAR2(4000) ;


/*-- SEQ 0223 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_IBG_INCIDENCIA FOREIGN KEY (CODIBG_INCIDENCIA) REFERENCES TT_IBG (CODIBG);

/*-- SEQ 0224 --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_IVE_IBG_INCIDENCIA ON TT_IVE (CODIBG_INCIDENCIA) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0225 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD PERDEDISS Number(5,2) ;


/*-- SEQ 0226 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD PERDEDISS Number(5,2) ;


/*-- SEQ 0227 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD VLRDEDISS Number(12,2) ;


/*-- SEQ 0228 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD VLRDEDISS Number(12,2) ;



/*-- SEQ 0229 --*/
-- Ticket 2023023021 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0230 --*/
-- Ticket 2023023021 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USA_EDT_PAR_POS', 'Utiliza edio de Parcelas no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_EDT_PAR_POS'));

/*-- SEQ 0231 --*/
-- Ticket 2023023021 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0232 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0233 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PERMITEMULTSERVICOS', 'Permite mltiplos Servio na mesma Operao?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITEMULTSERVICOS'));
                     
/*-- SEQ 0234 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0235 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0236 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITEMULTSERVICOS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0237 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0238 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0239 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'APLINSSCOMODESCORD', 'Aplica Valor do INSS como desconto no Order?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APLINSSCOMODESCORD'));
                     
/*-- SEQ 0240 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0241 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0242 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'APLINSSCOMODESCORD'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0243 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;





/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Ticket 20230515370 --
ALTER TABLE TD_DEV ADD CODEXT VARCHAR2(20) ;


