
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023123165 --
ALTER TABLE TT_PED ADD DATAPR Date ;



/*-- SEQ 0003 --*/
-- Ticket 2024015675 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0004 --*/
-- Ticket 2024015675 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'ACEITA_CSOSN_103', 'Utiliza CSOSN 103 (Iseno do ICMS no Simples Nacional para faixa de receita bruta) ?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ACEITA_CSOSN_103'));
/*-- SEQ 0005 --*/
-- Ticket 2024015675 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- Tarefa 2024015675 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0007 --*/
-- Tarefa 2024015675 --
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT SQIPC.NEXTVAL, PCS.ID_PCS, 'T', 'T', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'ACEITA_CSOSN_103'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS);

/*-- SEQ 0008 --*/
-- Tarefa 2024015675 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023120719 --
CREATE INDEX I_LC_ROM_PLACAS ON TT_ROM (PLACAS) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0010 --*/
-- Ticket 2023123163 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0011 --*/
-- Ticket 2023123163 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PERMITE_FAT_PARC_REP', 'Permite Faturamento parcial do Pedido de Transferncia/Reposio j separados CommerceWeb?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITE_FAT_PARC_REP'));

/*-- SEQ 0012 --*/
-- Ticket 2023123163 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0013 --*/
-- Ticket 2023123163 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0014 --*/
-- Ticket 2023123163 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITE_FAT_PARC_REP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0015 --*/
-- Ticket 2023123163 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0016 --*/
-- Ticket 2023116403 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0017 --*/
-- Ticket 2023116403 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USA_TRANS_AUTOMATICA', 'Utiliza processo de transferncia automtica?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_TRANS_AUTOMATICA'));

/*-- SEQ 0018 --*/
-- Ticket 2023116403 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0019 --*/
-- Ticket 2023116403 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0020 --*/
-- Ticket 2023116403 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'USA_TRANS_AUTOMATICA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0021 --*/
-- Ticket 2023116403 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;






/*-- SEQ 0022 --*/
-- Ticket 2024014510 --
ALTER TABLE TT_CFG ADD AGRUPADOR_ITENS_DISTR_EST VARCHAR2(20) ;


/*-- SEQ 0023 --*/
-- Ticket 2024014510 --
ALTER TABLE TT_CFG ADD NUM_ITENS_DISTR_EST Number(10,0) ;


/*-- SEQ 0024 --*/
-- Ticket 2024014510 --
ALTER TABLE TW_CFG ADD AGRUPADOR_ITENS_DISTR_EST VARCHAR2(20) ;


/*-- SEQ 0025 --*/
-- Ticket 2024014510 --
ALTER TABLE TW_CFG ADD NUM_ITENS_DISTR_EST Number(10,0) ;



/*-- SEQ 0026 --*/
-- Ticket 20230711330 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;

/*-- SEQ 0027 --*/
ALTER TABLE TT_CLI ADD CONTRIBUINTE VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0028 --*/
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0029 --*/
-- Ticket 20230711330 --
ALTER TABLE TI_CLI ADD CONTRIBUINTE VARCHAR2(1) ;


/*-- SEQ 0030 --*/
-- Ticket 20230711330 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0031 --*/
-- Ticket 20230711330 --
UPDATE TT_CLI SET CONTRIBUINTE = 'T' WHERE ISENTO = 'F' OR (TIPDOC= 'IE' AND NOT INSEST IS NULL AND INSEST <> 'ISENTO' AND INSEST <> 'ISENTA');

/*-- SEQ 0032 --*/
-- Ticket 20230711330 --
ALTER TABLE TT_CLI MODIFY (CONTRIBUINTE CONSTRAINT F NOT NULL);


/*-- SEQ 0033 --*/
-- Ticket 20230711330 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0034 --*/
-- Ticket 20230711330 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_CONTRIBUINTE CHECK (CONTRIBUINTE IN ('T','F'));


/*-- SEQ 0035 --*/
-- Ticket 2024036200 --
CREATE TABLE TT_VENXORC ( -- Relacionamento entre venda e oramento pendente
    CODTAB Number(10),
    VENFIL CHAR(3),
    VENSEQ CHAR(10),
    VENITE Number(5),
    VENCOO CHAR(6),
    VENECF CHAR(3),
    ORCFIL CHAR(3),
    ORCTIP CHAR(1),
    ORCPED CHAR(8),
    ORCITE Number(4),
    QTDENT Number(12, 4),
    DATINC Date) TABLESPACE TOTALL_DATA; 
    
/*-- SEQ 0036 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ADD CONSTRAINT PK_VENXORC PRIMARY KEY (CODTAB);

/*-- SEQ 0037 --*/
-- Ticket 2024036200 --
CREATE SEQUENCE SQVENXORC INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0038 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ADD CONSTRAINT FK_VENXORC_VEN FOREIGN KEY (VENFIL, VENSEQ) REFERENCES TT_VEN (CODFIL, SEQUEN);

/*-- SEQ 0039 --*/
-- Ticket 2024036200 --
CREATE INDEX I_FK_VENXORC_VEN ON TT_VENXORC (VENFIL, VENSEQ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0040 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC MODIFY (VENFIL CONSTRAINT NN_VENXORC_VENFIL NOT NULL);


/*-- SEQ 0041 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC MODIFY (VENSEQ CONSTRAINT NN_VENXORC_VENSEQ NOT NULL);


/*-- SEQ 0042 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC MODIFY (VENITE CONSTRAINT NN_VENXORC_VENITE NOT NULL);


/*-- SEQ 0043 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC MODIFY (ORCFIL CONSTRAINT NN_VENXORC_ORCFIL NOT NULL);


/*-- SEQ 0044 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC MODIFY (ORCTIP CONSTRAINT NN_VENXORC_ORCTIP NOT NULL);


/*-- SEQ 0045 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC MODIFY (ORCPED CONSTRAINT NN_VENXORC_ORCPED NOT NULL);


/*-- SEQ 0046 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC MODIFY (ORCITE CONSTRAINT NN_VENXORC_ORCITE NOT NULL);



/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
DROP TRIGGER TGVENXORC;

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC DROP CONSTRAINT NN_VENXORC_ORCITE;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC DROP CONSTRAINT NN_VENXORC_ORCPED;


/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC DROP CONSTRAINT NN_VENXORC_ORCTIP;


/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC DROP CONSTRAINT NN_VENXORC_ORCFIL;


/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC DROP CONSTRAINT NN_VENXORC_VENITE;


/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC DROP CONSTRAINT NN_VENXORC_VENSEQ;


/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC DROP CONSTRAINT NN_VENXORC_VENFIL;


/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
DROP INDEX I_FK_VENXORC_VEN;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
DROP SEQUENCE SQVENXORC;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
DROP TABLE TT_VENXORC;

/*-- SEQ 0058 --*/
-- Ticket 2024036200 --
CREATE TABLE TW_IVEXIOR ( -- Relacionamento entre item de venda e item de oramento pendente
    CODTAB Number(10),
    FILIVE CHAR(3),
    SEQIVE CHAR(10),
    NUMIVE Number(5),
    VENCOO CHAR(6),
    VENECF CHAR(3),
    FILORI CHAR(3),
    TIPORI CHAR(1),
    NUMORI CHAR(8),
    ITEORI Number(5),
    QTDENT Number(12,4),
    DATINC Date) TABLESPACE TOTALL_DATA; 
    
/*-- SEQ 0059 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR  ADD CONSTRAINT PK_WIVEXIOR PRIMARY KEY (CODTAB);

/*-- SEQ 0060 --*/
-- Ticket 2024036200 --
CREATE SEQUENCE SQWIVEXIOR INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0061 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR  ADD CONSTRAINT FK_WIVEXIOR_IVE FOREIGN KEY (FILIVE, SEQIVE, NUMIVE) REFERENCES TT_IVE (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0062 --*/
-- Ticket 2024036200 --
CREATE INDEX I_FK_WIVEXIOR_IVE ON TW_IVEXIOR  (FILIVE, SEQIVE, NUMIVE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0063 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR MODIFY (FILIVE CONSTRAINT NN_VENXORC_FILIVE NOT NULL);


/*-- SEQ 0064 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR MODIFY (SEQIVE CONSTRAINT NN_VENXORC_SEQIVE NOT NULL);


/*-- SEQ 0065 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR MODIFY (NUMIVE CONSTRAINT NN_VENXORC_NUMIVE NOT NULL);


/*-- SEQ 0066 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR MODIFY (FILORI CONSTRAINT NN_VENXORC_FILORI NOT NULL);


/*-- SEQ 0067 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR MODIFY (TIPORI CONSTRAINT NN_VENXORC_TIPORI NOT NULL);


/*-- SEQ 0068 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR MODIFY (NUMORI CONSTRAINT NN_VENXORC_NUMORI NOT NULL);


/*-- SEQ 0069 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR MODIFY (ITEORI CONSTRAINT NN_VENXORC_ITEORI NOT NULL);



/*-- SEQ 0070 --*/
-- Ticket 2023057445 --
ALTER TABLE TT_IUF ADD REDDIFAL Number(5,2) ;


/*-- SEQ 0071 --*/
-- Ticket 2023057445 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0072 --*/
-- Ticket 2023057445 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DIFAL_BASE_DUPLA', 'Calcula DIFAL sobre Base Dupla?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DIFAL_BASE_DUPLA'));

/*-- SEQ 0073 --*/
-- Ticket 2023057445 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

