
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
ALTER TABLE TD_EST DISABLE ALL TRIGGERS;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
UPDATE TD_EST
   SET ICMINT = 17
 WHERE ESTADO NOT IN ('MG','PR','RJ','SP');
 
/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
UPDATE TD_EST
   SET ICMINT = 18
 WHERE ESTADO IN ('MG','PR','SP');
 
/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
UPDATE TD_EST
   SET ICMINT = 19
 WHERE ESTADO IN ('RJ'); 

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
ALTER TABLE TD_EST ENABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- Tarefa 81785 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0007 --*/
-- Tarefa 81785 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,349)||SUBSTR(PERMIS,301,1)||SUBSTR(PERMIS,351,9999);

/*-- SEQ 0008 --*/
-- Tarefa 81785 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
ALTER TABLE TT_BRU DISABLE ALL TRIGGERS;

 
/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
UPDATE TT_BRU
   SET APROVA = 'F'
 WHERE APROVA = NULL;   

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
ALTER TABLE TT_BRU MODIFY (APROVA DEFAULT 'F');

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
ALTER TABLE TT_BRU ENABLE ALL TRIGGERS;

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
 ALTER TABLE TT_BRU MODIFY (APROVA CONSTRAINT NN_BRU_APROVA NOT NULL);



/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80789 --
-- Cria Backup das IVEs que esto com o VLRMOV e QTDMOV zerado.
CREATE TABLE TEMP_IVE AS SELECT IVE.* 
                           FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                                                AND IVE.SEQUEN = IOR.SEQIVE
                                                                AND IVE.NUMITE = IOR.NUMIVE 
                          WHERE IVE.SITMOV = 'C'
                            AND IOR.TIPENT = '5'
                            AND IVE.VLRMOV = 0;

/*-- SEQ 0015 --*/
-- Tarefa 80789 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;


/*-- SEQ 0016 --*/
-- Tarefa 80789 --
-- Update para inserir o valores no campo QTDMOV.
UPDATE TT_IVE
   SET QTDMOV = (SELECT IOR.QTDENT
                   FROM TT_IOR IOR
                  WHERE TT_IVE.CODFIL = IOR.FILIVE
                    AND TT_IVE.SEQUEN = IOR.SEQIVE
                    AND TT_IVE.NUMITE = IOR.NUMIVE)	   
 WHERE (CODFIL, SEQUEN, NUMITE) IN (
 SELECT IVE.CODFIL, IVE.SEQUEN, IVE.NUMITE
   FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                        AND IVE.SEQUEN = IOR.SEQIVE
                                        AND IVE.NUMITE = IOR.NUMIVE 
  WHERE IVE.SITMOV = 'C'
    AND IOR.TIPENT = '5'
    AND IVE.QTDMOV = 0);

/*-- SEQ 0017 --*/
-- Tarefa 80789 --
-- Update para inserir o valores no campo VLRMOV.
UPDATE TT_IVE
   SET VLRMOV = (SELECT COALESCE(CAST(IOR.QTDENT*TT_IVE.VLRUNI AS Number(14,2)), IOR.VLRCUS) AS VLRMOV
                   FROM TT_IOR IOR
                  WHERE TT_IVE.CODFIL = IOR.FILIVE
                    AND TT_IVE.SEQUEN = IOR.SEQIVE
                    AND TT_IVE.NUMITE = IOR.NUMIVE)
 WHERE (CODFIL, SEQUEN, NUMITE) IN (
 SELECT IVE.CODFIL, IVE.SEQUEN, IVE.NUMITE
   FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                        AND IVE.SEQUEN = IOR.SEQIVE
                                        AND IVE.NUMITE = IOR.NUMIVE 
  WHERE IVE.SITMOV = 'C'
    AND IOR.TIPENT = '5'
    AND IVE.VLRMOV = 0);

/*-- SEQ 0018 --*/
-- Tarefa 80789 --
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;


/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
drop index i_uq_tit_rec_seqcan;


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
--Tarefa 81228 --
ALTER TABLE TT_CMS DROP CONSTRAINT NN_CMS_NUMPAR;


/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
--Tarefa 81228 --
ALTER TABLE TT_CMS DROP CONSTRAINT NN_CMS_SUBPAR;



/*-- SEQ 0022 --*/
-- Tarefa 81934 --
ALTER TABLE TD_ECF ADD CODEXT_DECF VARCHAR2(20) ;


/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;


/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81934 --
UPDATE TD_ECF
   SET CODEXT_DECF = CODEXT
 WHERE CODEXT IS NOT NULL;
 
/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS; 
 
/*-- SEQ 0026 --*/
-- Tarefa 81934 --
ALTER TABLE TD_ECF DROP COLUMN CODEXT CASCADE CONSTRAINT;

/*-- SEQ 0027 --*/
-- Tarefa 81934 --
ALTER TABLE TW_TAB ADD CODEXT_DECF VARCHAR2(20) ;


/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81934 --
UPDATE TW_TAB
   SET CODEXT_DECF = CODEXT,
       CODEXT = NULL
 WHERE CODEXT IS NOT NULL;


/*-- SEQ 0029 --*/
-- Tarefa 81233 --
ALTER TABLE TT_CLI ADD DETTIP CHAR(1) ;


/*-- SEQ 0030 --*/
-- Tarefa 81233 --
ALTER TABLE TT_VEN ADD DETTIP CHAR(1) ;


/*-- SEQ 0031 --*/
-- Tarefa 81233 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_DETTIP CHECK ((FLGTIP = '2' AND DETTIP IN ('M','E','F','O')) OR (FLGTIP <> '2' AND DETTIP IS NULL));

/*-- SEQ 0032 --*/
-- Tarefa 81233 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_DETTIP CHECK ((FLGTIP = '2' AND DETTIP IN ('M','E','F','O')) OR (FLGTIP <> '2' AND DETTIP IS NULL));


/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82018 --
ALTER TABLE TT_IVE ADD ABASTE Date ;



/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81812 --
SELECT * FROM NADA;

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81812 --
SELECT * FROM NADA;


/*-- SEQ 0036 --*/
-- Tarefa 81801 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0037 --*/
ALTER TABLE TT_CFG ADD ENTREGA_CF VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0038 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS; 

/*-- SEQ 0039 --*/
-- Tarefa 81801 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ENTREGA_CF CHECK (ENTREGA_CF IN ('T','F'));

/*-- SEQ 0040 --*/
-- Tarefa 81801 --
ALTER TABLE TT_CFG MODIFY (ENTREGA_CF CONSTRAINT NN_CFG_ENTREGA_CF NOT NULL);


/*-- SEQ 0041 --*/
-- Tarefa 81801 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0042 --*/
ALTER TABLE TW_CFG ADD ENTREGA_CF VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0043 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS; 


/*-- SEQ 0044 --*/
-- Tarefa 82068 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0045 --*/
ALTER TABLE TD_FIL ADD TRAORI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0046 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82068 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;


/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82068 --
SELECT * FROM NADA;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82068 --
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;


/*-- SEQ 0050 --*/
-- Tarefa 81582 --
ALTER TABLE TT_PRO ADD DESECO Number(5,2) ;


/*-- SEQ 0051 --*/
-- Tarefa 81582 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_DESECO CHECK ((DESECO > 0 AND DESECO < 100) OR (DESECO IS NULL));


/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81903 --
SELECT * FROM NADA;


/*-- SEQ 0060 --*/
-- Tarefa 81812 --
ALTER TABLE TT_IVO DISABLE ALL TRIGGERS;

/*-- SEQ 0061 --*/
ALTER TABLE TT_IVO ADD IMP_CF VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0062 --*/
ALTER TABLE TT_IVO ENABLE ALL TRIGGERS;

/*-- SEQ 0063 --*/
-- Tarefa 81812 --
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_IMP_CF CHECK (IMP_CF IN ('T','F'));


/*-- SEQ 0064 --*/
-- Tarefa 82018 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DATA_ABAS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DATA_ABAS'));


/*-- SEQ 0065 --*/
-- Tarefa 82121 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;

/*-- SEQ 0066 --*/
ALTER TABLE TT_GRA ADD QTDMUL Number(7,2) DEFAULT 0;

/*-- SEQ 0067 --*/
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;

/*-- SEQ 0068 --*/
-- Tarefa 82121 --
ALTER TABLE TT_GRA MODIFY (QTDMUL CONSTRAINT NN_GRA_QTDMUL NOT NULL);



/*-- SEQ 0069 --*/
-- Tarefa 81785 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;


/*-- SEQ 0070 --*/
-- Tarefa 81785 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,349)||SUBSTR(PERMIS,301,1)||SUBSTR(PERMIS,351,9999);

/*-- SEQ 0071 --*/
-- Tarefa 81785 --
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;


/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81913 --
ALTER TABLE TT_SPC DISABLE ALL TRIGGERS;


/*-- SEQ 0073 --*/
-- Tarefa 81913 --
ALTER TABLE TT_SPC MODIFY (E_MAIL VARCHAR2(80));

/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81913 --
ALTER TABLE TT_SPC ENABLE ALL TRIGGERS;


/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
CREATE TABLE TT_RPS(
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Date,
  ATU_EM Date,
  SERRPS VARCHAR2(3),
  NUMRPS CHAR(6),
  DATRPS Date,
  IM_RPS VARCHAR2(15),
  DOCRPS VARCHAR2(15),
  TIPRPS Number(1),
  SITRPS CHAR(1),
  NUMNFS Number(15),
  DATNFS Date,
  CODNFS VARCHAR2(8),
  SITNFS CHAR(1)) TABLESPACE TOTALL_DATA;

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (DATINC CONSTRAINT NN_RPS_DATINC NOT NULL);
 

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (ATU_EM CONSTRAINT NN_RPS_ATU_EM NOT NULL);
 

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (SERRPS CONSTRAINT NN_RPS_SERRPS NOT NULL);
 

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (NUMRPS CONSTRAINT NN_RPS_NUMRPS NOT NULL);
 

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (DATRPS CONSTRAINT NN_RPS_DATRPS NOT NULL);
 

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (IM_RPS CONSTRAINT NN_RPS_IM_RPS NOT NULL);
 

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (DOCRPS CONSTRAINT NN_RPS_DOCRPS NOT NULL);
 

/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (TIPRPS CONSTRAINT NN_RPS_TIPRPS NOT NULL);
 

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (SITRPS CONSTRAINT NN_RPS_SITRPS NOT NULL);
 
 
/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 -- 
ALTER TABLE TT_RPS ADD CONSTRAINT PK_RPS PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT FK_RPS_VEN FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_VEN (CODFIL, SEQUEN);

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_TIPRPS CHECK (TIPRPS IN (0));

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITRPS CHECK (SITRPS IN ('I','C'));

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITNFS CHECK (SITNFS IN ('I','C'));


/*-- SEQ 0090 --*/
-- Tarefa 82213 --
ALTER TABLE TT_IUF DISABLE ALL TRIGGERS;

/*-- SEQ 0091 --*/
ALTER TABLE TT_IUF ADD ICMISE VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0092 --*/
ALTER TABLE TT_IUF ENABLE ALL TRIGGERS;

/*-- SEQ 0093 --*/
-- Tarefa 82213 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_ICMISE CHECK (ICMISE IN ('T','F'));


/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82209 --
CREATE TABLE TL_RPS (
  CODTAB Number(10),
  FILRPS CHAR(3),
  SEQRPS CHAR(10),
  DATOPE Date,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  MSGLOG VARCHAR2(4000),
  CODUID Number) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82209 -- 
ALTER TABLE TL_RPS ADD CONSTRAINT PK_LRPS PRIMARY KEY (CODTAB);

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82209 --
CREATE SEQUENCE SQLRPS INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82209 --
ALTER TABLE TL_RPS ADD CONSTRAINT FK_LRPS_RPS FOREIGN KEY (FILRPS, SEQRPS) REFERENCES TT_RPS (CODFIL, SEQUEN);

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82209 --
CREATE INDEX I_FK_LRPS_RPS ON TL_RPS (FILRPS, SEQRPS) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0099 --*/
-- Tarefa 82219 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NotaBlu', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NotaBlu'));


/*-- SEQ 0100 --*/
-- Tarefa 82218 --
ALTER TABLE TW_VEN_FIS ADD DATFIS Date ;



/*-- SEQ 0101 --*/
-- Tarefa 82254 --
ALTER TABLE TT_IUF ADD REDSIM Number(6,4) ;



/*-- SEQ 0102 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD REDSUB Number(7,4) ;


/*-- SEQ 0103 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD ICMINT Number(6,4) ;


/*-- SEQ 0104 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD DESRAT Number(12,2) ;


/*-- SEQ 0105 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD VLRFRE Number(12,2) ;


/*-- SEQ 0106 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD VLRSEG Number(12,2) ;


/*-- SEQ 0107 --*/
-- Tarefa 82259 --
ALTER TABLE TT_IVE ADD VLRLIQRAT Number(12,2) ;


/*-- SEQ 0108 --*/
-- Tarefa 82259 --
ALTER TABLE TT_VEN ADD DESRAT Number(12,2) ;



/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82004 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('OUTROS ACUMULADORES ELET DE CHUMBO',3,16,'T','85071090');


/*-- SEQ 0110 --*/
-- Tarefa 82305 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0111 --*/
ALTER TABLE TT_CFG ADD DEST_ST_DEV VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0112 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0113 --*/
-- Tarefa 82305 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DEST_ST_DEV CHECK (DEST_ST_DEV IN ('T','F'));

/*-- SEQ 0114 --*/
-- Tarefa 82305 --
ALTER TABLE TT_CFG MODIFY (DEST_ST_DEV CONSTRAINT NN_CFG_DEST_ST_DEV NOT NULL);


/*-- SEQ 0115 --*/
-- Tarefa 82305 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0116 --*/
ALTER TABLE TW_CFG ADD DEST_ST_DEV VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0117 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0118 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD SITPIS CHAR(2) ;


/*-- SEQ 0119 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD SITCOF CHAR(2) ;


/*-- SEQ 0120 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD PERCOF Number(6,4) ;


/*-- SEQ 0121 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD BASCOF Number(12,2) ;


/*-- SEQ 0122 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD PERPIS Number(6,4) ;


/*-- SEQ 0123 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD BASPIS Number(12,2) ;


/*-- SEQ 0124 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD ICMVEN Number(6,4) ;


/*-- SEQ 0125 --*/
-- Tarefa 82346 --
ALTER TABLE TT_ICO ADD RED_ST Number(6,4) ;



/*-- SEQ 0126 --*/
-- Tarefa 82375 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0127 --*/
ALTER TABLE TT_ICO ADD MVACOMDIF Number(14,4) DEFAULT 0;

/*-- SEQ 0128 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0129 --*/
-- Tarefa 82375 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0130 --*/
ALTER TABLE TT_ICO ADD ICMVENDIF Number(6,4) DEFAULT 0;

/*-- SEQ 0131 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0132 --*/
-- Tarefa 82375 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0133 --*/
ALTER TABLE TT_ICO ADD RED_STDIF Number(6,4) DEFAULT 0;

/*-- SEQ 0134 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0135 --*/
-- Tarefa 82375 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0136 --*/
ALTER TABLE TT_ICO ADD VLRICMDIF Number(14,2) DEFAULT 0;

/*-- SEQ 0137 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0138 --*/
-- Tarefa 82375 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0139 --*/
ALTER TABLE TT_ICO ADD ICMITEDIF Number(14,2) DEFAULT 0;

/*-- SEQ 0140 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0141 --*/
-- Tarefa 82375 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0142 --*/
ALTER TABLE TT_ICO ADD BASICMDIF Number(14,2) DEFAULT 0;

/*-- SEQ 0143 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0144 --*/
-- Tarefa 82375 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0145 --*/
ALTER TABLE TT_ICO ADD BASSUBDIF Number(14,2) DEFAULT 0;

/*-- SEQ 0146 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0147 --*/
-- Tarefa 82375 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0148 --*/
ALTER TABLE TT_ICO ADD VLR_STDIF Number(14,2) DEFAULT 0;

/*-- SEQ 0149 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0150 --*/
-- Tarefa 82375 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0151 --*/
ALTER TABLE TT_ICO ADD REDITEDIF Number(5,2) DEFAULT 0;

/*-- SEQ 0152 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0153 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;


/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET MVACOMDIF = MVACOM;
   
/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET VLRICMDIF = VLRICM;

/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET ICMITEDIF = ICMITE;

/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET BASICMDIF = BASICM;

/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET BASSUBDIF = BASSUB;

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET VLR_STDIF = VLR_ST;

/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
UPDATE TT_ICO 
   SET REDITEDIF = REDITE;   
   
/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;


/*-- SEQ 0162 --*/
-- Tarefa 82287 --
ALTER TABLE TT_REC ADD OBSERV VARCHAR2(4000) ;



/*-- SEQ 0163 --*/
-- Tarefa 82146 --
ALTER TABLE TT_CLI ADD DATCRE Date ;


/*-- SEQ 0164 --*/
-- Tarefa 82146 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0165 --*/
-- Tarefa 82146 --
UPDATE TT_CLI 
   SET DATCRE = AGORA();

/*-- SEQ 0166 --*/
-- Tarefa 82146 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0167 --*/
-- Tarefa 82146 --
ALTER TABLE TT_CLI MODIFY (DATCRE CONSTRAINT NN_CLI_DATCRE NOT NULL);
 


/*-- SEQ 0168 --*/
-- Tarefa 82142 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0169 --*/
ALTER TABLE TT_CFG ADD LIMDIA Number(3) DEFAULT 0;

/*-- SEQ 0170 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0171 --*/
-- Tarefa 82142 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0172 --*/
ALTER TABLE TW_CFG ADD LIMDIA Number(3) DEFAULT 0;

/*-- SEQ 0173 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0174 --*/
-- Tarefa 82404 --
ALTER TABLE TD_NAT ADD SITPIS Char(2) ;


/*-- SEQ 0175 --*/
-- Tarefa 82404 --
ALTER TABLE TD_NAT ADD SITCOF Char(2) ;


/*-- SEQ 0176 --*/
-- Tarefa 82404 --
ALTER TABLE TW_TAB ADD SITPIS Char(2) ;


/*-- SEQ 0177 --*/
-- Tarefa 82404 --
ALTER TABLE TW_TAB ADD SITCOF Char(2) ;


/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
SELECT * FROM NADA;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82404 --
SELECT * FROM NADA;
				  
/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82404 --
SELECT * FROM NADA;
				  
/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
SELECT * FROM NADA;


/*-- SEQ 0182 --*/
-- Tarefa 82400 --
ALTER TABLE TT_PRO ADD VLRPIS Number(16,2) ;


/*-- SEQ 0183 --*/
-- Tarefa 82400 --
ALTER TABLE TT_PRO ADD VLRCOF Number(16,2) ;


/*-- SEQ 0184 --*/
-- Tarefa 82400 --
ALTER TABLE TT_IVE ADD ALIPISVLR Number(16,2) ;



/*-- SEQ 0185 --*/
--Tarefa 82146 --
ALTER TABLE TT_CLI DROP CONSTRAINT NN_CLI_DATCRE;



/*-- SEQ 0186 --*/
ALTER TABLE TT_WOR MODIFY (MINPRE DEFAULT 0);

/*-- SEQ 0187 --*/
ALTER TABLE TT_WOR MODIFY (MAXPRE DEFAULT 0);

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
alter table tt_wor drop constraint ck_wor_modelo_regra;


/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82375 --
SELECT * FROM NADA;


/*-- SEQ 0198 --*/
-- Tarefa 82115 --
ALTER TABLE TT_IOR ADD DESICM Number(12,2) ;


/*-- SEQ 0199 --*/
-- Tarefa 82115 --
ALTER TABLE TT_IVE ADD DESICM Number(12,2) ;


/*-- SEQ 0200 --*/
-- Tarefa 82115 --
ALTER TABLE TT_VEN ADD DESICM Number(12,2) ;


/*-- SEQ 0201 --*/
-- Tarefa 82115 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;

/*-- SEQ 0202 --*/
ALTER TABLE TT_CLI ADD ENTISE CHAR(1) DEFAULT 'F';

/*-- SEQ 0203 --*/
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0204 --*/
-- Tarefa 82115 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_ENTISE CHECK (((ENTISE = 'T' AND FLGTIP = '2' AND DETTIP = 'E') OR (ENTISE = 'T' and FLGTIP <> '2' AND DETTIP IS NULL)) OR (ENTISE = 'F'));

/*-- SEQ 0205 --*/
-- Tarefa 82115 --
ALTER TABLE TT_CLI MODIFY (ENTISE CONSTRAINT NN_CLI_ENTISE NOT NULL);



/*-- SEQ 0206 --*/
-- Tarefa 82629 --
ALTER TABLE TT_VEN ADD CHAVEA VARCHAR2(44) ;


/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82629 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;


/*-- SEQ 0208 --*/
-- Tarefa 82629 --
UPDATE TT_VEN VEN
   SET CHAVEA = (SELECT MAX(VRT.CHAVEA)
                   FROM TT_VRT VRT
                  WHERE VRT.FILVEN = VEN.CODFIL
                    AND VRT.ECFVEN = VEN.NUMECF
                    AND VRT.SERVEN = VEN.CODSER
                    AND VRT.NOTVEN = VEN.NUMNOT
                    AND VRT.CROVEN = VEN.CNT_RO)
 WHERE VEN.FLGNFE IS NOT NULL;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82629 --
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;


/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;

 /*-- SEQ 0211 --*/
 /*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada; 

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;
                            

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;
     
/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625     
Select * from nada;

 

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;


/*-- SEQ 0217 --*/
-- Tarefa 82683 --
CREATE TABLE TT_MPB (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  TIPCONJ Number(5,0),
  FILVEN CHAR(3),
  SEQVEN CHAR(10),
  ITECPU Number(5,0),
  ITETEC Number(5,0),
  ITEMOU Number(5,0),
  ITEMON Number(5,0),
  QTDITE Number(5,0)) TABLESPACE TOTALL_DATA;

/*-- SEQ 0218 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB MODIFY (TIPCONJ CONSTRAINT NN_MPB_TIPCONJ NOT NULL);


/*-- SEQ 0219 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB MODIFY (FILVEN CONSTRAINT NN_MPB_FILVEN NOT NULL);


/*-- SEQ 0220 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB MODIFY (SEQVEN CONSTRAINT NN_MPB_SEQVEN NOT NULL);


/*-- SEQ 0221 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB MODIFY (ITECPU CONSTRAINT NN_MPB_ITECPU NOT NULL);

 
/*-- SEQ 0222 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB ADD CONSTRAINT PK_MPB PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0223 --*/
-- Tarefa 82683 --
CREATE SEQUENCE SQMPB INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0224 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT FK_MPB_VEN_FILVEN FOREIGN KEY (FILVEN,SEQVEN) REFERENCES TT_VEN (CODFIL,SEQUEN);

/*-- SEQ 0225 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT FK_MPB_IVE_ITECPU FOREIGN KEY (FILVEN,SEQVEN,ITECPU) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0226 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT FK_MPB_IVE_ITEMOU FOREIGN KEY (FILVEN,SEQVEN,ITEMOU) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0227 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT FK_MPB_IVE_ITEMON FOREIGN KEY (FILVEN,SEQVEN,ITEMON) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0228 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT FK_MPB_IVE_ITETEC FOREIGN KEY (FILVEN,SEQVEN,ITETEC) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0229 --*/
-- Tarefa 82683 -- 
CREATE INDEX I_FK_MPB_VEN ON TT_MPB (FILVEN,SEQVEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0230 --*/
-- Tarefa 82683 -- 
CREATE INDEX I_FK_MPB_IVE_ITEMOU ON TT_MPB (FILVEN,SEQVEN,ITEMOU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0231 --*/
-- Tarefa 82683 -- 
CREATE INDEX I_FK_MPB_IVE_ITECPU ON TT_MPB (FILVEN,SEQVEN,ITECPU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0232 --*/
-- Tarefa 82683 -- 
CREATE INDEX I_FK_MPB_IVE_ITEMON ON TT_MPB (FILVEN,SEQVEN,ITEMON) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0233 --*/
-- Tarefa 82683 -- 
CREATE INDEX I_FK_MPB_IVE_ITETEC ON TT_MPB (FILVEN,SEQVEN,ITETEC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0234 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ CHECK (TIPCONJ IN (1,2,3,4));

/*-- SEQ 0235 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ_REGRA CHECK (((TIPCONJ = 1) or (TIPCONJ = 2) and ((ITETEC is null ) and (ITEMOU is null) and (ITEMON is null))));

/*-- SEQ 0236 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ_REGRA1 CHECK ((TIPCONJ = 3) and ((ITETEC is not null) and (ITEMOU is not null) and (ITEMON is not null)));

/*-- SEQ 0237 --*/
-- Tarefa 82683 -- 
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ_REGRA2 CHECK ((TIPCONJ = 4) and ((ITETEC is not null) and (ITEMOU is not null) and (ITEMON is null)));


/*-- SEQ 0238 --*/
-- Tarefa 82682 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;

/*-- SEQ 0239 --*/
ALTER TABLE TT_IVE ADD QTDMPB Number(12,4) DEFAULT 0;

/*-- SEQ 0240 --*/
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;


/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from Nada;

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from Nada;

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from Nada;

/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from Nada;

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from Nada;
     
/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625     
Select * from Nada;

 

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from Nada;


/*-- SEQ 0248 --*/
-- Tarefa 82694 --
ALTER TABLE TT_IVE ADD INDFRE Number(1) ;


/*-- SEQ 0249 --*/
-- Tarefa 82694 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_INDFRE CHECK (INDFRE IN (0,1,2,9));


/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
SELECT * FROM NADA;

/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
SELECT * FROM NADA;

/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
SELECT * FROM NADA;

/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
SELECT * FROM NADA;


/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada; 

/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada; 

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;
     
/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625     
Select * from nada;

 

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;


     
/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
DROP TRIGGER TGIDF;


/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
ALTER TABLE TT_IDF DROP COLUMN SERVID CASCADE CONSTRAINT;

/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
ALTER TABLE TT_IDF DROP COLUMN DATBAS CASCADE CONSTRAINT;

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
ALTER TABLE TD_FIL ADD SERVID VARCHAR2(20) ;


/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82433 --
ALTER TABLE TD_FIL ADD DATBAS VARCHAR2(20) ;



/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82404 --
ALTER TABLE TD_NAT DISABLE ALL TRIGGERS;


/*-- SEQ 0267 --*/
-- Tarefa 82404 --
UPDATE TD_NAT
   SET SITPIS = '08'
 WHERE SUBSTR(NATDEN,1,4) IN ('5150','5151','5152','5153','5155','5156','5200','5201','5202','5205','5206','5207','5208',
							  '5209','5210','5408','5409','5410','5411','5412','5413','5414','5415','5500','5501','5502',
							  '5503','5504','5505','5550','5551','5552','5553','5554','5555','5556','5557','5600','5601',
							  '5602','5603','5605','5606','5657','5658','5659','5660','5661','5662','5663','5664','5665',
							  '5666','5900','5901','5902','5903','5904','5905','5906','5907','5908','5909','5910','5911',
							  '5912','5913','5914','5915','5916','5917','5918','5919','5920','5921','5922','5923','5924',
							  '5925','5926','5927','5928','5929','5931','5932','5933','5949','5949');
				  
/*-- SEQ 0268 --*/
-- Tarefa 82404 --
UPDATE TD_NAT
   SET SITCOF = '08'
 WHERE SUBSTR(NATDEN,1,4) IN ('5150','5151','5152','5153','5155','5156','5200','5201','5202','5205','5206','5207','5208',
                              '5209','5210','5408','5409','5410','5411','5412','5413','5414','5415','5500','5501','5502',
			             	  '5503','5504','5505','5550','5551','5552','5553','5554','5555','5556','5557','5600','5601',
				              '5602','5603','5605','5606','5657','5658','5659','5660','5661','5662','5663','5664','5665',
            				  '5666','5900','5901','5902','5903','5904','5905','5906','5907','5908','5909','5910','5911',
			            	  '5912','5913','5914','5915','5916','5917','5918','5919','5920','5921','5922','5923','5924',
				              '5925','5926','5927','5928','5929','5931','5932','5933','5949','5949');				  		  
				  
				  
/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82404 --
ALTER TABLE TD_NAT ENABLE ALL TRIGGERS;


/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada; 

/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;
                                  
/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625
Select * from nada;
     
/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625     
Select * from nada;
   
/*-- SEQ 0277 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625     
Select * from nada;

 

/*-- SEQ 0278 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82625 --
Select * from nada;


/*-- SEQ 0279 --*/
-- Tarefa 82745 --
ALTER TABLE TT_IVE ADD ALICOFVLR Number(16,2) ;



/*-- SEQ 0280 --*/
-- Tarefa 82754 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0281 --*/
ALTER TABLE TT_ICO ADD ISEICMDIF Number(14,2) DEFAULT 0;

/*-- SEQ 0282 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0283 --*/
-- Tarefa 82754 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;

/*-- SEQ 0284 --*/
ALTER TABLE TT_ICO ADD OUTICMDIF Number(14,2) DEFAULT 0;

/*-- SEQ 0285 --*/
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0286 --*/
-- Tarefa 82754 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;


/*-- SEQ 0287 --*/
-- Tarefa 82754 --
UPDATE TT_ICO 
   SET OUTICMDIF = COALESCE(OUTICM, 0);
   
/*-- SEQ 0288 --*/
-- Tarefa 82754 --
UPDATE TT_ICO 
   SET ISEICMDIF = COALESCE(ISEICM , 0);

/*-- SEQ 0289 --*/
-- Tarefa 82754 --
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0290 --*/
-- Tarefa 82754 --
ALTER TABLE TT_ICO MODIFY (ISEICMDIF CONSTRAINT NN_ICO_ICMISEDIF NOT NULL);


/*-- SEQ 0291 --*/
-- Tarefa 82754 --
ALTER TABLE TT_ICO MODIFY (OUTICMDIF CONSTRAINT NN_ICO_OUTICMDIF NOT NULL);



/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD FILEMP CHAR(3);

/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CODEMP CHAR(6);

/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CONSTRAINT FK_CTT_EMP FOREIGN KEY (FILEMP, CODEMP) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CTT_EMP ON TT_CTT (FILEMP,CODEMP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0296 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CODHOM CHAR(2);

/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CONSTRAINT FK_CTT_DHOM FOREIGN KEY (CODHOM) REFERENCES TD_HOM (CODHOM);

/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CTT_DHOM ON TT_CTT (CODHOM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0299 --*/
ALTER TABLE TT_CTT DISABLE ALL TRIGGERS;


/*-- SEQ 0300 --*/
UPDATE TT_CTT CTT SET FILEMP = 
(SELECT REG.FILCLI
   FROM TT_REG REG 
  WHERE CTT.FILREG = REG.CODFIL AND CTT.SEQREG = REG.SEQUEN),
CODEMP = 
(SELECT REG.CODCLI
   FROM TT_REG REG 
  WHERE CTT.FILREG = REG.CODFIL AND CTT.SEQREG = REG.SEQUEN),
CODHOM = 
(SELECT REG.CODHOM AS CODHOM
   FROM TT_REG REG 
  WHERE CTT.FILREG = REG.CODFIL AND CTT.SEQREG = REG.SEQUEN)  
 WHERE SEQREG IS NOT NULL;

/*-- SEQ 0301 --*/
ALTER TABLE TT_CTT ENABLE ALL TRIGGERS;




/*-- SEQ 0302 --*/
-- Tarefa 82776 --
ALTER TABLE TT_ICO ADD PAUTAF Number(14,2) ;



/*-- SEQ 0303 --*/
-- Tarefa 82003 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Unidades de sada por vdeo (monitores)',4,16,'T','84716070');

/*-- SEQ 0304 --*/
-- Tarefa 82003 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Com tubo de raios catdicos, monocromticas',5,16,'T','84716071');

/*-- SEQ 0305 --*/
-- Tarefa 82003 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Com tubo de raios catdicos, policromticas',5,16,'T','84716072');

/*-- SEQ 0306 --*/
-- Tarefa 82003 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Outras unidades de sada por vdeo (monitores), monocromticas',5,16,'T','84716073');

/*-- SEQ 0307 --*/
-- Tarefa 82003 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('utras unidades de sada por vdeo (monitores), policromticas',5,16,'T','84716074');


/*-- SEQ 0308 --*/
-- Tarefa 82625 --
CREATE TABLE temp_IVE_PISCOF as
SELECT CODFIL, SEQUEN, NUMITE, VLRCOF, VLRPIS
FROM TT_IVE
 WHERE (TT_IVE.SITPIS in ('01', '02') or 
        TT_IVE.SITCOF in ('01', '02')) 
 AND (VLRCOF <> 0 or VLRPIS <> 0); 

/*-- SEQ 0309 --*/
-- Tarefa 82625
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;
 

/*-- SEQ 0310 --*/
-- Tarefa 82625
UPDATE TT_IVE IVE
   SET SITPIS = (SELECT DNAT.SITPIS
                   FROM TT_VEN VEN INNER JOIN TD_NAT DNAT ON DNAT.CODTAB = VEN.CODNAT
                  WHERE VEN.CODFIL = IVE.CODFIL
                    AND VEN.SEQUEN = IVE.SEQUEN  
                 )                             
WHERE EXISTS (SELECT 1 AS OK  
				 FROM TT_VEN VEN INNER JOIN TD_NAT DNAT ON DNAT.CODTAB = VEN.CODNAT									 
				WHERE IVE.CODFIL=VEN.CODFIL 
				  AND IVE.SEQUEN=VEN.SEQUEN
				  AND DNAT.SITPIS IS NOT NULL
			  )
  AND IVE.VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY');
                                  
/*-- SEQ 0311 --*/
-- Tarefa 82625
UPDATE TT_IVE IVE
   SET SITCOF = (SELECT DNAT.SITCOF
                   FROM TT_VEN VEN INNER JOIN TD_NAT DNAT ON DNAT.CODTAB = VEN.CODNAT
                  WHERE VEN.CODFIL = IVE.CODFIL
                    AND VEN.SEQUEN = IVE.SEQUEN
                 )                             
WHERE EXISTS (SELECT 1 AS OK  
				 FROM TT_VEN VEN INNER JOIN TD_NAT DNAT ON DNAT.CODTAB = VEN.CODNAT									 
				WHERE IVE.CODFIL=VEN.CODFIL 
				  AND IVE.SEQUEN=VEN.SEQUEN
				  AND DNAT.SITPIS IS NOT NULL
			  )
  AND IVE.VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY');

/*-- SEQ 0312 --*/
-- Tarefa 82625
UPDATE TT_IVE 
   SET BASPIS = (SELECT ((TT_IVE.VLRMOV / VEN.VLRNOT) * 
                                  (VEN.VLRLIQ - COALESCE((SELECT SUM(NVLZ(IVE2.VLRIPI, CASE WHEN TT_PRO.TIPPRO = 0 THEN TT_IVE.VLR002 ELSE 0 END))
                                                            FROM TT_IVE IVE2 INNER JOIN TT_PRO ON TT_PRO.FILMAT = IVE2.FILMAT
                                                                                              AND TT_PRO.CODMAT = IVE2.CODMAT
                                                            WHERE IVE2.CODFIL = TT_IVE.CODFIL
                                                              AND IVE2.SEQUEN = TT_IVE.SEQUEN), 0) - VEN.SUBSTT)) AS BASPIS 
                            FROM TT_VEN VEN
                           WHERE VEN.CODFIL = TT_IVE.CODFIL 
                             AND VEN.SEQUEN = TT_IVE.SEQUEN
                             AND VEN.VLRNOT > 0
                      )
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND Coalesce(BASPIS, 0) = 0
     AND SITPIS in ('01', '02');

/*-- SEQ 0313 --*/
-- Tarefa 82625
UPDATE TT_IVE
   SET BASCOF = (SELECT ((TT_IVE.VLRMOV / VEN.VLRNOT) * 
                                  (VEN.VLRLIQ - COALESCE((SELECT SUM(NVLZ(IVE2.VLRIPI, CASE WHEN TT_PRO.TIPPRO = 0 THEN TT_IVE.VLR002 ELSE 0 END))
                                                            FROM TT_IVE IVE2 INNER JOIN TT_PRO ON TT_PRO.FILMAT = IVE2.FILMAT
                                                                                              AND TT_PRO.CODMAT = IVE2.CODMAT
                                                           WHERE IVE2.CODFIL = TT_IVE.CODFIL
                                                             AND IVE2.SEQUEN = TT_IVE.SEQUEN), 0) - VEN.SUBSTT)) AS BASCOF 
                            FROM TT_VEN VEN
                           WHERE VEN.CODFIL = TT_IVE.CODFIL 
                             AND VEN.SEQUEN = TT_IVE.SEQUEN
                             AND VEN.VLRNOT > 0
                )
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND Coalesce(BASCOF, 0) = 0
     AND SITCOF in ('01', '02');
     
/*-- SEQ 0314 --*/
-- Tarefa 82625     
UPDATE TT_IVE
   SET (VLRPIS, PERPIS) = (SELECT (TT_IVE.BASPIS * (COALESCE(CASE WHEN TT_PRO.TIPPRO = 0 THEN DFIL.VENPIS ELSE DFIL.PERPIS END, 0) / 100)) AS VLRPIS,
                                  CASE WHEN TT_PRO.TIPPRO = 0 THEN DFIL.VENPIS ELSE DFIL.PERPIS END
                             FROM TT_PRO CROSS JOIN TD_FIL DFIL
                            WHERE DFIL.CODFIL = TT_IVE.CODFIL 
                              AND TT_IVE.CODMAT = TT_PRO.CODMAT
                              AND TT_IVE.FILMAT = TT_PRO.FILMAT
                           )
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND SITPIS in ('01', '02');       
   
/*-- SEQ 0315 --*/
-- Tarefa 82625     
UPDATE TT_IVE
   SET (VLRCOF, PERCOF) = (SELECT (TT_IVE.BASCOF * (COALESCE(CASE WHEN TT_PRO.TIPPRO = 0 THEN DFIL.VENCOF ELSE DFIL.PERCOF END, 0) / 100)) AS VLRCOF,
                                  CASE WHEN TT_PRO.TIPPRO = 0 THEN DFIL.VENCOF ELSE DFIL.PERCOF END
                             FROM TT_PRO CROSS JOIN TD_FIL DFIL
                            WHERE DFIL.CODFIL = TT_IVE.CODFIL 
                              AND TT_IVE.CODMAT = TT_PRO.CODMAT
                              AND TT_IVE.FILMAT = TT_PRO.FILMAT
                           )
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND SITCOF in ('01', '02');

 

/*-- SEQ 0316 --*/
-- Tarefa 82625 --
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;


/*-- SEQ 0317 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ_REGRA; 

/*-- SEQ 0318 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ_REGRA1;

/*-- SEQ 0319 --*/
-- Tarefa 82683 --
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ_REGRA2;

/*-- SEQ 0320 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82683 --
SELECT * FROM NADA;


/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82838 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82838 --
UPDATE TT_PRO
   SET DESDET = NULL
 WHERE DESDET = '';
 
/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82838 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;


/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82068 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;


/*-- SEQ 0325 --*/
-- Tarefa 82068 --
UPDATE TD_FIL SET TRAORI='F'
WHERE CGCFIL = '07014198000292'
AND CODFIL='009';

/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82068 --
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;


/*-- SEQ 0327 --*/
-- Tarefa 82427 --
ALTER TABLE TT_IUF DISABLE ALL TRIGGERS;


/*-- SEQ 0328 --*/
-- Tarefa 82427 --
UPDATE TT_IUF
   SET CALSUB = 'D'
 WHERE CALSUB = 'R'
   AND SUBTRI <> '3';
   
/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82427 --
ALTER TABLE TT_IUF MODIFY (CALSUB DEFAULT 'D');

/*-- SEQ 0330 --*/
-- Tarefa 82427 --
ALTER TABLE TT_IUF ENABLE ALL TRIGGERS;


/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS DROP CONSTRAINT CK_RPS_SITRPS;

/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS DROP CONSTRAINT CK_RPS_SITNFS;

/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITRPS CHECK (SITRPS IN ('T', 'I', 'F', 'C', 'E', 'J'));

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITNFS CHECK (SITNFS IN ('T', 'I', 'F', 'C', 'E', 'J'));


/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
ALTER TABLE TD_MED DISABLE ALL TRIGGERS;


/*-- SEQ 0336 --*/
-- Tarefa 82918 --
UPDATE TD_MED
   SET DESMED = 'PECA'
 WHERE UNIMED = 'PC'
   AND DESMED = 'PC';

/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
ALTER TABLE TD_MED ENABLE ALL TRIGGERS;


/*-- SEQ 0338 --*/
-- Tarefa 83049 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0339 --*/
-- Tarefa 83049 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;


/*-- SEQ 0340 --*/
-- Tarefa 83049 --
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS,1,351)||SUBSTR(PERMIS,38,1)||SUBSTR(PERMIS,353,9999)
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'PERMIS352');
   
/*-- SEQ 0341 --*/
-- Tarefa 83049 --
UPDATE TT_PAP
   SET PERMIS = SUBSTR(PERMIS,1,351)||SUBSTR(PERMIS,38,1)||SUBSTR(PERMIS,353,9999)
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'PERMIS352');

/*-- SEQ 0342 --*/
-- Tarefa 83049 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0343 --*/
-- Tarefa 83049 --
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;

/*-- SEQ 0344 --*/
-- Tarefa 83049 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PERMIS352', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS352'));


/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD FLGSTA VARCHAR2(1);

/*-- SEQ 0346 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 83048 --
CREATE INDEX I_LC_VRT_FLGSTA ON TT_VRT (FLGSTA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_FLGSTA CHECK (FLGSTA IN ('1','2','3','5','6','8','9'));

/*-- SEQ 0348 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT DROP CONSTRAINT CK_VRT_STATUS;

/*-- SEQ 0349 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_STATUS CHECK (
 (FLGENV IS NOT NULL AND FLGCAN IS NULL AND FLGINU IS NULL AND FLGIMP IS NULL AND FLGSTA IS NULL) OR 
 (FLGCAN IS NOT NULL AND FLGENV IS NULL AND FLGINU IS NULL AND FLGIMP IS NULL AND FLGSTA IS NULL) OR 
 (FLGINU IS NOT NULL AND FLGENV IS NULL AND FLGCAN IS NULL AND FLGIMP IS NULL AND FLGSTA IS NULL) OR 
 (FLGIMP IS NOT NULL AND FLGENV IS NULL AND FLGCAN IS NULL AND FLGINU IS NULL AND FLGSTA IS NULL) OR
 (FLGSTA IS NOT NULL AND FLGENV IS NULL AND FLGCAN IS NULL AND FLGINU IS NULL AND FLGIMP IS NULL));

/*-- SEQ 0350 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT DROP CONSTRAINT CK_VRT_FLGTIP;

/*-- SEQ 0351 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_FLGTIP CHECK (FLGTIP IN ('E','C','I','P','S'));
 
/*-- SEQ 0352 --*/
-- Tarefa 83048 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ATUNFE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ATUNFE'));


/*-- SEQ 0353 --*/
/*-- IGNORE ERRO --*/
alter table tt_cfg drop constraint fk_cfg_reimp_cf;

/*-- SEQ 0354 --*/
alter table tt_cfg add constraint fk_cfg_reimp_cf FOREIGN KEY (codnat_reimp_cf) REFERENCES td_nat(codtab);


/*-- SEQ 0355 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83078 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;


/*-- SEQ 0356 --*/
-- Tarefa 83078 --
ALTER TABLE TT_ICO MODIFY (REDITE Number(7,4));

/*-- SEQ 0357 --*/
-- Tarefa 83078 --
ALTER TABLE TT_ICO MODIFY (REDITEDIF Number(7,4));

/*-- SEQ 0358 --*/
-- Tarefa 83078 --
ALTER TABLE TT_ICO MODIFY (RED_ST Number(7,4));

/*-- SEQ 0359 --*/
-- Tarefa 83078 --
ALTER TABLE TT_ICO MODIFY (RED_STDIF Number(7,4));

/*-- SEQ 0360 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83078 --
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;


/*-- SEQ 0361 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83220 --
SELECT * FROM NADA;


/*-- SEQ 0362 --*/
-- Tarefa 83235 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNRATVLECF', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNRATVLECF'));


/*-- SEQ 0363 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DBIC_DBOM ON TD_BIC (CODBOM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0364 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DCFO_CTA ON TD_CFO (CFOCTA_FIL,CFOCTA_SEQ,CFOCTA_TIP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0365 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_CTA ON TD_FIL (FILPAG,SEQPAG,TIPPAG,CTCPAG) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL0 ON TD_FIL (MUL_TIPENT0) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0367 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL1 ON TD_FIL (MUL_TIPENT1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0368 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL2 ON TD_FIL (MUL_TIPENT2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0369 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL3 ON TD_FIL (MUL_TIPENT3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0370 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL4 ON TD_FIL (MUL_TIPENT4) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0371 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL5 ON TD_FIL (MUL_TIPENT5) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0372 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DFIL_DMUL7 ON TD_FIL (MUL_TIPENT7) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0373 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DMOD_USUCOM ON TD_MOD (FILCOM,CODCOM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0374 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DNAT_CTADEN ON TD_NAT (NATDEN_FIL,NATDEN_SEQ,NATDEN_TIP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0375 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DNAT_CTAFOR ON TD_NAT (NATFOR_FIL,NATFOR_SEQ,NATFOR_TIP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0376 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DRTT_CTAEST ON TD_RTT (FILCTA_EST_DRTT,SEQCTA_EST_DRTT,TIPCTA_EST_DRTT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0377 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CCC_CMS ON TT_CCC (FILCMS,SEQCMS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0378 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_AMEX ON TT_CFG (ECOM_AMEX) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0379 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_CC_VALE_PRESENTE ON TT_CFG (CC_VALE_PRESENTE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0380 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_CC_WOR_PROP ON TT_CFG (CC_WOR_PROP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0381 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_DEVTRA_CFO ON TT_CFG (DEVTRA_CFO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0382 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_PORMTV ON TT_CFG (PORMTV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_TIPLAN_INS ON TT_CFG (TIPLAN_INS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_TIPLAN_PPR ON TT_CFG (TIPLAN_PPR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0385 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_NAT_CONSIGNACAO ON TT_CFG (NAT_CONSIGNACAO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0386 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_DEVTRA_NAT ON TT_CFG (DEVTRA_NAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_MEIO_ESTAC ON TT_CFG (MEIO_ESTAC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0388 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_ENT ON TT_CFG (GX_SIMPAN_ENT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_PER ON TT_CFG (GX_SIMPAN_PER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0390 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_GX_SIMPAN_SAI ON TT_CFG (GX_SIMPAN_SAI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0391 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_MASTER ON TT_CFG (ECOM_MASTER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0392 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_PGT_WOR_PROP ON TT_CFG (FILPGT_WOR_PROP,CODPGT_WOR_PROP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0393 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CFG_ECOM_VISA ON TT_CFG (ECOM_VISA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0394 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_COM_DCFE ON TT_COM (CODFCE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0395 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_COM_DTRI ON TT_COM (CODTRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0396 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_DOP_DTED ON TT_DOP (TIPTED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0397 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_END_DPAI ON TT_END (CODPAI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0398 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_FIS_MODNOT ON TT_FIS (MODNOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0399 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_GRA_NCM ON TT_GRA (CODNCM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0400 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEST_DEST ON TT_IPTXEST (SIGEST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0401 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEXC_DEST ON TT_IPTXEXC ( SIGEST ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0402 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXEXC_NCM ON TT_IPTXEXC ( CODNCM ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0403 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPTXNCM_NCM ON TT_IPTXNCM ( CODNCM ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0404 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IPT_PRO_PRO ON TT_IPTXPRO ( FILMAT,CODMAT ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0405 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXCSG_FAT ON TT_IVEXCSG ( FILFAT,SEQFAT,ITEFAT ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0406 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXCSG_REM ON TT_IVEXCSG ( FILREM,SEQREM,ITEREM ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0407 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IVEXIPE_IPE_GRA ON TT_IVEXIPE ( FILIPE,NUMIPE,ITEIPE,FILMAT,CODMAT,CODCOR,CODTAM ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0408 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LAC_DBOM ON TT_LAC ( CODBOM ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0409 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LAN_PPR ON TT_LAN ( FILPPR,SEQPPR ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0410 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_ORC_CCC ON TT_ORC ( FILADI,SEQADI ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0411 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_ORC_DECF ON TT_ORC ( CODFIL,CANPRE ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0412 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_PRO_FPS ON TT_PRO ( CODFPS ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0413 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_ECF_ECFEST ON TT_RTT ( CODFIL,ECFEST ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0414 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_ECF_NUMECF ON TT_RTT ( CODFIL,NUMECF ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0415 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_RTT_USU_EST ON TT_RTT ( FILUSU_EST,CODUSU_EST ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0416 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_VENXOBS_OBS ON TT_VENXOBS ( CODOBS ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0417 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_WCFG_CC_WOR_PROP ON TW_CFG ( CC_WOR_PROP ) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0418 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_WCFG ON TW_CFG ( FILPGT_WOR_PROP,CODPGT_WOR_PROP ) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0419 --*/
CREATE INDEX I_LC_VEN_FLGNFE_DATHOR ON TT_VEN (FLGNFE, DATHOR) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0420 --*/
-- Tarefa 83220 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;


/*-- SEQ 0421 --*/
-- Tarefa 83220 --
UPDATE TT_ICO
   SET ICO_VLRFRE = (SELECT ROUND(COM.VLRFRE*TT_ICO.VLRITE/COM.VLRNOT,2)
                       FROM TT_COM COM
                      WHERE TT_ICO.CODFIL=COM.CODFIL
                        AND TT_ICO.SEQUEN=COM.SEQUEN)
 WHERE COALESCE(ICO_VLRFRE,0) = 0
   AND (CODFIL, SEQUEN) IN (SELECT COM.CODFIL, COM.SEQUEN 
                              FROM TT_COM COM 
                             WHERE COM.VLRFRE > 0 )
   AND COM_DATOPE > TO_DATE('01/07/2011','DD/MM/YYYY');
   
/*-- SEQ 0422 --*/
-- Tarefa 83220 --
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;


/*-- SEQ 0423 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83521 --
CREATE TABLE TOTALL_PRO_IMPKIT_F AS 
  SELECT FILMAT, CODMAT
    FROM TT_PRO
   WHERE IMPKIT = 'F'
     AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');

/*-- SEQ 0424 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83521 --
CREATE TABLE TOTALL_IVE_IMPKIT_F AS
  SELECT CODFIL, SEQUEN, NUMITE
    FROM TT_IVE
   WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
     AND IMPKIT = 'F'	 
	 AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');	 

/*-- SEQ 0425 --*/
-- Tarefa 83521 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;


/*-- SEQ 0426 --*/
-- Tarefa 83521 --	 
UPDATE TT_IVE 
   SET IMPKIT = 'T'
 WHERE VEN_DATHOR >= TO_DATE('01/01/2011','DD/MM/YYYY')
   AND IMPKIT = 'F'   
   AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');
   
/*-- SEQ 0427 --*/
-- Tarefa 83521 --
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;

/*-- SEQ 0428 --*/
-- Tarefa 83521 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;
   
 
/*-- SEQ 0429 --*/
-- Tarefa 83521 --	 
UPDATE TT_PRO
   SET IMPKIT = 'T'
 WHERE IMPKIT = 'F'
   AND NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT');

/*-- SEQ 0430 --*/
-- Tarefa 83521 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0431 --*/
-- Tarefa 83521 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;
 

/*-- SEQ 0432 --*/
-- Tarefa 83521 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PROIMPKIT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PROIMPKIT'));
					 
/*-- SEQ 0433 --*/
-- Tarefa 83521 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0434 --*/
-- Tarefa 83654 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;


/*-- SEQ 0435 --*/
-- Tarefa 83654 --
UPDATE TT_VEN
   SET CHAVEA = NULL
 WHERE FLGNFE IS NOT NULL
   AND CHAVEA IS NOT NULL
   AND LENGTH(CHAVEA) <> 44;

/*-- SEQ 0436 --*/
-- Tarefa 83654 --
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;


/*-- SEQ 0437 --*/
-- Tarefa 83654 --
ALTER TABLE TT_VRT DISABLE ALL TRIGGERS;


/*-- SEQ 0438 --*/
-- Tarefa 83654 --
UPDATE TT_VRT
   SET CHAVEA = NULL
 WHERE CHAVEA IS NOT NULL
   AND LENGTH(CHAVEA) <> 44;  

/*-- SEQ 0439 --*/
-- Tarefa 83654 --
ALTER TABLE TT_VRT ENABLE ALL TRIGGERS;


/*-- SEQ 0440 --*/
-- Tarefa 83655 --
ALTER TABLE TT_UID DROP CONSTRAINT CK_UID_CODEMP;

/*-- SEQ 0441 --*/
-- Tarefa 83655 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_CODEMP;

/*-- SEQ 0442 --*/
-- Tarefa 83655 --
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_CODEMP CHECK (CODEMP IN (0,1,2,3,4,5));

/*-- SEQ 0443 --*/
-- Tarefa 83655 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_CODEMP CHECK (CODEMP IN (0,1,2,3,4,5));


/*-- SEQ 0444 --*/
-- Tarefa 83663 --
ALTER TABLE TD_NAT DISABLE ALL TRIGGERS;


/*-- SEQ 0445 --*/
-- Tarefa 83663 --
UPDATE TD_NAT
   SET SITPIS = '50'
 WHERE TIPNAT IN ('D','M')
   AND SITPIS IS NULL;
 
/*-- SEQ 0446 --*/
-- Tarefa 83663 --
UPDATE TD_NAT
   SET SITCOF = '50'
 WHERE TIPNAT IN ('D','M')
   AND SITCOF IS NULL;
				  
/*-- SEQ 0447 --*/
-- Tarefa 83663 --
ALTER TABLE TD_NAT ENABLE ALL TRIGGERS;


/*-- SEQ 0448 --*/
-- Tarefa 83777 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNCLNOSNUM', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNCLNOSNUM'));


/*-- SEQ 0449 --*/
-- Tarefa 83838 --
ALTER TABLE TT_PRE DISABLE ALL TRIGGERS;


/*-- SEQ 0450 --*/
-- Tarefa 83838 --
ALTER TABLE TW_PRE DISABLE ALL TRIGGERS;


/*-- SEQ 0451 --*/
-- Tarefa 83838 --
UPDATE TT_PRE PRE
   SET PRECOV = ROUND(PRE.PRECOV,2)
 WHERE (PRE.FILMAT, PRE.CODMAT) IN 
       (SELECT PRO.FILMAT, PRO.CODMAT
          FROM TT_PRO PRO
         WHERE PRO.DECIMA = 'F');
   
/*-- SEQ 0452 --*/
-- Tarefa 83838 --
UPDATE TW_PRE PRE
   SET PRECOV = ROUND(PRE.PRECOV,2)
 WHERE (PRE.FILMAT, PRE.CODMAT) IN 
       (SELECT PRO.FILMAT, PRO.CODMAT
          FROM TT_PRO PRO
         WHERE PRO.DECIMA = 'F');

/*-- SEQ 0453 --*/
-- Tarefa 83838 --
ALTER TABLE TT_PRE ENABLE ALL TRIGGERS;

/*-- SEQ 0454 --*/
-- Tarefa 83838 --
ALTER TABLE TW_PRE ENABLE ALL TRIGGERS;


/*-- SEQ 0455 --*/
-- Tarefa 83922 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Outros',8,7,'T','39259090');


/*-- SEQ 0456 --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD FCCFIL CHAR(3) ;


/*-- SEQ 0457 --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD FCC_FILMAT CHAR(3) ;


/*-- SEQ 0458 --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD FCC_CODMAT CHAR(5) ;

 
/*-- SEQ 0459 --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD FCC_CODCOR Number(5) ;

 
/*-- SEQ 0460 --*/
-- Tarefa 83958 --
ALTER TABLE TD_FCC ADD FCC_CODTAM Number(5) ;
 
 
/*-- SEQ 0461 --*/
-- Tarefa 83958 -- 
ALTER TABLE TD_FCC ADD CONSTRAINT FK_DFCC_DFIL FOREIGN KEY (FCCFIL) REFERENCES TD_FIL (CODFIL);
 
/*-- SEQ 0462 --*/
-- Tarefa 83958 -- 
ALTER TABLE TD_FCC ADD CONSTRAINT FK_DFCC_GRA FOREIGN KEY (FCC_FILMAT,FCC_CODMAT,FCC_CODCOR,FCC_CODTAM) REFERENCES TT_GRA (FILMAT,CODMAT,CODCOR,CODTAM);

/*-- SEQ 0463 --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD FCCFIL CHAR(3) ;


/*-- SEQ 0464 --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD FCC_FILMAT CHAR(3) ;


/*-- SEQ 0465 --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD FCC_CODMAT CHAR(5) ;

 
/*-- SEQ 0466 --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD FCC_CODCOR Number(5) ;

 
/*-- SEQ 0467 --*/
-- Tarefa 83958 --
ALTER TABLE TW_TAB ADD FCC_CODTAM Number(5) ;
 

/*-- SEQ 0468 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83958 --
SELECT * FROM NADA;


/*-- SEQ 0469 --*/
-- Tarefa 82219 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SPEDEPC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SPEDEPC'));


/*-- SEQ 0470 --*/
-- Tarefa 83947 --
ALTER TABLE TT_PRO ADD NATBCC CHAR(2) ;


/*-- SEQ 0471 --*/
-- Tarefa 83947
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0472 --*/
-- Tarefa 83947 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NATBCC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NATBCC'));

/*-- SEQ 0473 --*/
-- Tarefa 83947 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0474 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83947 --
alter table tt_ive add kitori Number(5);


/*-- SEQ 0475 --*/
-- Tarefa 83958
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;
 

/*-- SEQ 0476 --*/
-- Tarefa 83958 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FCC_FILIAL', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FCC_FILIAL'));
					 
/*-- SEQ 0477 --*/
-- Tarefa 83958 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0478 --*/
-- Tarefa 83868
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;
 

/*-- SEQ 0479 --*/
-- Tarefa 83868 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DIAFEC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DIAFEC'));
					 
/*-- SEQ 0480 --*/
-- Tarefa 83868 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;
	


/*-- SEQ 0481 --*/
-- Tarefa 83777 --
DELETE FROM TT_FUN
 WHERE NOMFUN = 'FNCLNOSNUM';
 
 /*-- SEQ 0482 --*/
-- Tarefa 83777 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FNFTNOSNUM', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FNFTNOSNUM'));


/*-- SEQ 0483 --*/
-- Tarefa 84222 --
ALTER TABLE TR_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0484 --*/
ALTER TABLE TR_ECF ADD PELAFD VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0485 --*/
ALTER TABLE TR_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0486 --*/
-- Tarefa 84222 --
ALTER TABLE TR_ECF ADD CONSTRAINT CK_RECF_PELAFD CHECK (PELAFD IN ('T','F'));

/*-- SEQ 0487 --*/
-- Tarefa 84222
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0488 --*/
-- Tarefa 84222 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VAL_FD', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VAL_FD'));

/*-- SEQ 0489 --*/
-- Tarefa 84222 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0490 --*/
-- Tarefa 84287
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0491 --*/
-- Tarefa 84287 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PEDIPRFAST', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PEDIPRFAST'));

/*-- SEQ 0492 --*/
-- Tarefa 84287 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0493 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0494 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD PERCOM_FPV VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0495 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS; 

/*-- SEQ 0496 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PERCOM_FPV CHECK (PERCOM_FPV IN ('T','F'));

/*-- SEQ 0497 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TT_CFG MODIFY (PERCOM_FPV CONSTRAINT NN_CFG_PERCOM_FPV NOT NULL);


/*-- SEQ 0498 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84322 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0499 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD PERCOM_FPV VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0500 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS; 


/*-- SEQ 0501 --*/
ALTER TABLE TT_PRO ADD TIPMPB CHAR(1);

/*-- SEQ 0502 --*/
CREATE INDEX I_LC_PRO_TIPMPB ON TT_PRO (TIPMPB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0503 --*/
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_TIPMPB CHECK (TIPMPB IN ('C','T'));

/*-- SEQ 0504 --*/
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ;

/*-- SEQ 0505 --*/
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ CHECK (TIPCONJ IN (1,2,3,4,5,6));


/*-- SEQ 0506 --*/
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0507 --*/
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'MARCA_FRE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'MARCA_FRE'));

/*-- SEQ 0508 --*/
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;



/*-- SEQ 0509 --*/
ALTER TABLE TT_VEN MODIFY (MARCAS  VARCHAR2(30));


/*-- SEQ 0510 --*/
-- Tarefa 82830 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;


/*-- SEQ 0511 --*/
-- Tarefa 82830 --
ALTER TABLE TD_FIL MODIFY (E_MAIL VARCHAR2(254));

/*-- SEQ 0512 --*/
-- Tarefa 82830 --
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0513 --*/
-- Tarefa 82830 --
ALTER TABLE TI_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0514 --*/
-- Tarefa 82830 --
ALTER TABLE TI_CLI MODIFY (E_MAIL VARCHAR2(254));

/*-- SEQ 0515 --*/
-- Tarefa 82830 --
ALTER TABLE TI_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0516 --*/
-- Tarefa 82830 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0517 --*/
-- Tarefa 82830 --
ALTER TABLE TT_CLI MODIFY (E_MCON VARCHAR2(254));

/*-- SEQ 0518 --*/
-- Tarefa 82830 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0519 --*/
-- Tarefa 82830 --
ALTER TABLE TT_CON DISABLE ALL TRIGGERS;


/*-- SEQ 0520 --*/
-- Tarefa 82830 --
ALTER TABLE TT_CON MODIFY (E_MAIL VARCHAR2(254));

/*-- SEQ 0521 --*/
-- Tarefa 82830 --
ALTER TABLE TT_CON ENABLE ALL TRIGGERS;

/*-- SEQ 0522 --*/
-- Tarefa 82830 --
ALTER TABLE TT_INT DISABLE ALL TRIGGERS;


/*-- SEQ 0523 --*/
-- Tarefa 82830 --
ALTER TABLE TT_INT MODIFY (E_MAIL VARCHAR2(254));

/*-- SEQ 0524 --*/
-- Tarefa 82830 --
ALTER TABLE TT_INT ENABLE ALL TRIGGERS;

/*-- SEQ 0525 --*/
-- Tarefa 82830 --
ALTER TABLE TT_SPC DISABLE ALL TRIGGERS;


/*-- SEQ 0526 --*/
-- Tarefa 82830 --
ALTER TABLE TT_SPC MODIFY (E_MAIL VARCHAR2(254));

/*-- SEQ 0527 --*/
-- Tarefa 82830 --
ALTER TABLE TT_SPC ENABLE ALL TRIGGERS;


/*-- SEQ 0528 --*/
-- Tarefa 84186
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0529 --*/
-- Tarefa 84186 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NATBCC2', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NATBCC2'));

/*-- SEQ 0530 --*/
-- Tarefa 84186 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0531 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78786
DROP VIEW TV_FIN_RTT;



/*-- SEQ 0532 --*/
-- Tarefa 84570 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Discos para sistema de leitura por raios laser com possibilidade de serem gravados uma nica vez',3,16,'T','85234110');


/*-- SEQ 0533 --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0534 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD ST_NO_FRETE VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0535 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0536 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ST_NO_FRETE CHECK (ST_NO_FRETE IN ('T','F'));

/*-- SEQ 0537 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84596 --
ALTER TABLE TT_CFG MODIFY (ST_NO_FRETE CONSTRAINT NN_CFG_ST_NO_FRETE NOT NULL);


/*-- SEQ 0538 --*/
-- Tarefa 84596 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0539 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD ST_NO_FRETE VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0540 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0541 --*/
-- Tarefa 84596 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ST_NO_FRE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ST_NO_FRE'));


/*-- SEQ 0542 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84179 --
SELECT * FROM NADA;

/*-- SEQ 0543 --*/
-- Tarefa 84179 --
ALTER TABLE TT_END DISABLE ALL TRIGGERS;


/*-- SEQ 0544 --*/
-- Tarefa 84179 --
update tt_end
   set insest = null
 where (tt_end.filcli, tt_end.codcli) in
       (select cli.filcli, cli.codcli
          from tt_cli cli inner join tt_end ende on ende.filcli = cli.filcli
                                                and ende.codcli = cli.codcli
         where cli.flgtip = '0'
		   and cli.tipdoc <> 'IE'
           and cli.insest = ende.insest)
   and tt_end.insest is not null;
   
/*-- SEQ 0545 --*/
-- Tarefa 84179 --  
ALTER TABLE TT_END ENABLE ALL TRIGGERS;


/*-- SEQ 0546 --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ADD FILEND CHAR(3) ;


/*-- SEQ 0547 --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ADD NUMEND Number(4) ;


/*-- SEQ 0548 --*/
-- Tarefa 84801 --
CREATE TABLE TEMP_PRI_END AS
SELECT FILCLI, CODCLI, MIN(CODFIL||NUMEND) AS CHVEND
  FROM TT_END ENDE
 WHERE SIGNAT >= 0  
 GROUP BY FILCLI, CODCLI;
 
/*-- SEQ 0549 --*/
-- Tarefa 84801 --
CREATE INDEX I_LC_TEMP_PRI_END ON TEMP_PRI_END (FILCLI, CODCLI) TABLESPACE TOTALL_INDEX; 
 
/*-- SEQ 0550 --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;

 
/*-- SEQ 0551 --*/
-- Tarefa 84801 --
UPDATE TT_CLI CLI
   SET FILEND = (SELECT SUBSTR(TMP.CHVEND,1,3)
                   FROM TEMP_PRI_END TMP
                  WHERE TMP.FILCLI = CLI.FILCLI
                    AND TMP.CODCLI = CLI.CODCLI),
       NUMEND = (SELECT TO_NUMBER(SUBSTR(TMP.CHVEND,4,4))
                   FROM TEMP_PRI_END TMP
                  WHERE TMP.FILCLI = CLI.FILCLI
                    AND TMP.CODCLI = CLI.CODCLI)
 WHERE FILEND IS NULL;                       

/*-- SEQ 0552 --*/
-- Tarefa 84801 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;                    

/*-- SEQ 0553 --*/
-- Tarefa 84801 --
DROP TABLE TEMP_PRI_END;

/*-- SEQ 0554 --*/
-- Tarefa 84801 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ENDCLI', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ENDCLI'));


/*-- SEQ 0555 --*/
-- Tarefa 84403 --
ALTER TABLE TI_ICO ADD BASIPI Number(12,2) ;



/*-- SEQ 0556 --*/
-- Tarefa 84638 --
ALTER TABLE TT_UID DISABLE ALL TRIGGERS;

/*-- SEQ 0557 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_UID ADD TERMIN VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0558 --*/
ALTER TABLE TT_UID ENABLE ALL TRIGGERS;

/*-- SEQ 0559 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE INDEX I_LC_UID_TERMIN ON TT_UID (TERMIN, SESSION_ID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0560 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_TERMIN CHECK (TERMIN IN ('F','T'));


/*-- SEQ 0561 --*/
-- Tarefa 84668 --
ALTER TABLE TL_SUP DROP CONSTRAINT FK_LSUP_SUP;


/*-- SEQ 0562 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE TABLE GX_CFG (
  GX_CFGId                  Number(10),
  GX_CFGSimPanBaseURL       VARCHAR2(40),
  GX_CFGSimPanHost          VARCHAR2(40),
  GX_CFGSimPanPort          Number(10),
  GX_CFGTotallCreditBaseURL VARCHAR2(40),
  GX_CFGTotallCreditHost    VARCHAR2(40),
  GX_CFGTotallCreditPort    Number(10),
  GX_CFGTotallCargaBaseURL  CHAR(50),
  GX_CFGTotallCargaHost     VARCHAR2(40),
  GX_CFGTotallCargaPort     Number(10),
  GX_CFGLog                 Number(1)) 
  TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0563 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ADD CONSTRAINT PK_GX_CFG PRIMARY KEY (GX_CFGId);

/*-- SEQ 0564 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG MODIFY (GX_CFGLog CONSTRAINT NN_GX_CFGLog NOT NULL);


/*-- SEQ 0565 --*/
-- Tarefa 84638 --
INSERT INTO GX_CFG
(GX_CFGId, 
 GX_CFGSimPanBaseURL, 
 GX_CFGSimPanHost, 
 GX_CFGSimPanPort, 
 GX_CFGTotallCreditBaseURL, 
 GX_CFGTotallCreditHost, 
 GX_CFGTotallCreditPort, 
 GX_CFGTotallCargaBaseURL, 
 GX_CFGTotallCargaHost, 
 GX_CFGTotallCargaPort, 
 GX_CFGLog)
SELECT 1, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       null, 
       0  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM GX_CFG
                    WHERE GX_CFGId = 1);

/*-- SEQ 0566 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGNfeAtu Date ;
 

/*-- SEQ 0567 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGNfeLog Number(1) ;
 
       
/*-- SEQ 0568 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG DISABLE ALL TRIGGERS;
       
       
/*-- SEQ 0569 --*/
-- Tarefa 84638 --
UPDATE GX_CFG
   SET GX_CFGNfeAtu = TO_DATE('31/12/2011 00:00:00','DD/MM/YYYY HH24:MI:SS')
 WHERE GX_CFGId = 1
   AND GX_CFGNfeAtu IS NULL;
       
/*-- SEQ 0570 --*/
-- Tarefa 84638 --
UPDATE GX_CFG
   SET GX_CFGNfeLog = 0 WHERE GX_CFGId = 1
   AND GX_CFGNfeLog IS NULL;

/*-- SEQ 0571 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0572 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG MODIFY (GX_CFGNfeAtu CONSTRAINT NN_GX_CFGNfeAtu NOT NULL);


/*-- SEQ 0573 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_CFG MODIFY (GX_CFGNfeLog CONSTRAINT NN_GX_CFGNfeLog NOT NULL);


/*-- SEQ 0574 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE TABLE GX_LOG (
  GX_LogId        Number(10),
  GX_LogDescricao VARCHAR2(4000),
  GX_LogData      Date,
  GX_LogErro      Number(1))
  TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0575 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
CREATE SEQUENCE GX_LogId INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;
  
/*-- SEQ 0576 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG ADD CONSTRAINT PK_GX_LogId PRIMARY KEY (GX_LogId);

/*-- SEQ 0577 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG MODIFY (GX_LogDescricao CONSTRAINT NN_GX_LogDescricao NOT NULL);


/*-- SEQ 0578 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG MODIFY (GX_LogData CONSTRAINT NN_GX_LogData NOT NULL);


/*-- SEQ 0579 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
ALTER TABLE GX_LOG MODIFY (GX_LogErro CONSTRAINT NN_GX_LogErro NOT NULL);



/*-- SEQ 0580 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 84638 --
SELECT * FROM NADA;


/*-- SEQ 0581 --*/
-- Tarefa 85042 --
ALTER TABLE TT_ICO MODIFY (VALCON Number(14,4));


/*-- SEQ 0582 --*/
-- Tarefa 83344 --
ALTER TABLE TL_VEN DISABLE ALL TRIGGERS;


/*-- SEQ 0583 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83344 --
CREATE INDEX I_LVEN_MSGLOG ON TL_VEN (MSGLOG) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0584 --*/
-- Tarefa 83344 --
DELETE 
  FROM TL_VEN
 WHERE MSGLOG LIKE 'Estado: de I%';

/*-- SEQ 0585 --*/
-- Tarefa 83344 --
DROP INDEX I_LVEN_MSGLOG;
					  
/*-- SEQ 0586 --*/
-- Tarefa 83344 --
ALTER TABLE TL_VEN ENABLE ALL TRIGGERS;



/*-- SEQ 0587 --*/
-- Tarefa 85164 --
ALTER TABLE TI_CLI ADD ISENTO VARCHAR2(1) ;



/*-- SEQ 0588 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0589 --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ADD OPERAD CHAR(1) ;


/*-- SEQ 0590 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'A'
 WHERE COLUNA = '--Alteracao--';
 
/*-- SEQ 0591 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'E'
 WHERE COLUNA = '--Exclusao--';

/*-- SEQ 0592 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'I'
 WHERE COLUNA = '--Inclusao--';
 
/*-- SEQ 0593 --*/
-- Tarefa 82965 --
UPDATE TL_CFG
   SET OPERAD = 'A'
 WHERE COLUNA <> '--Inclusao--'
   AND COLUNA <> '--Exclusao--'
   AND COLUNA <> '--Alteracao--';

/*-- SEQ 0594 --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ADD CONSTRAINT CK_CFG_OPERAD CHECK (OPERAD IN ('A','E','I'));

/*-- SEQ 0595 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG MODIFY (OPERAD CONSTRAINT NN_CFG_OPERAD NOT NULL);


/*-- SEQ 0596 --*/
-- Tarefa 82965 --
ALTER TABLE TL_CFG ENABLE ALL TRIGGERS; 


/*-- SEQ 0597 --*/
-- Tarefa 84500 --
ALTER TABLE TT_GRA MODIFY (CUSFRE Number(14,4));


/*-- SEQ 0598 --*/
-- Tarefa 85235 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('-De outras matrias',4,12,'T','640690');

/*-- SEQ 0599 --*/
-- Tarefa 85235 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('--Partes de calados Palmilhas',5,12,'T','64069020');

