
/*-- SEQ 0001 --*/
-- Tarefa 88999 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0002 --*/
ALTER TABLE TT_CFG ADD SEPARAR_ENTREGA VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0003 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0004 --*/
-- Tarefa 88999 -- 
ALTER TABLE TT_CFG MODIFY (SEPARAR_ENTREGA CONSTRAINT NN_CFG_SEPARAR_ENTREGA NOT NULL);


/*-- SEQ 0005 --*/
-- Tarefa 88999 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SEPARAR_ENTREGA CHECK (SEPARAR_ENTREGA IN ('T','F'));

/*-- SEQ 0006 --*/
-- Tarefa 88999 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0007 --*/
ALTER TABLE TW_CFG ADD SEPARAR_ENTREGA VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0008 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0009 --*/
-- Tarefa 88999 --
UPDATE TT_CFG SET SEPARAR_ENTREGA = 'F'
 WHERE EXISTS (SELECT 1 AS OK
                 FROM TT_FUN
                WHERE NOMFUN = 'SEM_IVO');

/*-- SEQ 0010 --*/
-- Tarefa 88999 --
DELETE FROM TT_FUN
 WHERE NOMFUN = 'SEM_IVO';


/*-- SEQ 0011 --*/
-- Tarefa 89197 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0012 --*/
ALTER TABLE TT_CFG ADD GIRO_ESTOQUE CHAR(1) DEFAULT 'C';

/*-- SEQ 0013 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0014 --*/
-- Tarefa 89197 -- 
ALTER TABLE TT_CFG MODIFY (GIRO_ESTOQUE CONSTRAINT NN_CFG_GIRO_ESTOQUE NOT NULL);


/*-- SEQ 0015 --*/
-- Tarefa 89197 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_GIRO_ESTOQUE CHECK (GIRO_ESTOQUE IN ('C','U'));

/*-- SEQ 0016 --*/
-- Tarefa 89197 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0017 --*/
ALTER TABLE TW_CFG ADD GIRO_ESTOQUE CHAR(1) DEFAULT 'C';

/*-- SEQ 0018 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0019 --*/
-- Tarefa 89199 --
ALTER TABLE TR_MOV DISABLE ALL TRIGGERS;

/*-- SEQ 0020 --*/
ALTER TABLE TR_MOV ADD PROMOC VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0021 --*/
ALTER TABLE TR_MOV ENABLE ALL TRIGGERS;
 
/*-- SEQ 0022 --*/
-- Tarefa 89199 --
ALTER TABLE TR_MOV MODIFY (PROMOC CONSTRAINT NN_RMOV_PROMOC NOT NULL);

 
/*-- SEQ 0023 --*/
-- Tarefa 89199 --
ALTER TABLE TR_MOV ADD CONSTRAINT CK_RMOV_PROMOC CHECK (PROMOC IN ('T','F'));


/*-- SEQ 0024 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD DEPART Number(5) ;


/*-- SEQ 0025 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DDEP FOREIGN KEY (DEPART) REFERENCES TD_DEP (CODTAB);

/*-- SEQ 0026 --*/
-- Tarefa 89221 --
CREATE INDEX I_FK_CLI_DDEP ON TT_CLI (DEPART) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0027 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CLASS1 Number(5) ;


/*-- SEQ 0028 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DCL1 FOREIGN KEY (CLASS1) REFERENCES TD_CL1 (CODTAB);

/*-- SEQ 0029 --*/
-- Tarefa 89221 --
CREATE INDEX I_FK_CLI_DCL1 ON TT_CLI (CLASS1) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0030 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CLASS2 Number(5) ;


/*-- SEQ 0031 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DCL2 FOREIGN KEY (CLASS2) REFERENCES TD_CL2 (CODTAB);

/*-- SEQ 0032 --*/
-- Tarefa 89221 --
CREATE INDEX I_FK_CLI_DCL2 ON TT_CLI (CLASS2) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0033 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CLASS3 Number(5) ;


/*-- SEQ 0034 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DCL3 FOREIGN KEY (CLASS3) REFERENCES TD_CL3 (CODTAB);

/*-- SEQ 0035 --*/
-- Tarefa 89221 --
CREATE INDEX I_FK_CLI_DCL3 ON TT_CLI (CLASS3) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0036 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CLASS4 Number(5) ;


/*-- SEQ 0037 --*/
-- Tarefa 89221 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DCL4 FOREIGN KEY (CLASS4) REFERENCES TD_CL4 (CODTAB);

/*-- SEQ 0038 --*/
-- Tarefa 89221 --
CREATE INDEX I_FK_CLI_DCL4 ON TT_CLI (CLASS4) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0039 --*/
-- Tarefa 89267 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,366)||'N'||SUBSTR(PERMIS,368,9999);


/*-- SEQ 0040 --*/
-- Tarefa 89200 --
DROP FUNCTION TGR_IVE_Atualiza_Movimento;


/*-- SEQ 0041 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD PARPED Number(2) ;

 
/*-- SEQ 0042 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD PREENT Number(2) ;


/*-- SEQ 0043 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD PRIPAR Number(3) ;


/*-- SEQ 0044 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD PERIOD Number(3) ;


/*-- SEQ 0045 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD DESCON Number(5,2) ;


/*-- SEQ 0046 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD TIPDES Number(5) ;


/*-- SEQ 0047 --*/
-- Tarefa 89227 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_DDES FOREIGN KEY (TIPDES) REFERENCES TD_DES (CODTAB);

/*-- SEQ 0048 --*/
-- Tarefa 89227 --
CREATE INDEX I_FK_CLI_DDES ON TT_CLI (TIPDES) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88468 --
SELECT * FROM NADA;


/*-- SEQ 0050 --*/
-- Tarefa 89253 --
CREATE TABLE TT_LOT (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODCOR Number(5),
  CODTAM Number(5),
  FILFOR CHAR(3),
  CODFOR CHAR(6),
  NUMLOT VARCHAR2(40),
  DATINC Date,
  ATU_EM Date,
  TONALI VARCHAR2(20),
  TAMANH VARCHAR2(20),
  DATVAL Date,
  QTDINI Number(12,4),
  QTDCOM Number(12,4),
  QTDEST Number(12,4)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0051 --*/ 
-- Tarefa 89253 --
ALTER TABLE TT_LOT ADD CONSTRAINT PK_LOT PRIMARY KEY (CODFIL,SEQUEN);
  
/*-- SEQ 0052 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ADD CONSTRAINT FK_LOT_GRA FOREIGN KEY (FILMAT,CODMAT,CODCOR,CODTAM) REFERENCES TT_GRA(FILMAT,CODMAT,CODCOR,CODTAM);
 
/*-- SEQ 0053 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ADD CONSTRAINT FK_LOT_CLI FOREIGN KEY (FILFOR,CODFOR) REFERENCES TT_CLI(FILCLI,CODCLI);

/*-- SEQ 0054 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT ADD CONSTRAINT FK_LOT_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0055 --*/
-- Tarefa 89253 --
CREATE INDEX I_FK_LOT_GRA ON TT_LOT (FILMAT,CODMAT,CODCOR,CODTAM) TABLESPACE TOTALL_INDEX;
 
/*-- SEQ 0056 --*/
-- Tarefa 89253 --
CREATE INDEX I_FK_LOT_CLI ON TT_LOT (FILFOR,CODFOR) TABLESPACE TOTALL_INDEX;
 
/*-- SEQ 0057 --*/
-- Tarefa 89253 --
CREATE INDEX I_FK_LOT_DFIL ON TT_LOT (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0058 --*/
-- Tarefa 89253 --
CREATE UNIQUE INDEX I_UQ_LOT ON TT_LOT (FILMAT,CODMAT,CODCOR,CODTAM,FILFOR,CODFOR,NUMLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0059 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (FILMAT CONSTRAINT NN_LOT_FILMAT NOT NULL);


/*-- SEQ 0060 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (CODMAT CONSTRAINT NN_LOT_CODMAT NOT NULL);


/*-- SEQ 0061 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (CODCOR CONSTRAINT NN_LOT_CODCOR NOT NULL);


/*-- SEQ 0062 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (CODTAM CONSTRAINT NN_LOT_CODTAM NOT NULL);


/*-- SEQ 0063 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (FILFOR CONSTRAINT NN_LOT_FILFOR NOT NULL);


/*-- SEQ 0064 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (CODFOR CONSTRAINT NN_LOT_CODFOR NOT NULL);


/*-- SEQ 0065 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (NUMLOT CONSTRAINT NN_LOT_NUMLOT NOT NULL);


/*-- SEQ 0066 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (DATINC CONSTRAINT NN_LOT_DATINC NOT NULL);


/*-- SEQ 0067 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (ATU_EM CONSTRAINT NN_LOT_ATU_EM NOT NULL);


/*-- SEQ 0068 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (TONALI CONSTRAINT NN_LOT_TONALI NOT NULL);


/*-- SEQ 0069 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (DATVAL CONSTRAINT NN_LOT_DATVAL NOT NULL);

 
/*-- SEQ 0070 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (QTDINI CONSTRAINT NN_LOT_QTDINI NOT NULL);


/*-- SEQ 0071 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (QTDCOM CONSTRAINT NN_LOT_QTDCOM NOT NULL);


/*-- SEQ 0072 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (QTDEST CONSTRAINT NN_LOT_QTDEST NOT NULL);

  
/*-- SEQ 0073 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (QTDINI DEFAULT '0');

/*-- SEQ 0074 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (QTDCOM DEFAULT '0');

/*-- SEQ 0075 --*/
-- Tarefa 89253 --
ALTER TABLE TT_LOT MODIFY (QTDEST DEFAULT '0');
 
/*-- SEQ 0076 --*/
-- Tarefa 89253 --
CREATE SEQUENCE SQLOT INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0077 --*/
-- Tarefa 89258 --
ALTER TABLE TT_ICO ADD FILLOT CHAR(3) ;


/*-- SEQ 0078 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IOR ADD FILLOT CHAR(3) ;


/*-- SEQ 0079 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IVE ADD FILLOT CHAR(3) ;


/*-- SEQ 0080 --*/
-- Tarefa 89258 --
ALTER TABLE TT_LAN ADD FILLOT CHAR(3) ;


/*-- SEQ 0081 --*/
-- Tarefa 89258 --
ALTER TABLE TT_ICO ADD SEQLOT CHAR(10) ;


/*-- SEQ 0082 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IOR ADD SEQLOT CHAR(10) ;


/*-- SEQ 0083 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IVE ADD SEQLOT CHAR(10) ;


/*-- SEQ 0084 --*/
-- Tarefa 89258 --
ALTER TABLE TT_LAN ADD SEQLOT CHAR(10) ;

 
/*-- SEQ 0085 --*/
-- Tarefa 89258 --
ALTER TABLE TT_ICO ADD CONSTRAINT FK_ICO_LOT FOREIGN KEY (FILLOT,SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0086 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_LOT FOREIGN KEY (FILLOT,SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0087 --*/
-- Tarefa 89258 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_LOT FOREIGN KEY (FILLOT,SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0088 --*/
-- Tarefa 89258 --
ALTER TABLE TT_LAN ADD CONSTRAINT FK_LAN_LOT FOREIGN KEY (FILLOT,SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0089 --*/
-- Tarefa 89258 --
CREATE INDEX I_FK_ICO_LOT ON TT_ICO (FILLOT,SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0090 --*/
-- Tarefa 89258 --
CREATE INDEX I_FK_IOR_LOT ON TT_IOR (FILLOT,SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0091 --*/
-- Tarefa 89258 --
CREATE INDEX I_FK_IVE_LOT ON TT_IVE (FILLOT,SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0092 --*/
-- Tarefa 89258 --
CREATE INDEX I_FK_LAN_LOT ON TT_LAN (FILLOT,SEQLOT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0093 --*/
-- Tarefa 89491 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CKPAFILDAV VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0095 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;
 
/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89491 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CKPAFILDAV CHECK (CKPAFILDAV IN ('T','F'));
 
/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89491 -- 
ALTER TABLE TT_CFG MODIFY (CKPAFILDAV CONSTRAINT NN_CFG_CKPAFILDAV NOT NULL);

 
/*-- SEQ 0098 --*/
-- Tarefa 89491 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0099 --*/
ALTER TABLE TW_CFG ADD CKPAFILDAV VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0100 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0101 --*/
-- Tarefa 89387 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TPR ADD PERLUC Number(5,2) ;


/*-- SEQ 0102 --*/
-- Tarefa 89387 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TPRPERLUC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TPRPERLUC'));


/*-- SEQ 0103 --*/
-- Tarefa 89484 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PED ADD DESESP Number(5,2) ;


/*-- SEQ 0104 --*/
-- Tarefa 89484 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PEDDESESP', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PEDDESESP'));


/*-- SEQ 0105 --*/
ALTER TABLE TT_DEL DISABLE ALL TRIGGERS;


/*-- SEQ 0106 --*/
DELETE FROM TT_DEL
 WHERE TABELA = 'TT_OUT';
 
/*-- SEQ 0107 --*/
ALTER TABLE TT_DEL ENABLE ALL TRIGGERS;


/*-- SEQ 0108 --*/
-- Tarefa 89480 --
ALTER TABLE TT_TPR DROP CONSTRAINT CK_TPR_VAREJO;

/*-- SEQ 0109 --*/
-- Tarefa 89480 --
ALTER TABLE TT_TPR ADD CONSTRAINT CK_TPR_VAREJO CHECK (VAREJO IN (0,1,2,3));


/*-- SEQ 0110 --*/
-- Tarefa 89259 --
CREATE TABLE TT_SLT (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  CODMUL Number(5),
  FILLOT CHAR(3),
  SEQLOT CHAR(10),
  QTDEST Number(12,4),
  RESERV Number (12,4)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0111 --*/ 
-- Tarefa 89259 --
ALTER TABLE TT_SLT ADD CONSTRAINT PK_SLT PRIMARY KEY (CODFIL,SEQUEN);
  
/*-- SEQ 0112 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT ADD CONSTRAINT FK_SLT_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0113 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT ADD CONSTRAINT FK_SLT_DMUL FOREIGN KEY (CODMUL) REFERENCES TD_MUL(CODTAB);

/*-- SEQ 0114 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT ADD CONSTRAINT FK_SLT_LOT FOREIGN KEY (FILLOT,SEQLOT) REFERENCES TT_LOT(CODFIL,SEQUEN);

/*-- SEQ 0115 --*/
-- Tarefa 89259 --
CREATE INDEX I_FK_SLT_DFIL ON TT_SLT (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0116 --*/
-- Tarefa 89259 --
CREATE INDEX I_FK_SLT_DMUL ON TT_SLT (CODMUL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0117 --*/
-- Tarefa 89259 --
CREATE INDEX I_FK_SLT_LOT ON TT_SLT (FILLOT,SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0118 --*/
-- Tarefa 89259 --
CREATE UNIQUE INDEX I_UQ_SLT ON TT_SLT (FILLOT,SEQLOT,CODFIL,CODMUL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0119 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT MODIFY (CODMUL CONSTRAINT NN_SLT_CODMUL NOT NULL);


/*-- SEQ 0120 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT MODIFY (FILLOT CONSTRAINT NN_SLT_FILLOT NOT NULL);


/*-- SEQ 0121 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT MODIFY (SEQLOT CONSTRAINT NN_SLT_SEQLOT NOT NULL);


/*-- SEQ 0122 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT MODIFY (QTDEST CONSTRAINT NN_SLT_QTDEST NOT NULL);


/*-- SEQ 0123 --*/
-- Tarefa 89259 --
ALTER TABLE TT_SLT MODIFY (RESERV CONSTRAINT NN_SLT_RESERV NOT NULL);


/*-- SEQ 0124 --*/
-- Tarefa 89259 --
CREATE SEQUENCE SQSLT INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89256 --
DROP FUNCTION AUX_PROCTIT_Nosso_Numero;


/*-- SEQ 0126 --*/
-- Tarefa 89545 --
ALTER TABLE TT_CLI ADD OBSFOR VARCHAR2(4000) ;



/*-- SEQ 0127 --*/
-- Tarefa 89586 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA ADD FILUSU CHAR(3) ;


/*-- SEQ 0128 --*/
-- Tarefa 89586 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA ADD CODUSU CHAR(3) ;


/*-- SEQ 0129 --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA DISABLE ALL TRIGGERS;

/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ABA ADD MANUT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0131 --*/
ALTER TABLE TT_ABA ENABLE ALL TRIGGERS;

/*-- SEQ 0132 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89586 -- 
ALTER TABLE TT_ABA MODIFY (MANUT CONSTRAINT NN_ABA_MANUT NOT NULL);


/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0134 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89586 --
CREATE INDEX I_FK_ABA_USU ON TT_ABA (FILUSU, CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0135 --*/
-- Tarefa 89586 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ABA139', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ABA139'));

/*-- SEQ 0136 --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA DROP CONSTRAINT CK_ABA_FLGEST;

/*-- SEQ 0137 --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA ADD CONSTRAINT CK_ABA_FLGEST CHECK (FLGEST IN ('P','C','N','A','B'));


/*-- SEQ 0138 --*/
-- Tarefa 89231 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,365)||SUBSTR(PERMIS,278,1)||SUBSTR(PERMIS,367,9999);

/*-- SEQ 0139 --*/
-- Tarefa 89231 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,365)||SUBSTR(PERMIS,278,1)||SUBSTR(PERMIS,367,9999);


/*-- SEQ 0140 --*/
-- Tarefa 89239 --
ALTER TABLE TT_CLI ADD FILFIA CHAR(3) ;


/*-- SEQ 0141 --*/
-- Tarefa 89239 --
ALTER TABLE TT_CLI ADD CODFIA CHAR(6) ;


/*-- SEQ 0142 --*/
-- Tarefa 89239 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_FIA FOREIGN KEY (FILFIA,CODFIA) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0143 --*/
-- Tarefa 89239 --
CREATE INDEX I_FK_CLI_FIA ON TT_CLI (FILFIA,CODFIA) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0144 --*/
-- Tarefa 89398 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,368)||'N'||SUBSTR(PERMIS,370,9999);

/*-- SEQ 0145 --*/
-- Tarefa 89398 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,368)||'N'||SUBSTR(PERMIS,370,9999);


/*-- SEQ 0146 --*/
-- Tarefa 89395 --
CREATE TABLE TD_RGC (
  CODTAB Number(5),
  DESRGC VARCHAR2(100),
  RGCATI VARCHAR2(1),
  FLGENC VARCHAR2(1),
  FLGDEV VARCHAR2(1)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0147 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC MODIFY (RGCATI DEFAULT 'T');

/*-- SEQ 0148 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC MODIFY (FLGENC DEFAULT 'F');

/*-- SEQ 0149 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC MODIFY (FLGDEV DEFAULT 'T');
 
/*-- SEQ 0150 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC ADD CONSTRAINT PK_DRGC PRIMARY KEY (CODTAB);
 
/*-- SEQ 0151 --*/
-- Tarefa 89395 -- 
ALTER TABLE TD_RGC MODIFY (DESRGC CONSTRAINT NN_DRGC_DESRGC NOT NULL);

    
/*-- SEQ 0152 --*/
-- Tarefa 89395 -- 
ALTER TABLE TD_RGC MODIFY (RGCATI CONSTRAINT NN_DRGC_RGCATI NOT NULL);

	
/*-- SEQ 0153 --*/
-- Tarefa 89395 -- 
ALTER TABLE TD_RGC MODIFY (FLGENC CONSTRAINT NN_DRGC_FLGENC NOT NULL);


/*-- SEQ 0154 --*/
-- Tarefa 89395 -- 
ALTER TABLE TD_RGC MODIFY (FLGDEV CONSTRAINT NN_DRGC_FLGDEV NOT NULL);


/*-- SEQ 0155 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC ADD CONSTRAINT CK_DRGC_RGCATI CHECK (RGCATI IN ('T','F'));
 
/*-- SEQ 0156 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC ADD CONSTRAINT CK_DRGC_FLGENC CHECK (FLGENC IN ('T','F'));
 
/*-- SEQ 0157 --*/
-- Tarefa 89395 --
ALTER TABLE TD_RGC ADD CONSTRAINT CK_DRGC_FLGDEV CHECK (FLGDEV IN ('T','F'));
 
/*-- SEQ 0158 --*/
-- Tarefa 89395 --
ALTER TABLE TW_TAB ADD DESRGC VARCHAR2(100) ;

 
/*-- SEQ 0159 --*/
-- Tarefa 89395 --
ALTER TABLE TW_TAB ADD RGCATI VARCHAR2(1) ;


/*-- SEQ 0160 --*/
-- Tarefa 89395 --
ALTER TABLE TW_TAB ADD FLGENC VARCHAR2(1) ;


/*-- SEQ 0161 --*/
-- Tarefa 89395 --
ALTER TABLE TW_TAB ADD FLGDEV VARCHAR2(1) ;


/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89395 --
INSERT INTO TD_RGC(CODTAB,DESRGC,FLGENC,FLGDEV)
            VALUES(0,'PADRAO','F','T');


/*-- SEQ 0163 --*/
-- Tarefa 89298 --
CREATE TABLE TD_STF (
  CODTAB Number(5),
  DESSTF VARCHAR2(100),
  STFATI VARCHAR2(1),
  STF_FILFOR CHAR(3),
  STF_CODFOR CHAR(6),
  STF_CODSER CHAR(2),
  STF_SUBSER CHAR(3),
  STF_DIAVEN Number(2),
  STF_CODDAR CHAR(1),
  STF_CODSET Number(5),
  STF_FILCTA CHAR(3),
  STF_SEQCTA CHAR(10),
  STF_TIPCTA CHAR(1),
  STF_CODFPS VARCHAR2(2),
  STF_CODCTR Number(5),
  STF_CODCUS Number(5),
  STF_CODCFO Number(5)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0164 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF MODIFY (STFATI DEFAULT 'T');

/*-- SEQ 0165 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT PK_DSTF PRIMARY KEY (CODTAB);

/*-- SEQ 0166 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_FOR FOREIGN KEY (STF_FILFOR,STF_CODFOR) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0167 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_FOR ON TD_STF (STF_FILFOR,STF_CODFOR) TABLESPACE TOTALL_INDEX;
 
/*-- SEQ 0168 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DSER FOREIGN KEY (STF_CODSER) REFERENCES TD_SER (CODSER);

/*-- SEQ 0169 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DSER ON TD_STF (STF_CODSER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0170 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DSET FOREIGN KEY (STF_CODSET) REFERENCES TD_SET (CODTAB);

/*-- SEQ 0171 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DSET ON TD_STF (STF_CODSET) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0172 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_CTA FOREIGN KEY (STF_FILCTA,STF_SEQCTA,STF_TIPCTA) REFERENCES TT_CTA (CODFIL,SEQUEN,TIPCTA);

/*-- SEQ 0173 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_CTA ON TD_STF (STF_FILCTA,STF_SEQCTA,STF_TIPCTA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0174 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DCTR FOREIGN KEY (STF_CODCTR) REFERENCES TD_CTR (CODTAB);

/*-- SEQ 0175 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DCTR ON TD_STF (STF_CODCTR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0176 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DCUS FOREIGN KEY (STF_CODCUS) REFERENCES TD_CUS (CODTAB);

/*-- SEQ 0177 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DCUS ON TD_STF (STF_CODCUS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0178 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DCFO FOREIGN KEY (STF_CODCFO) REFERENCES TD_CFO (CODTAB);

/*-- SEQ 0179 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DCFO ON TD_STF (STF_CODCFO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0180 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT FK_DSTF_DFPS FOREIGN KEY (STF_CODFPS) REFERENCES TD_FPS (CODFPS);

/*-- SEQ 0181 --*/
-- Tarefa 89298 --
CREATE INDEX I_FK_DSTF_DFPS ON TD_STF (STF_CODFPS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0182 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT CK_DSTF_CODDAR CHECK (STF_CODDAR IN ('0','1'));

/*-- SEQ 0183 --*/
-- Tarefa 89298 --
ALTER TABLE TD_STF ADD CONSTRAINT CK_DSTF_STFATI CHECK (STFATI IN ('T','F'));
 
/*-- SEQ 0184 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (DESSTF CONSTRAINT NN_DSTF_DESSTF NOT NULL);


/*-- SEQ 0185 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STFATI CONSTRAINT NN_DSTF_STFATI NOT NULL);


/*-- SEQ 0186 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_FILFOR CONSTRAINT NN_DSTF_FILFOR NOT NULL);


/*-- SEQ 0187 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_CODFOR CONSTRAINT NN_DSTF_CODFOR NOT NULL);


/*-- SEQ 0188 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_CODSER CONSTRAINT NN_DSTF_CODSER NOT NULL);


/*-- SEQ 0189 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_DIAVEN CONSTRAINT NN_DSTF_DIAVEN NOT NULL);


/*-- SEQ 0190 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_CODDAR CONSTRAINT NN_DSTF_CODDAR NOT NULL);


/*-- SEQ 0191 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_CODSET CONSTRAINT NN_DSTF_CODSET NOT NULL);


/*-- SEQ 0192 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_FILCTA CONSTRAINT NN_DSTF_FILCTA NOT NULL);


/*-- SEQ 0193 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_SEQCTA CONSTRAINT NN_DSTF_SEQCTA NOT NULL);


/*-- SEQ 0194 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_TIPCTA CONSTRAINT NN_DSTF_TIPCTA NOT NULL);


/*-- SEQ 0195 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_CODFPS CONSTRAINT NN_DSTF_CODFPS NOT NULL);


/*-- SEQ 0196 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_CODCTR CONSTRAINT NN_DSTF_CODCTR NOT NULL);


/*-- SEQ 0197 --*/
-- Tarefa 89298 -- 
ALTER TABLE TD_STF MODIFY (STF_CODCUS CONSTRAINT NN_DSTF_CODCUS NOT NULL);


/*-- SEQ 0198 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD DESSTF VARCHAR2(100) ;


/*-- SEQ 0199 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STFATI VARCHAR2(1) ;


/*-- SEQ 0200 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_FILFOR CHAR(3) ;


/*-- SEQ 0201 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_CODFOR CHAR(6) ;


/*-- SEQ 0202 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_CODSER CHAR(2) ;


/*-- SEQ 0203 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_SUBSER CHAR(3) ;


/*-- SEQ 0204 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_DIAVEN Number(2) ;


/*-- SEQ 0205 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_CODDAR CHAR(1) ;


/*-- SEQ 0206 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_CODSET Number(5) ;


/*-- SEQ 0207 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_FILCTA CHAR(3) ;


/*-- SEQ 0208 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_SEQCTA CHAR(10) ;


/*-- SEQ 0209 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_TIPCTA CHAR(1) ;


/*-- SEQ 0210 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_CODFPS VARCHAR2(2) ;


/*-- SEQ 0211 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_CODCTR Number(5) ;


/*-- SEQ 0212 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_CODCUS Number(5) ;


/*-- SEQ 0213 --*/
-- Tarefa 89298 --
ALTER TABLE TW_TAB ADD STF_CODCFO Number(5) ;



/*-- SEQ 0214 --*/
-- Tarefa 89302 --
ALTER TABLE TD_FIL ADD CODSTF Number(5) ;

 
/*-- SEQ 0215 --*/
-- Tarefa 89302 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSTF FOREIGN KEY (CODSTF) REFERENCES TD_STF (CODTAB);

/*-- SEQ 0216 --*/
-- Tarefa 89302 --
CREATE INDEX I_FK_DFIL_DSTF ON TD_FIL (CODSTF) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0217 --*/
-- Tarefa 89399 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0218 --*/
ALTER TABLE TT_PRO ADD CODRGC Number(5) DEFAULT '0';

/*-- SEQ 0219 --*/
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0220 --*/
-- Tarefa 89399 -- 
ALTER TABLE TT_PRO MODIFY (CODRGC CONSTRAINT NN_PRO_CODRGC NOT NULL);

 
/*-- SEQ 0221 --*/
-- Tarefa 89399 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_DRGC FOREIGN KEY (CODRGC) REFERENCES TD_RGC (CODTAB);

/*-- SEQ 0222 --*/
-- Tarefa 89399 --
CREATE INDEX I_FK_PRO_DRGC ON TT_PRO (CODRGC) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0223 --*/
-- Tarefa 89396 --
CREATE TABLE TT_RXF (
  CODRGC Number(5),
  CODFIL CHAR(3),
  RESERV VARCHAR2(1)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0224 --*/
-- Tarefa 89396 --
ALTER TABLE TT_RXF MODIFY (RESERV DEFAULT 'T');
 
/*-- SEQ 0225 --*/ 
-- Tarefa 89396 --
ALTER TABLE TT_RXF ADD CONSTRAINT PK_RXF PRIMARY KEY (CODRGC,CODFIL);
  
/*-- SEQ 0226 --*/
-- Tarefa 89396 --
ALTER TABLE TT_RXF ADD CONSTRAINT FK_RXF_DRGC FOREIGN KEY (CODRGC) REFERENCES TD_RGC(CODTAB);

/*-- SEQ 0227 --*/
-- Tarefa 89396 --
ALTER TABLE TT_RXF ADD CONSTRAINT FK_RXF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0228 --*/
-- Tarefa 89396 --
CREATE INDEX I_FK_RXF_DRGC ON TT_RXF (CODRGC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0229 --*/
-- Tarefa 89396 --
CREATE INDEX I_FK_RXF_DFIL ON TT_RXF (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0230 --*/
-- Tarefa 89396 --
ALTER TABLE TT_RXF ADD CONSTRAINT CK_RXF_RESERV CHECK (RESERV IN ('T','F'));

/*-- SEQ 0231 --*/
-- Tarefa 89396 --
ALTER TABLE TT_RXF MODIFY (RESERV CONSTRAINT NN_RXF_RESERV NOT NULL);



/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89711 --
ALTER TABLE TT_TPR ADD FIL_CK CHAR(3) ;


/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89711 --
ALTER TABLE TT_TPR ADD CONSTRAINT FK_TPR_DFIL_CK FOREIGN KEY (FIL_CK) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89711 --
CREATE INDEX I_FK_TPR_DFIL_CK ON TT_TPR (FIL_CK) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0235 --*/
-- Tarefa 89711 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TPRFIL_CK', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TPRFIL_CK'));


/*-- SEQ 0236 --*/
-- Tarefa 89724 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0237 --*/
ALTER TABLE TT_CFG ADD FILTRA_FORNEC_PEDIDO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0238 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;
 
/*-- SEQ 0239 --*/
-- Tarefa 89724 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_FILTRA_FORNEC_PEDIDO CHECK (FILTRA_FORNEC_PEDIDO IN ('T','F'));
 
/*-- SEQ 0240 --*/
-- Tarefa 89724 -- 
ALTER TABLE TT_CFG MODIFY (FILTRA_FORNEC_PEDIDO CONSTRAINT NN_CFG_FILTRA_FORNEC_PEDIDO NOT NULL);

 
/*-- SEQ 0241 --*/
-- Tarefa 89724 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0242 --*/
ALTER TABLE TW_CFG ADD FILTRA_FORNEC_PEDIDO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0243 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0244 --*/
-- Tarefa 89717 --
ALTER TABLE TT_PRE ADD PERLUC Number(5,2) ;



/*-- SEQ 0245 --*/
-- Tarefa 89751 --
ALTER TABLE TT_CTB ADD NUMAGE_NOSNUM VARCHAR2(5) ;


/*-- SEQ 0246 --*/
-- Tarefa 89751 --
ALTER TABLE TT_CTB ADD DIGAGE_NOSNUM VARCHAR2(1) ;



/*-- SEQ 0247 --*/
-- Tarefa 88999 --
ALTER TABLE TT_CTBXCCB DISABLE ALL TRIGGERS;

/*-- SEQ 0248 --*/
ALTER TABLE TT_CTBXCCB ADD SEQREM Number(10) DEFAULT 0;

/*-- SEQ 0249 --*/
ALTER TABLE TT_CTBXCCB ENABLE ALL TRIGGERS;

/*-- SEQ 0250 --*/
-- Tarefa 88999 -- 
ALTER TABLE TT_CTBXCCB MODIFY (SEQREM CONSTRAINT NN_CTBXCCB_SEQREM NOT NULL);



/*-- SEQ 0251 --*/
-- Tarefa 89530 -- 
UPDATE TT_CTBXCCB SET SEQREM = SQ_ARQ_COBREBEM.NEXTVAL




/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89206 --
SELECT * FROM NADA;


/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89365 --
SELECT * FROM NADA;


/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89371 --
SELECT * FROM NADA;


/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR1;

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR2;

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR3;

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88485 --
ALTER TABLE TT_MPD DROP CONSTRAINT CK_MPD_VALOR4;






/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Daniel - Demora importa_pre Systextil --
CREATE INDEX I_LC_IPRE_CODEXT ON TI_PRE (CODEXT, CODFIL) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0260 --*/
-- Tarefa 90432 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CLI ADD FILEND CHAR(3) ;


/*-- SEQ 0261 --*/
-- Tarefa 90432 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CLI ADD NUMEND Number(4) ;


/*-- SEQ 0262 --*/
-- Tarefa 90432 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'WCLINUMEND', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'WCLINUMEND'));


/*-- SEQ 0263 --*/
-- Tarefa 90142 --
ALTER TABLE TT_PRO DROP CONSTRAINT CK_PRO_TIPMPB;

/*-- SEQ 0264 --*/
-- Tarefa 90142 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_TIPMPB CHECK (TIPMPB IN ('C','T','M','E','O','D','U','N','S','R','A'));


/*-- SEQ 0265 --*/
-- Tarefa 90867 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0266 --*/
-- Tarefa 90867 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'RTTTRGNUM', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'RTTTRGNUM'));

/*-- SEQ 0267 --*/
-- Tarefa 90867 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;

