
/*-- SEQ 0001 --*/
-- Tarefa 90578 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD ARREDONDAM VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0003 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90578 --
ALTER TABLE TT_CFG MODIFY (ARREDONDAM CONSTRAINT NN_CFG_ARREDONDAM NOT NULL);


/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90578 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ARREDONDAM CHECK (ARREDONDAM IN ('T','F'));

/*-- SEQ 0006 --*/
-- Tarefa 90578 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD ARREDONDAM VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0008 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
-- Tarefa 90459 --
ALTER TABLE TT_DXC ADD DIAFIX Number(2,0) ;


/*-- SEQ 0010 --*/
-- Tarefa 90459 --
ALTER TABLE TT_DXC ADD CONSTRAINT CK_DXC_DIAFIX CHECK ((DIAFIX >= 1) AND (DIAFIX <= 31) OR (DIAFIX IS NULL));


/*-- SEQ 0011 --*/
-- Tarefa 90567 --
ALTER TABLE TT_IOR DISABLE ALL TRIGGERS;

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD ICMTIP CHAR(1) DEFAULT '0';

/*-- SEQ 0013 --*/
ALTER TABLE TT_IOR ENABLE ALL TRIGGERS;

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90567 --
ALTER TABLE TT_IOR MODIFY (ICMTIP CONSTRAINT NN_IOR_ICMTIP NOT NULL);


/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90567 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_ICMTIP CHECK (ICMTIP IN ('0','1','2','3','4','5'));

/*-- SEQ 0016 --*/
-- Tarefa 90567 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD DESRAT Number(12,2) ;


/*-- SEQ 0017 --*/
-- Tarefa 90567 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD VLRSEG Number(12,2) ;


/*-- SEQ 0018 --*/
-- Tarefa 90567 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD BASIPI Number(12,2) ;


/*-- SEQ 0019 --*/
-- Tarefa 90567 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD VLRIPI Number(12,2) ;



/*-- SEQ 0020 --*/
-- Tarefa 90562 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD TRANSPICM VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0022 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90562 --
ALTER TABLE TT_CFG MODIFY (TRANSPICM CONSTRAINT NN_CFG_TRANSPICM NOT NULL);


/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90562 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TRANSPICM CHECK (TRANSPICM IN ('T','F'));

/*-- SEQ 0025 --*/
-- Tarefa 90562 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD TRANSPICM VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0027 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0028 --*/
-- Tarefa 90562 - Update para o Cliente PSC que nao usa essa configuracao --
UPDATE TT_CFG
   SET TRANSPICM = 'F' 
 WHERE (SELECT CGCFIL 
          FROM TD_FIL 
         WHERE CODFIL = '001') = '23496359000105';
		 
/*-- SEQ 0029 --*/
-- Tarefa 90562 - Update para o Cliente PSC que nao usa essa configuracao --
UPDATE TW_CFG
   SET TRANSPICM = 'F' 
 WHERE (SELECT CGCFIL 
          FROM TD_FIL 
         WHERE CODFIL = '001') = '23496359000105';


/*-- SEQ 0030 --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF DISABLE ALL TRIGGERS;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IUF ADD REGESPIMP VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0032 --*/
ALTER TABLE TT_IUF ENABLE ALL TRIGGERS;

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF MODIFY (REGESPIMP CONSTRAINT NN_IUF_REGESPIMP NOT NULL);


/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REGESPIMP CHECK (REGESPIMP IN ('T','F'));

/*-- SEQ 0035 --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF DISABLE ALL TRIGGERS;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IUF ADD REDICM VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0037 --*/
ALTER TABLE TT_IUF ENABLE ALL TRIGGERS;

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF MODIFY (REDICM CONSTRAINT NN_IUF_REDICM NOT NULL);


/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REDICM CHECK (REDICM IN ('T','F'));

/*-- SEQ 0040 --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF DISABLE ALL TRIGGERS;


/*-- SEQ 0041 --*/
-- Tarefa 90564 - Update para o Cliente TROK o unico usa essa configuracao --
UPDATE TT_IUF
   SET REGESPIMP = 'T' 
 WHERE '76596501000144' IN (SELECT CGCFIL 
                              FROM TD_FIL);
		 
/*-- SEQ 0042 --*/
-- Tarefa 90564 - Update para o Cliente PARIS que nao usa essa configuracao --
UPDATE TT_IUF
   SET REDICM = 'F' 
 WHERE (SELECT CGCFIL 
          FROM TD_FIL 
         WHERE CODFIL = '001') = '03938020000104';
		 
/*-- SEQ 0043 --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF ENABLE ALL TRIGGERS;


/*-- SEQ 0044 --*/
-- Tarefa 90585 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,371)||'N'||SUBSTR(PERMIS,373,9999);


/*-- SEQ 0045 --*/
-- Tarefa 90595 --
ALTER TABLE TT_IUF DROP CONSTRAINT CK_IUF_FLGRED;

/*-- SEQ 0046 --*/
-- Tarefa 90595 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_FLGRED CHECK (FLGRED IN ('C','J','R','E'));


/*-- SEQ 0047 --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD FILCOB CHAR(3) ;


/*-- SEQ 0048 --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD FILENT CHAR(3) ;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DFIL_FILCOB FOREIGN KEY (FILCOB) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DFIL_FILEND FOREIGN KEY (FILENT) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0051 --*/
-- Tarefa 90494 --
CREATE INDEX I_FK_FG_DFIL_FILCOB ON TT_CFG (FILCOB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0052 --*/
-- Tarefa 90494 --
CREATE INDEX I_FK_FG_DFIL_FILEND ON TT_CFG (FILENT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0053 --*/
-- Tarefa 90494 --
ALTER TABLE TW_CFG ADD FILCOB CHAR(3) ;


/*-- SEQ 0054 --*/
-- Tarefa 90494 --
ALTER TABLE TW_CFG ADD FILENT CHAR(3) ;



/*-- SEQ 0055 --*/
-- Tarefa 90482 --
ALTER TABLE TT_CFG ADD FIL_BASF CHAR(3) ;


/*-- SEQ 0056 --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD COD_BASF CHAR(6) ;


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_CLI_BASF FOREIGN KEY (FIL_BASF, COD_BASF) REFERENCES TT_CLI(FILCLI, CODCLI);

/*-- SEQ 0058 --*/
-- Tarefa 90494 --
CREATE INDEX I_FK_CFG_CLI_BASF ON TT_CFG (FIL_BASF, COD_BASF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0059 --*/
-- Tarefa 90482 --
ALTER TABLE TW_CFG ADD FIL_BASF CHAR(3) ;


/*-- SEQ 0060 --*/
-- Tarefa 90494 --
ALTER TABLE TW_CFG ADD COD_BASF CHAR(6) ;



/*-- SEQ 0061 --*/
-- Tarefa 90682 --
ALTER TABLE TD_FRE DROP CONSTRAINT CK_DFRE_TIPCOB;

/*-- SEQ 0062 --*/
-- Tarefa 90682 --
ALTER TABLE TD_FRE ADD CONSTRAINT CK_DFRE_TIPCOB CHECK (DFRE_TIPCOB IN ('V','E','P','Q','R'));


/*-- SEQ 0063 --*/
-- Tarefa 90601 --
ALTER TABLE TT_LOT DISABLE ALL TRIGGERS;

/*-- SEQ 0064 --*/
ALTER TABLE TT_LOT ADD FLGPON VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0065 --*/
ALTER TABLE TT_LOT ENABLE ALL TRIGGERS;

/*-- SEQ 0066 --*/
-- Tarefa 90601 --
ALTER TABLE TT_LOT MODIFY (FLGPON CONSTRAINT NN_LOT_FLGPON NOT NULL);


/*-- SEQ 0067 --*/
-- Tarefa 90601 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_FLGPON CHECK (FLGPON IN ('T','F'));


/*-- SEQ 0068 --*/
-- Tarefa 90739 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;

/*-- SEQ 0069 --*/
ALTER TABLE TT_VEN ADD FLGEXT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0070 --*/
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;

/*-- SEQ 0071 --*/
-- Tarefa 90739 --
ALTER TABLE TT_VEN MODIFY (FLGEXT CONSTRAINT NN_VEN_FLGEXT NOT NULL);


/*-- SEQ 0072 --*/
-- Tarefa 90739 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_FLGEXT CHECK (FLGEXT IN ('T','F'));


/*-- SEQ 0073 --*/
-- Tarefa 90603 --
ALTER TABLE TT_CPM ADD FILLOT CHAR(3) ;


/*-- SEQ 0074 --*/
-- Tarefa 90603 --
ALTER TABLE TT_CPM ADD SEQLOT CHAR(10) ;



/*-- SEQ 0075 --*/
-- Tarefa 90603 --
ALTER TABLE TT_CPM ADD CONSTRAINT FK_CPM_LOT FOREIGN KEY (FILLOT,SEQLOT ) REFERENCES TT_LOT (CODFIL, SEQUEN);


/*-- SEQ 0076 --*/
-- Tarefa 90764 --
CREATE INDEX I_LC_CCC_NUMDOC ON TT_CCC (NUMDOC) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0077 --*/
-- Tarefa 90867 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0078 --*/
-- Tarefa 90867 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'RTTTRGNUM', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'RTTTRGNUM'));

/*-- SEQ 0079 --*/
-- Tarefa 90867 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0080 --*/
-- Tarefa 90850 --
ALTER TABLE TT_PLA ADD JURFLX Number(6,4) ;


/*-- SEQ 0081 --*/
-- Tarefa 90850 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_JURFLX CHECK (JURFLX >= 0);


/*-- SEQ 0082 --*/
-- Tarefa 90796 --
CREATE TABLE TT_POR (
  CODFIL CHAR(3),
  TIPPED CHAR(1),
  NUMPED CHAR(8),
  NUMPAR CHAR(2),
  DATORI Date,
  DATVEN Date,
  VLRPAR Number(12,2),
  JURPAR Number(12,2)  
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0083 --*/ 
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT PK_POR PRIMARY KEY (CODFIL,TIPPED,NUMPED); 

/*-- SEQ 0084 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT FK_POR_ORC FOREIGN KEY (CODFIL,TIPPED,NUMPED) REFERENCES TT_ORC(CODFIL,TIPPED,NUMPED);
 
/*-- SEQ 0085 --*/
-- Tarefa 90796 --
/*--IGNORE ERRO--*/
CREATE INDEX I_FK_POR_ORC ON TT_POR (CODFIL,TIPPED,NUMPED) TABLESPACE TOTALL_INDEX;
  
/*-- SEQ 0086 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT CK_POR_NUMPAR CHECK (NUMPAR > 0);

/*-- SEQ 0087 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT CK_POR_VLRPAR CHECK (VLRPAR > 0);

/*-- SEQ 0088 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT CK_POR_DATORI CHECK (DATORI = TRUNC(DATORI));

/*-- SEQ 0089 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT CK_POR_DATVEN CHECK (DATVEN = TRUNC(DATVEN));

/*-- SEQ 0090 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR MODIFY (NUMPAR CONSTRAINT NN_POR_NUMPAR NOT NULL);


/*-- SEQ 0091 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR MODIFY (DATORI CONSTRAINT NN_POR_DATORI NOT NULL);


/*-- SEQ 0092 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR MODIFY (DATVEN CONSTRAINT NN_POR_DATVEN NOT NULL);


/*-- SEQ 0093 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR MODIFY (VLRPAR CONSTRAINT NN_POR_VLRPAR NOT NULL);


/*-- SEQ 0094 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR MODIFY (TIPPED DEFAULT '0');


/*-- SEQ 0095 --*/
-- Tarefa 90854 --
ALTER TABLE TT_ORC ADD JURPAR Number(12,2) ;



/*-- SEQ 0096 --*/ 
-- Tarefa 90796 --  
ALTER TABLE TT_POR DROP CONSTRAINT CK_POR_NUMPAR;  

/*-- SEQ 0097 --*/ 
-- Tarefa 90796 --  
ALTER TABLE TT_POR DROP CONSTRAINT PK_POR;

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
DROP INDEX PK_POR;  

/*-- SEQ 0099 --*/ 
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT PK_POR PRIMARY KEY (CODFIL,TIPPED,NUMPED,NUMPAR); 

  
/*-- SEQ 0100 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT CK_POR_NUMPAR CHECK (NUMPAR > 0);


/*-- SEQ 0101 --*/
-- Tarefa 90569 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD VLRIPIFRE Number(12,2) ;



/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90597 --
ALTER TABLE TT_CFG ADD FILPRE_REV CHAR(3) ;


/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90597 --
ALTER TABLE TT_CFG ADD CODPRE_REV Number(5) ;


/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90597 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_TPR_REV FOREIGN KEY (FILPRE_REV, CODPRE_REV) REFERENCES TT_TPR (CODFIL, CODPRE);

/*-- SEQ 0105 --*/
-- Tarefa 90597 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0106 --*/
-- Tarefa 90597 --
UPDATE TT_CFG
   SET FILPRE_REV = '001',
       CODPRE_REV = 4
 WHERE FILPRE_REV IS NULL
   AND EXISTS (SELECT 1 AS OK 
                 FROM TD_FIL FIL
                WHERE FIL.CODFIL = '006' --PCIA
                  AND FIL.CGCFIL = '07014198000373');

/*-- SEQ 0107 --*/
-- Tarefa 90597 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0108 --*/ 
-- Tarefa 90796 --  
ALTER TABLE TT_POR DROP CONSTRAINT CK_POR_NUMPAR;  


/*-- SEQ 0109 --*/ 
-- Tarefa 90494 --  
DROP INDEX I_FK_FG_DFIL_FILCOB;

/*-- SEQ 0110 --*/ 
-- Tarefa 90494 --  
DROP INDEX I_FK_FG_DFIL_FILEND;

/*-- SEQ 0111 --*/
-- Tarefa 90494 --
CREATE INDEX I_FK_CFG_DFIL_FILCOB ON TT_CFG (FILCOB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0112 --*/
-- Tarefa 90494 --
CREATE INDEX I_FK_CFG_DFIL_FILEND ON TT_CFG (FILENT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91098 --
select * from nada;


/*-- SEQ 0114 --*/
-- Tarefa 91154 --
ALTER TABLE TT_PLA ADD DIAFLX Number(5) ;


/*-- SEQ 0115 --*/
-- Tarefa 91154 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_DIAFLX CHECK ((DIAFLX >= 0) OR (DIAFLX IS NULL));


/*-- SEQ 0116 --*/
-- Tarefa 91098 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0117 --*/
-- Tarefa 91098 --
UPDATE TT_CFG
   SET CheckOut_VERMIN = '5.2F',
       CheckOut_RELMIN = 0;

/*-- SEQ 0118 --*/
-- Tarefa 91098 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0119 --*/
-- Tarefa 91351 --
CREATE INDEX I_LC_EDI_GRA ON TT_EDI (FILMAT,CODMAT,CODCOR,CODTAM,CODFIL,SEQUEN) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0120 --*/ 
-- Tarefa 91060 --  
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODORI;  

/*-- SEQ 0121 --*/ 
-- Tarefa 91060 --  
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_CODORI;  

/*-- SEQ 0122 --*/ 
-- Tarefa 91060 --  
ALTER TABLE TT_PRO DROP CONSTRAINT CK_PRO_ORIPRO;  

/*-- SEQ 0123 --*/
-- Tarefa 91060 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7','8'));

/*-- SEQ 0124 --*/
-- Tarefa 91060 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7','8'));

/*-- SEQ 0125 --*/
-- Tarefa 91060 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ORIPRO CHECK (ORIPRO IN ('0','1','2','3','4','5','6','7','8'));


/*-- SEQ 0126 --*/ 
-- DN - Casa Carneiro
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PAG ADD ESTCAN Date ;



/*-- SEQ 0127 --*/
-- Tarefa 90032 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '85075000',3,16,'T','- Fecho e armac.c/fecho,c/fech.d/met.comum '
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '85075000'));

/*-- SEQ 0128 --*/
-- Tarefa 90141 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433191',4,16,'T','-- Mq.p/imp.transm.d/fax,conect.p/process.p/sist.trmico'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433191'));

/*-- SEQ 0129 --*/
-- Tarefa 90141 --                       
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433199',4,16,'T','-- Outs.mq.p/imp.transm.d/fax,conects.p/proc.d/dados/rede'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433199'));

/*-- SEQ 0130 --*/
-- Tarefa 90141 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433119',4,16,'T','Outras'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433119'));

/*-- SEQ 0131 --*/
-- Tarefa 90310 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84439932',7,16,'T','Cilindros recobertos d/matria semicond. fotoeltrica'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84439932'));

/*-- SEQ 0132 --*/
-- Tarefa 90310 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84439933',7,16,'T',' Cartuchos de revelador (#toner#)'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84439933'));

/*-- SEQ 0133 --*/
-- Tarefa 89492 --                       
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433199',7,16,'T','Outs.Mq.P/Imp.Transm.d/Fax,Conects.p/Proc.d/Dados/Rede'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433199'));


/*-- SEQ 0134 --*/
-- Tarefa 91510 --
ALTER TABLE TT_IVE ADD VLRFLX Number(12,2) ;


/*-- SEQ 0135 --*/
-- Tarefa 91510 --
ALTER TABLE TT_VEN ADD VLRFLX Number(12,2) ;


/*-- SEQ 0136 --*/
-- Tarefa 91510 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0137 --*/
-- Tarefa 91510 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VENVLRFLX', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VENVLRFLX'));

/*-- SEQ 0138 --*/
-- Tarefa 91510 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0139 --*/
-- Tarefa 91126 --
ALTER TABLE TT_IVEXIPE ADD FILLOT CHAR(3) ;


/*-- SEQ 0140 --*/
-- Tarefa 91126 --
ALTER TABLE TT_IVEXIPE ADD SEQLOT CHAR(10) ;


/*-- SEQ 0141 --*/
-- Tarefa 91126 --
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT FK_IVEXIPE_LOT FOREIGN KEY (FILLOT, SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0142 --*/
-- Tarefa 91126 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0143 --*/
-- Tarefa 91126 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'IVEXIPELOT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'IVEXIPELOT'));

/*-- SEQ 0144 --*/
-- Tarefa 91126 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0145 --*/
-- Tarefa 91538 --
ALTER TABLE TT_KIT ADD NUMEXT_TINTA VARCHAR2(40) ;



/*-- SEQ 0146 --*/
-- Tarefa 91546--
ALTER TABLE TT_BSC DISABLE ALL TRIGGERS;

/*-- SEQ 0147 --*/
ALTER TABLE TT_BSC ADD FLGORI CHAR(1) DEFAULT 'S';

/*-- SEQ 0148 --*/
ALTER TABLE TT_BSC ENABLE ALL TRIGGERS;

/*-- SEQ 0149 --*/
-- Tarefa 91546 --
ALTER TABLE TT_BSC MODIFY (FLGORI CONSTRAINT NN_BSC_FLGORI NOT NULL);


/*-- SEQ 0150 --*/
-- Tarefa 91546--
ALTER TABLE TT_BSC ADD CONSTRAINT CK_BSC_FLGORI CHECK (FLGORI IN ('S','O'));


/*-- SEQ 0151 --*/
-- Tarefa 91563 --
ALTER TABLE GX_CFG ADD GX_CFGCOMMERCEWEBBASEURL VARCHAR2(40) ;


/*-- SEQ 0152 --*/
-- Tarefa 91563 --
ALTER TABLE GX_CFG ADD GX_CFGCOMMERCEWEBHOST VARCHAR2(40) ;


/*-- SEQ 0153 --*/
-- Tarefa 91563 --
ALTER TABLE GX_CFG ADD GX_CFGCOMMERCEWEBPORT Number(10) ;



/*-- SEQ 0154 --*/
-- Tarefa 91538 --
CREATE INDEX I_LC_KIT_EXT ON TT_KIT (NUMEXT_TINTA) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;

/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;

/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;


/*-- SEQ 0158 --*/
-- Tarefa 91698--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD ARRTRU CHAR(1) ;


/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91698--
ALTER TABLE TD_ECF ADD CONSTRAINT CK_ECF_ARRTRU CHECK ((ARRTRU IN ('A','T')) OR (ARRTRU IS NULL));

/*-- SEQ 0160 --*/
-- Tarefa 91698 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0161 --*/
-- Tarefa 91698 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DECFARRTRU', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DECFARRTRU'));

/*-- SEQ 0162 --*/
-- Tarefa 91698 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0163 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 91707 --  
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_NUMSEQ;  

/*-- SEQ 0164 --*/
-- Tarefa 91707 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0165 --*/
-- Tarefa 91707 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VTGNUMSEQ', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VTGNUMSEQ'));

/*-- SEQ 0166 --*/
-- Tarefa 91707 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0167 --*/
-- Tarefa 91688--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_PRI ADD SEREVI Number(1) ;


/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91688--
ALTER TABLE TD_PRI MODIFY ( SEREVI Number(2) );


/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE TABLE TT_NFE (
  nfe_id_Doc             Number(9),
  nfe_id_statusNFe       Number(9),
  nfe_id_chave           VARCHAR2(44),
  nfe_id_versao          VARCHAR2(10),
  nfe_id_UF              Number(9),
  nfe_nu_nNF             Number(9),
  nfe_nu_cNF             Number(9),
  nfe_ds_Modelo          VARCHAR2(2),
  nfe_nu_Serie           Number(4),
  nfe_dt_Emissao         Date,
  nfe_dt_SaiEnt          Date,
  nfe_tp_NF              Number(4),
  nfe_tp_Emissao         Number(4),
  nfe_tp_Impressao       Number(4),
  nfe_nu_DV              Number(4),
  nfe_tp_Amb             Number(4),
  nfe_tp_Finalidade      Number(4),
  nfe_tp_procEmi         Number(4),
  nfe_ds_CNPJemit        VARCHAR2(14),
  nfe_id_IEEmit          VARCHAR2(50),
  nfe_ds_CNPJdest        VARCHAR2(14),
  nfe_ds_IEDest          VARCHAR2(50),
  nfe_ds_UFDest          VARCHAR2(2),
  nfe_vl_total           Number(18,2),
  nfe_id_refNFe          VARCHAR2(44),
  nfe_vl_ICMSTotBC       Number(15,2),
  nfe_vl_ICMSTot         Number(15,2),
  nfe_vl_ICMSSTTot       Number(15,2),
  nfe_vl_ICMSSTTotBC     Number(15,2),
  nfe_vl_vProdTot        Number(15,2),
  nfe_vl_vFreteTot       Number(15,2),
  nfe_vl_vSegTot         Number(15,2),
  nfe_vl_vDescTot        Number(15,2),
  nfe_vl_vIITot          Number(15,2),
  nfe_vl_vIPITot         Number(15,2),
  nfe_vl_vPISTot         Number(15,2),
  nfe_vl_vCOFINSTot      Number(15,2),
  nfe_vl_vOutroTot       Number(15,2),
  nfe_fl_apuracao        Number(9),
  nfe_dt_apuracao        Date,
  nfe_CODFIL             CHAR(3)
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ADD CONSTRAINT PK_NFE PRIMARY KEY (nfe_id_Doc);

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_id_statusNFe CONSTRAINT NN_nfe_id_statusNFe NOT NULL);


/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_id_chave CONSTRAINT NN_nfe_id_chave NOT NULL);


/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_id_versao CONSTRAINT NN_nfe_id_versao NOT NULL);


/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_id_UF CONSTRAINT NN_nfe_id_UF NOT NULL);


/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_nu_nNF CONSTRAINT NN_nfe_nu_nNF NOT NULL);


/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_nu_cNF CONSTRAINT NN_nfe_nu_cNF NOT NULL);


/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_ds_Modelo CONSTRAINT NN_nfe_ds_Modelo NOT NULL);


/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_nu_Serie CONSTRAINT NN_nfe_nu_Serie NOT NULL);


/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_dt_Emissao CONSTRAINT NN_nfe_dt_Emissao NOT NULL);


/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_NF CONSTRAINT NN_nfe_tp_NF NOT NULL);


/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_Emissao CONSTRAINT NN_nfe_tp_Emissao NOT NULL);


/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_Impressao CONSTRAINT NN_nfe_tp_Impressao NOT NULL);


/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_nu_DV CONSTRAINT NN_nfe_nu_DV NOT NULL);


/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_Amb CONSTRAINT NN_nfe_tp_Amb NOT NULL);


/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_Finalidade CONSTRAINT NN_nfe_tp_Finalidade NOT NULL);


/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_procEmi CONSTRAINT NN_nfe_tp_procEmi NOT NULL);


/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_ds_CNPJemit CONSTRAINT NN_nfe_ds_CNPJemit NOT NULL);


/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_id_IEEmit CONSTRAINT NN_nfe_id_IEEmit NOT NULL);


/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_ds_UFDest CONSTRAINT NN_nfe_ds_UFDest NOT NULL);


/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_vl_total CONSTRAINT NN_nfe_vl_total NOT NULL);


/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_fl_apuracao CONSTRAINT NN_nfe_fl_apuracao NOT NULL);


/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_CODFIL CONSTRAINT NN_nfe_CODFIL NOT NULL);


/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_DT_EMISSAO;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_ID_CHAVE;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_CODFIL;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_NFE_DT_EMISSAO ON TT_NFE (nfe_ds_CNPJemit, nfe_dt_Emissao) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_NFE_ID_CHAVE ON TT_NFE (nfe_id_chave) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_FK_NFE_CODFIL ON TT_NFE (nfe_CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE TABLE TT_INF (
  inf_id_item            Number(9),
  nfe_id_Doc             Number(9),
  inf_ds_cProd           VARCHAR2(60),
  inf_vl_prod            Number(15,4),
  inf_nu_qCom            Number(15,4),
  inf_vl_vUnCom          Number(15,4),
  inf_nu_qTrib           Number(15,4),
  inf_vl_vUnTrib         Number(15,4),
  inf_nu_NCM             VARCHAR2(8),
  inf_fl_indTot          Number(9),
  inf_nu_CFOP            Number(4),
  inf_vl_frete           Number(15,4),
  inf_vl_desconto        Number(15,4),
  inf_vl_seguro          Number(15,4),
  inf_vl_outro           Number(15,4),
  inf_fl_ICMSOrig        Number(1),
  inf_nu_ICMSCST         Number(3),
  inf_fl_ICMSModBC       Number(9),
  inf_vl_ICMSpRedBC      Number(5,2),
  inf_vl_ICMSvBC         Number(15,4),
  inf_vl_ICMS            Number(15,4),
  inf_vl_ICMSAliq        Number(5,2),
  inf_vl_ICMSpCredSN     Number(5,2),
  inf_vl_ICMSvCredSN     Number(15,4),
  inf_fl_ICMSSTModBC     Number(9),
  inf_vl_ICMSSTpRedBC    Number(5,2),
  inf_vl_ICMSSTpmvaST    Number(5,2),
  inf_vl_ICMSSTvBC       Number(15,4),
  inf_vl_ICMSST          Number(15,4),
  inf_vl_ICMSSTAliq      Number(5,2),
  inf_vl_ICMSSTvBCRet    Number(15,4),
  inf_vl_ICMSSTvRet      Number(15,4),
  inf_nu_PISCST          Number(3),
  inf_vl_PISBC           Number(15,4),
  inf_vl_PIS             Number(15,4),
  inf_vl_PISAliq         Number(5,2),
  inf_vl_PISqBCProd      Number(15,4),
  inf_vl_PISvAliqProd    Number(15,4),
  inf_nu_COFINSCST       Number(3),
  inf_vl_COFINSBC        Number(15,4),
  inf_vl_COFINS          Number(15,4),
  inf_vl_COFINSAliq      Number(5,2),
  inf_vl_COFINSqBCProd   Number(15,4),
  inf_vl_COFINSvAliqProd Number(15,4),
  inf_nu_IPICST          Number(3),
  inf_vl_IPIBC           Number(15,4),
  inf_vl_IPI             Number(15,4),
  inf_vl_IPIAliq         Number(15,2),
  inf_vl_IPIqUnid        Number(15,4),
  inf_vl_IPIvUnid        Number(15,4),
  inf_vl_ISSQNBC         Number(15,4),
  inf_vl_ISSQN           Number(15,4),
  inf_vl_ISSQNAliq       Number(5,2),
  inf_vl_IIBC            Number(15,2),
  inf_vl_II              Number(15,2),
  inf_vl_IIvIOF          Number(15,2),
  inf_vl_IIvDespAdu      Number(15,2),
  inf_NUMITE             Number(5),
  inf_FILMAT             CHAR(3),
  inf_CODMAT             CHAR(5),
  inf_CODCOR             Number(5),
  inf_CODTAM             Number(5)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ADD CONSTRAINT PK_INF PRIMARY KEY (inf_id_item, nfe_id_Doc);

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_ds_cProd CONSTRAINT NN_inf_ds_cProd NOT NULL);


/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_vl_prod CONSTRAINT NN_inf_vl_prod NOT NULL);


/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_nu_qCom CONSTRAINT NN_inf_nu_qCom NOT NULL);


/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_vl_vUnCom CONSTRAINT NN_inf_vl_vUnCom NOT NULL);


/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_nu_qTrib CONSTRAINT NN_inf_nu_qTrib NOT NULL);


/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_vl_vUnTrib CONSTRAINT NN_inf_vl_vUnTrib NOT NULL);


/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_nu_NCM CONSTRAINT NN_inf_nu_NCM NOT NULL);


/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_fl_indTot CONSTRAINT NN_inf_fl_indTot NOT NULL);


/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_nu_CFOP CONSTRAINT NN_inf_nu_CFOP NOT NULL);


/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_fl_ICMSOrig CONSTRAINT NN_inf_fl_ICMSOrig NOT NULL);


/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_NUMITE CONSTRAINT NN_inf_NUMITE NOT NULL);


/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_FILMAT CONSTRAINT NN_inf_FILMAT NOT NULL);


/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_CODMAT CONSTRAINT NN_inf_CODMAT NOT NULL);


/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_CODCOR CONSTRAINT NN_inf_CODCOR NOT NULL);


/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_CODTAM CONSTRAINT NN_inf_CODTAM NOT NULL);


/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_INF_GRADE;

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_INF_GRADE ON TT_INF (inf_FILMAT, inf_CODMAT, inf_CODCOR, inf_CODTAM) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0218 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF DROP CONSTRAINT CK_ECF_TIPTOT;

/*-- SEQ 0219 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF ADD CONSTRAINT CK_ECF_TIPTOT CHECK (tiptot = 'O' AND (totali = 'ISEN' OR totali = 'NAOT' OR totali = 'DESC' OR totali = 'CANC' OR totali = 'I_NT' OR totali = 'SUBS' OR totali = 'ACRE') OR (tiptot = 'M' OR tiptot = 'S') AND totali <> 'ISEN' AND totali <> 'NAOT' AND totali <> 'DESC' AND totali <> 'CANC' AND totali <> 'I_NT' AND totali <> 'SUBS' AND totali <> 'ACRE');

/*-- SEQ 0220 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF DROP CONSTRAINT CK_ECF_TOTALI;

/*-- SEQ 0221 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF ADD CONSTRAINT CK_ECF_TOTALI CHECK (totali = 'ISEN' OR totali = 'NAOT' OR totali = 'CANC' OR totali = 'DESC' OR totali = 'I_NT' OR totali = 'SUBS' OR totali = 'ACRE' OR translate(totali, '1234567890', 'XXXXXXXXXX') = 'XXXX');

/*-- SEQ 0222 --*/
-- Tarefa 91941 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0223 --*/
-- Tarefa 91941 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TOTALIACRE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TOTALIACRE'));

/*-- SEQ 0224 --*/
-- Tarefa 91941 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0225 --*/
-- Tarefa 91918 --
ALTER TABLE TT_ITF ADD CONSTRAINT CK_ITF_VLRITE CHECK (VLRITE > 0);


/*-- SEQ 0226 --*/
-- Tarefa 91141 --
DROP INDEX I_UQ_CPM_PRE_PLA;

/*-- SEQ 0227 --*/
-- Tarefa 91141 --
CREATE UNIQUE INDEX I_UQ_CPM_PRE_PLA ON TT_CPM (FILPRE, SEQPRE, FILPGT, CODPGT, DATINI, DATVAL, FILPRO, FILLOT, SEQLOT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_REC MODIFY (FLGEST CONSTRAINT NN_IREC_FLGEST NOT NULL);


/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_REC MODIFY (CODMOE CONSTRAINT NN_IREC_CODMOE NOT NULL);



/*-- SEQ 0230 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (FILPRE CONSTRAINT NN_IVEN_FILPRE NOT NULL);


/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CODPRE CONSTRAINT NN_IVEN_CODPRE NOT NULL);


/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (FLGEST CONSTRAINT NN_IVEN_FLGEST NOT NULL);


/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (FLGTIP CONSTRAINT NN_IVEN_FLGTIP NOT NULL);


/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (TIPNOT CONSTRAINT NN_IVEN_TIPNOT NOT NULL);


/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CODUSU CONSTRAINT NN_IVEN_CODUSU NOT NULL);


/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CODVEN CONSTRAINT NN_IVEN_CODVEN NOT NULL);


/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CODCTR CONSTRAINT NN_IVEN_CODCTR NOT NULL);


/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (COMSOB CONSTRAINT NN_IVEN_COMSOB NOT NULL);


/*-- SEQ 0239 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (VLRNOT CONSTRAINT NN_IVEN_VLRNOT NOT NULL);


/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (AUTENT CONSTRAINT NN_IVEN_AUTENT NOT NULL);


/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CONSFI CONSTRAINT NN_IVEN_CONSFI NOT NULL);


/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (EMIDES CONSTRAINT NN_IVEN_EMIDES NOT NULL);


/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (TRIBUT CONSTRAINT NN_IVEN_TRIBUT NOT NULL);


/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (UFLOJA CONSTRAINT NN_IVEN_UFLOJA NOT NULL);


/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CNT_RO CONSTRAINT NN_IVEN_CNT_RO NOT NULL);



/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
DROP INDEX I_FK_TT_IVE;

/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
CREATE INDEX I_FK_IVE_DTRI ON TT_IVE (SITTRI) TABLESPACE TOTALL_INDEX; 


/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92559--
ALTER TABLE TT_BSC ADD CONSTRAINT CK_BSC_FLGEST CHECK (FLGEST IN ('A', 'P', 'C', 'F'));


/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_CODEXT ON TI_EAN (CODEXT, CODFIL, CODEAN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_STATUS ON TI_EAN (STATUS) TABLESPACE TOTALL_INDEX;

