
/*-- SEQ 0001 --*/
-- Tarefa 91068 --
CREATE INDEX I_LC_ORC_BUSCA ON TT_ORC (FLGEST, APROVA, APRCLI, TELEVE, CODFIL, DATVAL) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0002 --*/
-- Tarefa 90724 --
ALTER TABLE TT_BON ADD DATRES Date ;



/*-- SEQ 0003 --*/
-- Tarefa 90640--
ALTER TABLE TT_CLI ADD MAXBON Number(12,2) ;


/*-- SEQ 0004 --*/
-- Tarefa 90640--
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_MAXBON CHECK ((MAXBON >= 0) OR (MAXBON IS NULL));


/*-- SEQ 0005 --*/
-- Tarefa 90574--
ALTER TABLE TT_ORC DISABLE ALL TRIGGERS;

/*-- SEQ 0006 --*/
ALTER TABLE TT_ORC ADD FLGBON VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0007 --*/
ALTER TABLE TT_ORC ENABLE ALL TRIGGERS;

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90574 --
ALTER TABLE TT_ORC MODIFY (FLGBON CONSTRAINT NN_ORC_FLGBON NOT NULL);


/*-- SEQ 0009 --*/
-- Tarefa 90574--
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_FLGBON CHECK (FLGBON IN ('F','T'));


/*-- SEQ 0010 --*/
-- Tarefa 91065--
ALTER TABLE TT_CPM ADD DATINC Date ;


/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91065 --
UPDATE TT_CPM SET DATINC = agora();

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91065 --
ALTER TABLE TT_CPM MODIFY (DATINC CONSTRAINT NN_CPM_DATINC NOT NULL);


/*-- SEQ 0013 --*/
-- Tarefa 91065--
ALTER TABLE TT_CPM ADD QTDCPM Number(12,4) ;


/*-- SEQ 0014 --*/
-- Tarefa 91065--
ALTER TABLE TT_CPM ADD CONSTRAINT CK_CPM_QTDCPM CHECK ((QTDCPM >= 0) OR (QTDCPM IS NULL));


/*-- SEQ 0015 --*/
-- Tarefa 90737 --
ALTER TABLE TT_BON ADD FILCCC CHAR(3) ;


/*-- SEQ 0016 --*/
-- Tarefa 90737 --
ALTER TABLE TT_BON ADD SEQCCC CHAR(10) ;


/*-- SEQ 0017 --*/
-- Tarefa 90737 --
ALTER TABLE TT_BON ADD CONSTRAINT FK_BON_CCC FOREIGN KEY (FILCCC,SEQCCC) REFERENCES TT_CCC(CODFIL,SEQUEN);
 
/*-- SEQ 0018 --*/
-- Tarefa 90737 --
CREATE INDEX I_FK_BON_CCC ON TT_BON (FILCCC,SEQCCC) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0019 --*/
-- Tarefa 90570 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;

/*-- SEQ 0020 --*/
ALTER TABLE TT_GRA ADD USABON VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0021 --*/
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;

/*-- SEQ 0022 --*/
-- Tarefa 90570 --
ALTER TABLE TT_GRA MODIFY (USABON CONSTRAINT NN_GRA_USABON NOT NULL);


/*-- SEQ 0023 --*/
-- Tarefa 90570--
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_USABON  CHECK (USABON IN ('F','T'));

/*-- SEQ 0024 --*/
-- Tarefa 90570 --
ALTER TABLE TT_GRA ADD QTDBON Number(12,2) ;


/*-- SEQ 0025 --*/
-- Tarefa 90570--
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_QTDBON CHECK ((QTDBON >= 0) OR (QTDBON IS NULL));


/*-- SEQ 0026 --*/
-- Tarefa 90631 --
ALTER TABLE TT_CFG ADD VALOR_BON Number(12,2) ;


/*-- SEQ 0027 --*/
-- Tarefa 90631--
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_VALOR_BON CHECK ((VALOR_BON >= 0) OR (VALOR_BON IS NULL));

/*-- SEQ 0028 --*/
-- Tarefa 90631 --
ALTER TABLE TT_CFG ADD DATA_BONUS Date ;


/*-- SEQ 0029 --*/
-- Tarefa 90631 --
ALTER TABLE TT_CFG ADD DIAS_BONUS Number(3) ;


/*-- SEQ 0030 --*/
-- Tarefa 90631--
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DIAS_BONUS CHECK ((DIAS_BONUS >= 0) OR (DIAS_BONUS IS NULL));

/*-- SEQ 0031 --*/
-- Tarefa 90631 --
ALTER TABLE TW_CFG ADD VALOR_BON Number(12,2) ;


/*-- SEQ 0032 --*/
-- Tarefa 90631 --
ALTER TABLE TW_CFG ADD DATA_BONUS Date ;


/*-- SEQ 0033 --*/
-- Tarefa 90631 --
ALTER TABLE TW_CFG ADD DIAS_BONUS Number(3) ;



/*-- SEQ 0034 --*/ 
-- DN - Casa Carneiro
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PAG ADD ESTCAN Date ;



/*-- SEQ 0035 --*/
-- Tarefa 90032 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '85075000',3,16,'T','- Fecho e armac.c/fecho,c/fech.d/met.comum '
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '85075000'));

/*-- SEQ 0036 --*/
-- Tarefa 90141 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433191',4,16,'T','-- Mq.p/imp.transm.d/fax,conect.p/process.p/sist.trmico'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433191'));

/*-- SEQ 0037 --*/
-- Tarefa 90141 --                       
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433199',4,16,'T','-- Outs.mq.p/imp.transm.d/fax,conects.p/proc.d/dados/rede'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433199'));

/*-- SEQ 0038 --*/
-- Tarefa 90141 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433119',4,16,'T','Outras'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433119'));

/*-- SEQ 0039 --*/
-- Tarefa 90310 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84439932',7,16,'T','Cilindros recobertos d/matria semicond. fotoeltrica'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84439932'));

/*-- SEQ 0040 --*/
-- Tarefa 90310 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84439933',7,16,'T',' Cartuchos de revelador (#toner#)'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84439933'));

/*-- SEQ 0041 --*/
-- Tarefa 89492 --                       
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433199',7,16,'T','Outs.Mq.P/Imp.Transm.d/Fax,Conects.p/Proc.d/Dados/Rede'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433199'));


/*-- SEQ 0042 --*/
-- Tarefa 91126 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVEXIPE ADD FILLOT CHAR(3) ;


/*-- SEQ 0043 --*/
-- Tarefa 91126 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVEXIPE ADD SEQLOT CHAR(10) ;


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91126 --
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT FK_IVEXIPE_LOT FOREIGN KEY (FILLOT, SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0045 --*/
-- Tarefa 91126 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0046 --*/
-- Tarefa 91126 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'IVEXIPELOT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'IVEXIPELOT'));

/*-- SEQ 0047 --*/
-- Tarefa 91126 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0048 --*/
-- Tarefa 91538 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_KIT ADD NUMEXT_TINTA VARCHAR2(40) ;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91538 --
CREATE INDEX I_LC_KIT_EXT ON TT_KIT (NUMEXT_TINTA) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0050 --*/
-- Tarefa 91563 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGCOMMERCEWEBBASEURL VARCHAR2(40) ;


/*-- SEQ 0051 --*/
-- Tarefa 91563 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGCOMMERCEWEBHOST VARCHAR2(40) ;


/*-- SEQ 0052 --*/
-- Tarefa 91563 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGCOMMERCEWEBPORT Number(10) ;



/*-- SEQ 0053 --*/
-- Tarefa 91546--
ALTER TABLE TT_BSC DISABLE ALL TRIGGERS;

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BSC ADD FLGORI CHAR(1) DEFAULT 'S';

/*-- SEQ 0055 --*/
ALTER TABLE TT_BSC ENABLE ALL TRIGGERS;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91546 --
ALTER TABLE TT_BSC MODIFY (FLGORI CONSTRAINT NN_BSC_FLGORI NOT NULL);


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91546--
ALTER TABLE TT_BSC ADD CONSTRAINT CK_BSC_FLGORI CHECK (FLGORI IN ('S','O'));


/*-- SEQ 0058 --*/
-- Tarefa 91510 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD VLRFLX Number(12,2) ;


/*-- SEQ 0059 --*/
-- Tarefa 91510 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD VLRFLX Number(12,2) ;


/*-- SEQ 0060 --*/
-- Tarefa 91510 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0061 --*/
-- Tarefa 91510 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VENVLRFLX', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VENVLRFLX'));

/*-- SEQ 0062 --*/
-- Tarefa 91510 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;


/*-- SEQ 0066 --*/
-- Tarefa 91698--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD ARRTRU CHAR(1) ;


/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91698--
ALTER TABLE TD_ECF ADD CONSTRAINT CK_ECF_ARRTRU CHECK ((ARRTRU IN ('A','T')) OR (ARRTRU IS NULL));

/*-- SEQ 0068 --*/
-- Tarefa 91698 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0069 --*/
-- Tarefa 91698 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DECFARRTRU', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DECFARRTRU'));

/*-- SEQ 0070 --*/
-- Tarefa 91698 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0071 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 91707 --  
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_NUMSEQ;  

/*-- SEQ 0072 --*/
-- Tarefa 91707 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0073 --*/
-- Tarefa 91707 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VTGNUMSEQ', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VTGNUMSEQ'));

/*-- SEQ 0074 --*/
-- Tarefa 91707 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0075 --*/
-- Tarefa 91688--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_PRI ADD SEREVI Number(1) ;


/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91688--
ALTER TABLE TD_PRI MODIFY ( SEREVI Number(2) );


/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE TABLE TT_NFE (
  nfe_id_Doc             Number(9),
  nfe_id_statusNFe       Number(9),
  nfe_id_chave           VARCHAR2(44),
  nfe_id_versao          VARCHAR2(10),
  nfe_id_UF              Number(9),
  nfe_nu_nNF             Number(9),
  nfe_nu_cNF             Number(9),
  nfe_ds_Modelo          VARCHAR2(2),
  nfe_nu_Serie           Number(4),
  nfe_dt_Emissao         Date,
  nfe_dt_SaiEnt          Date,
  nfe_tp_NF              Number(4),
  nfe_tp_Emissao         Number(4),
  nfe_tp_Impressao       Number(4),
  nfe_nu_DV              Number(4),
  nfe_tp_Amb             Number(4),
  nfe_tp_Finalidade      Number(4),
  nfe_tp_procEmi         Number(4),
  nfe_ds_CNPJemit        VARCHAR2(14),
  nfe_id_IEEmit          VARCHAR2(50),
  nfe_ds_CNPJdest        VARCHAR2(14),
  nfe_ds_IEDest          VARCHAR2(50),
  nfe_ds_UFDest          VARCHAR2(2),
  nfe_vl_total           Number(18,2),
  nfe_id_refNFe          VARCHAR2(44),
  nfe_vl_ICMSTotBC       Number(15,2),
  nfe_vl_ICMSTot         Number(15,2),
  nfe_vl_ICMSSTTot       Number(15,2),
  nfe_vl_ICMSSTTotBC     Number(15,2),
  nfe_vl_vProdTot        Number(15,2),
  nfe_vl_vFreteTot       Number(15,2),
  nfe_vl_vSegTot         Number(15,2),
  nfe_vl_vDescTot        Number(15,2),
  nfe_vl_vIITot          Number(15,2),
  nfe_vl_vIPITot         Number(15,2),
  nfe_vl_vPISTot         Number(15,2),
  nfe_vl_vCOFINSTot      Number(15,2),
  nfe_vl_vOutroTot       Number(15,2),
  nfe_fl_apuracao        Number(9),
  nfe_dt_apuracao        Date,
  nfe_CODFIL             CHAR(3)
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ADD CONSTRAINT PK_NFE PRIMARY KEY (nfe_id_Doc);

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_id_statusNFe CONSTRAINT NN_nfe_id_statusNFe NOT NULL);


/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_id_chave CONSTRAINT NN_nfe_id_chave NOT NULL);


/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_id_versao CONSTRAINT NN_nfe_id_versao NOT NULL);


/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_id_UF CONSTRAINT NN_nfe_id_UF NOT NULL);


/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_nu_nNF CONSTRAINT NN_nfe_nu_nNF NOT NULL);


/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_nu_cNF CONSTRAINT NN_nfe_nu_cNF NOT NULL);


/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_ds_Modelo CONSTRAINT NN_nfe_ds_Modelo NOT NULL);


/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_nu_Serie CONSTRAINT NN_nfe_nu_Serie NOT NULL);


/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_dt_Emissao CONSTRAINT NN_nfe_dt_Emissao NOT NULL);


/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_NF CONSTRAINT NN_nfe_tp_NF NOT NULL);


/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_Emissao CONSTRAINT NN_nfe_tp_Emissao NOT NULL);


/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_Impressao CONSTRAINT NN_nfe_tp_Impressao NOT NULL);


/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_nu_DV CONSTRAINT NN_nfe_nu_DV NOT NULL);


/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_Amb CONSTRAINT NN_nfe_tp_Amb NOT NULL);


/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_Finalidade CONSTRAINT NN_nfe_tp_Finalidade NOT NULL);


/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_tp_procEmi CONSTRAINT NN_nfe_tp_procEmi NOT NULL);


/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_ds_CNPJemit CONSTRAINT NN_nfe_ds_CNPJemit NOT NULL);


/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_id_IEEmit CONSTRAINT NN_nfe_id_IEEmit NOT NULL);


/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_ds_UFDest CONSTRAINT NN_nfe_ds_UFDest NOT NULL);


/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_vl_total CONSTRAINT NN_nfe_vl_total NOT NULL);


/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_fl_apuracao CONSTRAINT NN_nfe_fl_apuracao NOT NULL);


/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE MODIFY (nfe_CODFIL CONSTRAINT NN_nfe_CODFIL NOT NULL);


/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_DT_EMISSAO;

/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_ID_CHAVE;

/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_CODFIL;

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_NFE_DT_EMISSAO ON TT_NFE (nfe_ds_CNPJemit, nfe_dt_Emissao) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_NFE_ID_CHAVE ON TT_NFE (nfe_id_chave) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_FK_NFE_CODFIL ON TT_NFE (nfe_CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE TABLE TT_INF (
  inf_id_item            Number(9),
  nfe_id_Doc             Number(9),
  inf_ds_cProd           VARCHAR2(60),
  inf_vl_prod            Number(15,4),
  inf_nu_qCom            Number(15,4),
  inf_vl_vUnCom          Number(15,4),
  inf_nu_qTrib           Number(15,4),
  inf_vl_vUnTrib         Number(15,4),
  inf_nu_NCM             VARCHAR2(8),
  inf_fl_indTot          Number(9),
  inf_nu_CFOP            Number(4),
  inf_vl_frete           Number(15,4),
  inf_vl_desconto        Number(15,4),
  inf_vl_seguro          Number(15,4),
  inf_vl_outro           Number(15,4),
  inf_fl_ICMSOrig        Number(1),
  inf_nu_ICMSCST         Number(3),
  inf_fl_ICMSModBC       Number(9),
  inf_vl_ICMSpRedBC      Number(5,2),
  inf_vl_ICMSvBC         Number(15,4),
  inf_vl_ICMS            Number(15,4),
  inf_vl_ICMSAliq        Number(5,2),
  inf_vl_ICMSpCredSN     Number(5,2),
  inf_vl_ICMSvCredSN     Number(15,4),
  inf_fl_ICMSSTModBC     Number(9),
  inf_vl_ICMSSTpRedBC    Number(5,2),
  inf_vl_ICMSSTpmvaST    Number(5,2),
  inf_vl_ICMSSTvBC       Number(15,4),
  inf_vl_ICMSST          Number(15,4),
  inf_vl_ICMSSTAliq      Number(5,2),
  inf_vl_ICMSSTvBCRet    Number(15,4),
  inf_vl_ICMSSTvRet      Number(15,4),
  inf_nu_PISCST          Number(3),
  inf_vl_PISBC           Number(15,4),
  inf_vl_PIS             Number(15,4),
  inf_vl_PISAliq         Number(5,2),
  inf_vl_PISqBCProd      Number(15,4),
  inf_vl_PISvAliqProd    Number(15,4),
  inf_nu_COFINSCST       Number(3),
  inf_vl_COFINSBC        Number(15,4),
  inf_vl_COFINS          Number(15,4),
  inf_vl_COFINSAliq      Number(5,2),
  inf_vl_COFINSqBCProd   Number(15,4),
  inf_vl_COFINSvAliqProd Number(15,4),
  inf_nu_IPICST          Number(3),
  inf_vl_IPIBC           Number(15,4),
  inf_vl_IPI             Number(15,4),
  inf_vl_IPIAliq         Number(15,2),
  inf_vl_IPIqUnid        Number(15,4),
  inf_vl_IPIvUnid        Number(15,4),
  inf_vl_ISSQNBC         Number(15,4),
  inf_vl_ISSQN           Number(15,4),
  inf_vl_ISSQNAliq       Number(5,2),
  inf_vl_IIBC            Number(15,2),
  inf_vl_II              Number(15,2),
  inf_vl_IIvIOF          Number(15,2),
  inf_vl_IIvDespAdu      Number(15,2),
  inf_NUMITE             Number(5),
  inf_FILMAT             CHAR(3),
  inf_CODMAT             CHAR(5),
  inf_CODCOR             Number(5),
  inf_CODTAM             Number(5)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ADD CONSTRAINT PK_INF PRIMARY KEY (inf_id_item, nfe_id_Doc);

/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_ds_cProd CONSTRAINT NN_inf_ds_cProd NOT NULL);


/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_vl_prod CONSTRAINT NN_inf_vl_prod NOT NULL);


/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_nu_qCom CONSTRAINT NN_inf_nu_qCom NOT NULL);


/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_vl_vUnCom CONSTRAINT NN_inf_vl_vUnCom NOT NULL);


/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_nu_qTrib CONSTRAINT NN_inf_nu_qTrib NOT NULL);


/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_vl_vUnTrib CONSTRAINT NN_inf_vl_vUnTrib NOT NULL);


/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_nu_NCM CONSTRAINT NN_inf_nu_NCM NOT NULL);


/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_fl_indTot CONSTRAINT NN_inf_fl_indTot NOT NULL);


/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_nu_CFOP CONSTRAINT NN_inf_nu_CFOP NOT NULL);


/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_fl_ICMSOrig CONSTRAINT NN_inf_fl_ICMSOrig NOT NULL);


/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_NUMITE CONSTRAINT NN_inf_NUMITE NOT NULL);


/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_FILMAT CONSTRAINT NN_inf_FILMAT NOT NULL);


/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_CODMAT CONSTRAINT NN_inf_CODMAT NOT NULL);


/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_CODCOR CONSTRAINT NN_inf_CODCOR NOT NULL);


/*-- SEQ 0123 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF MODIFY (inf_CODTAM CONSTRAINT NN_inf_CODTAM NOT NULL);


/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_INF_GRADE;

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_INF_GRADE ON TT_INF (inf_FILMAT, inf_CODMAT, inf_CODCOR, inf_CODTAM) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0126 --*/
-- Tarefa 91845 --
CREATE TABLE TT_LCK (
  LCKDOC    VARCHAR2(20),  
  LCKDAT    Date,
  LCKFIL    VARCHAR2(3),
  LCKECF    VARCHAR2(3),
  LCKUSU    VARCHAR2(30),
  LCKOBS    VARCHAR2(254), 
  LCKTRN    Number(12,0)
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0127 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK ADD CONSTRAINT PK_LCK PRIMARY KEY (LCKDOC);

/*-- SEQ 0128 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK MODIFY (LCKDAT CONSTRAINT NN_LCKDAT NOT NULL);


/*-- SEQ 0129 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK MODIFY (LCKFIL CONSTRAINT NN_LCKFIL NOT NULL);


/*-- SEQ 0130 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK MODIFY (LCKECF CONSTRAINT NN_LCKECF NOT NULL);


/*-- SEQ 0131 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK MODIFY (LCKUSU CONSTRAINT NN_LCKUSU NOT NULL);


/*-- SEQ 0132 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK MODIFY (LCKOBS CONSTRAINT NN_LCKOBS NOT NULL);


/*-- SEQ 0133 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK MODIFY (LCKTRN CONSTRAINT NN_LCKTRN NOT NULL);



/*-- SEQ 0134 --*/
-- Tarefa 91764 --
ALTER TABLE TT_GRA ADD FILRES CHAR(3) ;


/*-- SEQ 0135 --*/
-- Tarefa 91764 --
ALTER TABLE TT_GRA ADD CONSTRAINT FK_GRA_DFIL_FILRES FOREIGN KEY (FILRES) REFERENCES TD_FIL(CODFIL);
 
/*-- SEQ 0136 --*/
-- Tarefa 91764 --
CREATE INDEX I_FK_GRA_DFIL_FILRES ON TT_GRA (FILRES) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0137 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF DROP CONSTRAINT CK_ECF_TIPTOT;

/*-- SEQ 0138 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF ADD CONSTRAINT CK_ECF_TIPTOT CHECK (tiptot = 'O' AND (totali = 'ISEN' OR totali = 'NAOT' OR totali = 'DESC' OR totali = 'CANC' OR totali = 'I_NT' OR totali = 'SUBS' OR totali = 'ACRE') OR (tiptot = 'M' OR tiptot = 'S') AND totali <> 'ISEN' AND totali <> 'NAOT' AND totali <> 'DESC' AND totali <> 'CANC' AND totali <> 'I_NT' AND totali <> 'SUBS' AND totali <> 'ACRE');

/*-- SEQ 0139 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF DROP CONSTRAINT CK_ECF_TOTALI;

/*-- SEQ 0140 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF ADD CONSTRAINT CK_ECF_TOTALI CHECK (totali = 'ISEN' OR totali = 'NAOT' OR totali = 'CANC' OR totali = 'DESC' OR totali = 'I_NT' OR totali = 'SUBS' OR totali = 'ACRE' OR translate(totali, '1234567890', 'XXXXXXXXXX') = 'XXXX');

/*-- SEQ 0141 --*/
-- Tarefa 91941 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0142 --*/
-- Tarefa 91941 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TOTALIACRE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TOTALIACRE'));

/*-- SEQ 0143 --*/
-- Tarefa 91941 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91918 --
ALTER TABLE TT_ITF ADD CONSTRAINT CK_ITF_VLRITE CHECK (VLRITE > 0);


/*-- SEQ 0145 --*/
-- Tarefa 91141 --
DROP INDEX I_UQ_CPM_PRE_PLA;

/*-- SEQ 0146 --*/
-- Tarefa 91141 --
CREATE UNIQUE INDEX I_UQ_CPM_PRE_PLA ON TT_CPM (FILPRE, SEQPRE, FILPGT, CODPGT, DATINI, DATVAL, FILPRO, FILLOT, SEQLOT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_REC MODIFY (FLGEST CONSTRAINT NN_IREC_FLGEST NOT NULL);


/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_REC MODIFY (CODMOE CONSTRAINT NN_IREC_CODMOE NOT NULL);



/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (FILPRE CONSTRAINT NN_IVEN_FILPRE NOT NULL);


/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CODPRE CONSTRAINT NN_IVEN_CODPRE NOT NULL);


/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (FLGEST CONSTRAINT NN_IVEN_FLGEST NOT NULL);


/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (FLGTIP CONSTRAINT NN_IVEN_FLGTIP NOT NULL);


/*-- SEQ 0153 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (TIPNOT CONSTRAINT NN_IVEN_TIPNOT NOT NULL);


/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CODUSU CONSTRAINT NN_IVEN_CODUSU NOT NULL);


/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CODVEN CONSTRAINT NN_IVEN_CODVEN NOT NULL);


/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CODCTR CONSTRAINT NN_IVEN_CODCTR NOT NULL);


/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (COMSOB CONSTRAINT NN_IVEN_COMSOB NOT NULL);


/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (VLRNOT CONSTRAINT NN_IVEN_VLRNOT NOT NULL);


/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (AUTENT CONSTRAINT NN_IVEN_AUTENT NOT NULL);


/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CONSFI CONSTRAINT NN_IVEN_CONSFI NOT NULL);


/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (EMIDES CONSTRAINT NN_IVEN_EMIDES NOT NULL);


/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (TRIBUT CONSTRAINT NN_IVEN_TRIBUT NOT NULL);


/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (UFLOJA CONSTRAINT NN_IVEN_UFLOJA NOT NULL);


/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN MODIFY (CNT_RO CONSTRAINT NN_IVEN_CNT_RO NOT NULL);



/*-- SEQ 0165 --*/
-- Tarefa 92088--
ALTER TABLE TT_CFG ADD NATBON Number(5) ;


/*-- SEQ 0166 --*/
-- Tarefa 92088 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_NAT_NATBON FOREIGN KEY (NATBON) REFERENCES TD_NAT(CODTAB);
 
/*-- SEQ 0167 --*/
-- Tarefa 92088 --
CREATE INDEX I_FK_CFG_NAT_NATBON ON TT_CFG (NATBON) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0168 --*/
-- Tarefa 92088--
ALTER TABLE TW_CFG ADD NATBON Number(5) ;



/*-- SEQ 0169 --*/
-- Tarefa 92199--
ALTER TABLE TT_PRO ADD SITPISCOM CHAR(2) ;


/*-- SEQ 0170 --*/
-- Tarefa 92199--
ALTER TABLE TT_PRO ADD SITCOFCOM CHAR(2) ;



/*-- SEQ 0171 --*/
-- Tarefa 92160--
ALTER TABLE TT_CFG ADD CLI_VLRVEN_BON Number(12,2) ;


/*-- SEQ 0172 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_VLRVEN_BON CHECK ((CLI_VLRVEN_BON >= 0) OR (CLI_VLRVEN_BON IS NULL));

/*-- SEQ 0173 --*/
-- Tarefa 92160--
ALTER TABLE TW_CFG ADD CLI_VLRVEN_BON Number(12,2) ;


/*-- SEQ 0174 --*/
-- Tarefa 92160--
ALTER TABLE TT_CFG ADD CLI_QTDBON Number(12,2) ;


/*-- SEQ 0175 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_QTDBON CHECK ((CLI_QTDBON >= 0) OR (CLI_QTDBON IS NULL));

/*-- SEQ 0176 --*/
-- Tarefa 92160--
ALTER TABLE TW_CFG ADD CLI_QTDBON Number(12,2) ;



/*-- SEQ 0177 --*/
-- Tarefa 92167--
ALTER TABLE TT_BON DISABLE ALL TRIGGERS;

/*-- SEQ 0178 --*/
ALTER TABLE TT_BON ADD TIPBON CHAR(1) DEFAULT 'O';

/*-- SEQ 0179 --*/
ALTER TABLE TT_BON ENABLE ALL TRIGGERS;

/*-- SEQ 0180 --*/
-- Tarefa 92167 --
ALTER TABLE TT_BON ADD CONSTRAINT CK_BON_TIPBON CHECK (TIPBON IN ('O','X'));

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92167 --
ALTER TABLE TT_BON MODIFY (TIPBON CONSTRAINT NN_BON_TIPBON NOT NULL);



/*-- SEQ 0182 --*/
-- Tarefa 92162--
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;

/*-- SEQ 0183 --*/
ALTER TABLE TT_CLI ADD VENBON Number(12,2) DEFAULT 0;

/*-- SEQ 0184 --*/
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;


/*-- SEQ 0185 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_CLI_VLRVEN_BON;

/*-- SEQ 0186 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_CLI_QTDBON;

/*-- SEQ 0187 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_VLRVEN_BON CHECK ((CLI_VLRVEN_BON > 0) OR (CLI_VLRVEN_BON IS NULL));

/*-- SEQ 0188 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_QTDBON CHECK ((CLI_QTDBON > 0) OR (CLI_QTDBON IS NULL));


/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
DROP INDEX I_FK_TT_IVE;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
CREATE INDEX I_FK_IVE_DTRI ON TT_IVE (SITTRI) TABLESPACE TOTALL_INDEX; 


/*-- SEQ 0191 --*/
-- Tarefa 92541--
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CFCONTRIPJ VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0193 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0194 --*/
-- Tarefa 92541--
ALTER TABLE TT_CFG MODIFY (CFCONTRIPJ CONSTRAINT NN_CFG_CFCONTRIPJ NOT NULL);


/*-- SEQ 0195 --*/
-- Tarefa 92541--
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CFCONTRIPJ CHECK (CFCONTRIPJ IN ('T', 'F'));

/*-- SEQ 0196 --*/
-- Tarefa 92541 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0197 --*/
-- Tarefa 92541 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CFCONTRIPJ', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CFCONTRIPJ'));

/*-- SEQ 0198 --*/
-- Tarefa 92541 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92559--
ALTER TABLE TT_BSC ADD CONSTRAINT CK_BSC_FLGEST CHECK (FLGEST IN ('A', 'P', 'C', 'F'));


/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_CODEXT ON TI_EAN (CODEXT, CODFIL, CODEAN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_STATUS ON TI_EAN (STATUS) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0202 --*/
-- Tarefa 90347 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '2710125', 6, 5, 'T', 'Gasolina automotiva'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '2710125'));


/*-- SEQ 0203 --*/
-- Tarefa 92904 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD SUBSTT_FUT Number(12,2) ;


/*-- SEQ 0204 --*/
-- Tarefa 92904 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUBSTT_FUT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUBSTT_FUT'));


/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE TABLE TT_ACM (
    CODFIL	CHAR(3),
    SEQUEN	CHAR(10),
    SITMOV	CHAR(1),
    FILUSU	CHAR(3),
    CODUSU	CHAR(3),
    FILMAT	CHAR(3),
    CODMAT	CHAR(5),
    CODCOR	Number(5,0),
    CODTAM	Number(5,0),
    DATINC	Date,
    ATU_EM	Date,
    DATAJU	Date,
    VLRAJU	Number(16,4),
    DOCUME	CHAR(17),
    ORD_CM	Number(10,0),
    TOT_CM	Number(16,4),
    TOTCMG	Number(16,4),
    SAL_CM	Number(16,4),
    OBSERV	VARCHAR2(4000)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT PK_ACM PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (SITMOV CONSTRAINT NN_ACM_SITMOV NOT NULL);


/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (FILUSU CONSTRAINT NN_ACM_FILUSU NOT NULL);


/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (CODUSU CONSTRAINT NN_ACM_CODUSU NOT NULL);


/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (FILMAT CONSTRAINT NN_ACM_FILMAT NOT NULL);


/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (CODMAT CONSTRAINT NN_ACM_CODMAT NOT NULL);


/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (CODCOR CONSTRAINT NN_ACM_CODCOR NOT NULL);


/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (CODTAM CONSTRAINT NN_ACM_CODTAM NOT NULL);


/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (DATINC CONSTRAINT NN_ACM_DATINC NOT NULL);


/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (ATU_EM CONSTRAINT NN_ACM_ATU_EM NOT NULL);


/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (DATAJU CONSTRAINT NN_ACM_DATAJU NOT NULL);


/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (VLRAJU CONSTRAINT NN_ACM_VLRAJU NOT NULL);


/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (DOCUME CONSTRAINT NN_ACM_DOCUME NOT NULL);


/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_DFIL ON TT_ACM (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM ) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_GRA ON TT_ACM (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_USU ON TT_ACM (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (SITMOV DEFAULT 'N');

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
ALTER TABLE TT_ACM MODIFY (VLRAJU DEFAULT 0);

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
ALTER TABLE TT_ACM ADD CONSTRAINT CK_ACM_SITMOV CHECK (SITMOV IN ('N','C'));

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
CREATE SEQUENCE SQACM INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0229 --*/
-- Tarefa 93191 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0230 --*/
-- Tarefa 93191 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FRETESEMSU', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FRETESEMSU'));

/*-- SEQ 0231 --*/
-- Tarefa 93191 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0232 --*/
-- Tarefa 93190 --
ALTER TABLE TT_IOR DISABLE ALL TRIGGERS;

/*-- SEQ 0233 --*/
ALTER TABLE TT_IOR ADD VLRFREORI Number(12,2) DEFAULT 0;

/*-- SEQ 0234 --*/
ALTER TABLE TT_IOR ENABLE ALL TRIGGERS;


/*-- SEQ 0235 --*/
-- Tarefa 93176 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD REGRA_CODFIS Number(1) DEFAULT 1;

/*-- SEQ 0237 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0238 --*/
-- Tarefa 93176 --
ALTER TABLE TT_CFG MODIFY (REGRA_CODFIS CONSTRAINT NN_REGRA_CODFIS NOT NULL);



/*-- SEQ 0239 --*/
-- Tarefa 93158 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_GRA ADD CODFIS VARCHAR2(60) ;


/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;


/*-- SEQ 0244 --*/
-- Tarefa 93289--
ALTER TABLE TT_IUF ADD REDINT Number(5,2) ;


/*-- SEQ 0245 --*/
-- Tarefa 93289--
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REDINT CHECK (REDINT >= 0);

/*-- SEQ 0246 --*/
-- Tarefa 93289 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REDINT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REDINT'));                                


/*-- SEQ 0247 --*/
-- Tarefa 93299--
ALTER TABLE TT_IVEXIPE DISABLE ALL TRIGGERS;


/*-- SEQ 0248 --*/
-- Tarefa 93299 --
UPDATE TT_IVEXIPE IVEXIPE SET FLGEST = 'C' 
    WHERE IVEXIPE.FLGEST <> 'C'  
      AND EXISTS(SELECT IOR.CODFIL  FROM TT_IOR IOR 
                              INNER JOIN TT_ORC ORC ON ORC.CODFIL=IOR.CODFIL
                                                   AND ORC.NUMPED=IOR.NUMPED
                                                   AND ORC.TIPPED=IOR.TIPPED
                             WHERE IOR.CODFIL = IVEXIPE.FILPED
                               AND IOR.NUMPED = IVEXIPE.NUMPED
                               AND IOR.TIPPED = IVEXIPE.TIPPED
                               AND IOR.NUMITE = IVEXIPE.NUMITE
                               AND IOR.FLGENC <> 'T'
                               AND IOR.TIPENT IN ('5','7')
                               AND ORC.APROVA <> 'A');
                               
/*-- SEQ 0249 --*/
-- Tarefa 93299--                  
ALTER TABLE TT_IVEXIPE ENABLE ALL TRIGGERS;                                  


/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;


/*-- SEQ 0252 --*/
-- Tarefa 93388 --
CREATE TABLE TM_ABA (
  CODFIL CHAR(3),
  CODABA CHAR(10),
  FLGNEW CHAR(1)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0253 --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA MODIFY (CODFIL CONSTRAINT NN_MABA_CODFIL NOT NULL);
  

/*-- SEQ 0254 --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA MODIFY (CODABA CONSTRAINT NN_MABA_CODABA NOT NULL);
 

/*-- SEQ 0255 --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA MODIFY (FLGNEW CONSTRAINT NN_MABA_FLGNEW NOT NULL);
 
 
/*-- SEQ 0256 --*/ 
-- Tarefa 93388 --
ALTER TABLE TM_ABA ADD CONSTRAINT PK_MABA PRIMARY KEY (CODFIL, CODABA);

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ADD CONSTRAINT CK_MABA_FLGNEW CHECK (FLGNEW IN ('P','C','N','A','B'));

/*-- SEQ 0258 --*/
-- Tarefa 93388 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TM_ABA', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TM_ABA'));


/*-- SEQ 0259 --*/
-- Tarefa 93423--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NCM ADD CODEXT VARCHAR2(20) ;



/*-- SEQ 0260 --*/
-- Tarefa 93683 --
CREATE TABLE TT_TIN (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    DATINC Date,
    ATU_EM Date,
    DESCRI VARCHAR2(100),
    DESGRU VARCHAR2(100),
    NOMCOR VARCHAR2(100),
    DESCOR VARCHAR2(100),
    DESBAS VARCHAR2(100),
    DESEMB VARCHAR2(100),
    DESMAT VARCHAR2(30),
    ESPMAT VARCHAR2(30),
    FLGEST VARCHAR2(1),
    CODEXT VARCHAR2(20)
) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0261 --*/ 
-- Tarefa 93683 --
ALTER TABLE TT_TIN ADD CONSTRAINT PK_TIN PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0262 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESCRI ON TT_TIN (DESCRI) TABLESPACE TOTALL_INDEX;
 
/*-- SEQ 0263 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESGRU ON TT_TIN (DESGRU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0264 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_NOMCOR ON TT_TIN (NOMCOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0265 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESCOR ON TT_TIN (DESCOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0266 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESBAS ON TT_TIN (DESBAS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0267 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESEMB ON TT_TIN (DESEMB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0268 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DATINC ON TT_TIN (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0269 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_ATU_EM ON TT_TIN (ATU_EM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0270 --*/
-- Tarefa 93683 --
CREATE UNIQUE INDEX I_UQ_TIN_CODEXT ON TT_TIN (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0271 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (DATINC CONSTRAINT NN_TIN_DATINC NOT NULL);
  

/*-- SEQ 0272 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (ATU_EM CONSTRAINT NN_TIN_ATU_EM NOT NULL);
 
 
/*-- SEQ 0273 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (DESCRI CONSTRAINT NN_TIN_DESCRI NOT NULL);
 
 
/*-- SEQ 0274 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (DESMAT CONSTRAINT NN_TIN_DESMAT NOT NULL);
  

/*-- SEQ 0275 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (ESPMAT CONSTRAINT NN_TIN_ESPMAT NOT NULL);
  

/*-- SEQ 0276 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (CODEXT CONSTRAINT NN_TIN_CODEXT NOT NULL);
  

/*-- SEQ 0277 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (FLGEST CONSTRAINT NN_TIN_FLGEST NOT NULL);
  

/*-- SEQ 0278 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ADD CONSTRAINT CK_TIN_FLGEST CHECK (FLGEST IN ('C','A'));

/*-- SEQ 0279 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (FLGEST DEFAULT 'A');

/*-- SEQ 0280 --*/
-- Tarefa 93683 --
CREATE SEQUENCE SQTIN INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0281 --*/
-- Tarefa 93689--
ALTER TABLE TT_BSC ADD FILTIN CHAR(3) ;


/*-- SEQ 0282 --*/
-- Tarefa 93689--
ALTER TABLE TT_BSC ADD SEQTIN CHAR(10) ;


/*-- SEQ 0283 --*/
-- Tarefa 93689 --
ALTER TABLE TT_BSC ADD CONSTRAINT FK_BSC_TIN FOREIGN KEY (FILTIN, SEQTIN) REFERENCES TT_TIN(CODFIL, SEQUEN);
 
/*-- SEQ 0284 --*/
-- Tarefa 93689 --
CREATE INDEX I_FK_BSC_TIN ON TT_BSC (FILTIN, SEQTIN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0285 --*/
-- Tarefa 93689 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0286 --*/
-- Tarefa 93689 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TINTAS', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TINTAS'));

/*-- SEQ 0287 --*/
-- Tarefa 93689 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0288 --*/
-- Tarefa 93687 --
CREATE TABLE TT_ITI (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    NUMITE Number(5),
    FILCXS CHAR(3),
    ID_CXS Number(10),
    QTDITE Number(16,4),
    TIPITI VARCHAR2(1)
) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0289 --*/ 
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT PK_ITI PRIMARY KEY (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0290 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT FK_ITI_TIN FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_TIN(CODFIL, SEQUEN);
 
/*-- SEQ 0291 --*/
-- Tarefa 93687 --
CREATE INDEX I_FK_ITI_TIN ON TT_ITI (CODFIL, SEQUEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0292 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT FK_ITI_GRAXSC FOREIGN KEY (FILCXS, ID_CXS) REFERENCES TT_GRAXSC(CODFIL, ID);
 
/*-- SEQ 0293 --*/
-- Tarefa 93687 --
CREATE INDEX I_FK_ITI_GRAXSC ON TT_ITI (FILCXS, ID_CXS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0294 --*/
-- Tarefa 93687 --
CREATE INDEX I_LC_ITI_TIPITI ON TT_ITI (TIPITI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0295 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI MODIFY (FILCXS CONSTRAINT NN_ITI_FILCXS NOT NULL);
  

/*-- SEQ 0296 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI MODIFY (ID_CXS CONSTRAINT NN_ITI_ID_CXS NOT NULL);
 

/*-- SEQ 0297 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI MODIFY (QTDITE CONSTRAINT NN_ITI_QTDITE NOT NULL);
 

/*-- SEQ 0298 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI MODIFY (TIPITI CONSTRAINT NN_ITI_TIPITI NOT NULL);
 

/*-- SEQ 0299 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT CK_ITI_TIPITI CHECK (TIPITI IN ('C','B'));

/*-- SEQ 0300 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT CK_ITI_QTDITE CHECK (QTDITE > 0);


/*-- SEQ 0301 --*/
-- Tarefa 93690--
ALTER TABLE TT_CFG ADD FILMAT_TIN CHAR(3) ;


/*-- SEQ 0302 --*/
-- Tarefa 93690--
ALTER TABLE TT_CFG ADD CODMAT_TIN CHAR(5) ;


/*-- SEQ 0303 --*/
-- Tarefa 93690--
ALTER TABLE TT_CFG ADD CODCOR_TIN Number(5) ;


/*-- SEQ 0304 --*/
-- Tarefa 93690--
ALTER TABLE TT_CFG ADD CODTAM_TIN Number(5) ;


/*-- SEQ 0305 --*/
-- Tarefa 93690 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_GRA_TIN FOREIGN KEY (FILMAT_TIN, CODMAT_TIN, CODCOR_TIN, CODTAM_TIN) REFERENCES TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0306 --*/
-- Tarefa 93690 --
CREATE INDEX I_FK_CFG_GRA_TIN ON TT_CFG (FILMAT_TIN, CODMAT_TIN, CODCOR_TIN, CODTAM_TIN) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0307 --*/
-- Tarefa 93806--
ALTER TABLE TT_IVE ADD FILBSC CHAR(3) ;


/*-- SEQ 0308 --*/
-- Tarefa 93806--
ALTER TABLE TT_IVE ADD ID_BSC Number(10) ;


/*-- SEQ 0309 --*/
-- Tarefa 93806--
ALTER TABLE TT_IVE ADD ITECSC Number(5) ;


/*-- SEQ 0310 --*/
-- Tarefa 93806 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_BSC FOREIGN KEY (FILBSC, ID_BSC) REFERENCES TT_BSC(CODFIL, ID);
 
/*-- SEQ 0311 --*/
-- Tarefa 93806 --
CREATE INDEX I_FK_IVE_BSC ON TT_IVE (FILBSC, ID_BSC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0312 --*/
-- Tarefa 93806 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_CSC FOREIGN KEY (FILBSC, ID_BSC, ITECSC) REFERENCES TT_CSC(CODFIL, ID, NUMITE);
 
/*-- SEQ 0313 --*/
-- Tarefa 93806 --
CREATE INDEX I_FK_IVE_CSC ON TT_IVE (FILBSC, ID_BSC, ITECSC) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0314 --*/
-- Tarefa 93843 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'USATINTA', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'USATINTA'));


/*-- SEQ 0315 --*/
-- Tarefa 93846 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD DATCAN Date ;


/*-- SEQ 0316 --*/
-- Tarefa 93846 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DATCANRPS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DATCANRPS'));


/*-- SEQ 0317 --*/
-- Tarefa 93710--
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0318 --*/
-- Tarefa 93710--
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;


/*-- SEQ 0319 --*/
-- Tarefa 93739--
ALTER TABLE TT_IVE MODIFY (QTDPEN Number(14,4));

/*-- SEQ 0320 --*/
-- Tarefa 93739--
ALTER TABLE TT_IVE MODIFY (QTDFUT Number(14,4));

/*-- SEQ 0321 --*/
-- Tarefa 93739--
ALTER TABLE TI_IVE MODIFY (QTDPEN Number(14,4));

/*-- SEQ 0322 --*/
-- Tarefa 93739--
ALTER TABLE TI_IVE MODIFY (QTDFUT Number(14,4));


/*-- SEQ 0323 --*/
-- Tarefa 93882--
ALTER TABLE GX_CFG ADD GX_CFGULTDATUSERATUSC Date ;


/*-- SEQ 0324 --*/
-- Tarefa 93882--
ALTER TABLE GX_CFG ADD GX_CFGULTIDSC Number(18) ;



/*-- SEQ 0325 --*/
-- Tarefa 93710--
ALTER TABLE TD_IR1 MODIFY (ICMSR1 Number(14, 4));

/*-- SEQ 0326 --*/
-- Tarefa 93710--
ALTER TABLE TD_IR2 MODIFY (ICMSR2 Number(14, 4));


/*-- SEQ 0327 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE TABLE TM_FEC (
  CODFIL CHAR(3),
  NUMECF CHAR(3),
  DATOPE Date,
  FLGEST CHAR(1)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0328 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT PK_FEC PRIMARY KEY (CODFIL,NUMECF,DATOPE);

/*-- SEQ 0329 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC MODIFY (FLGEST DEFAULT 'N');
 
/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
 /*-- SEQ 0333 --*/
 /*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC MODIFY (FLGEST CONSTRAINT NN_FEC_FLGEST NOT NULL);

  
/*-- SEQ 0334 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;


/*-- SEQ 0337 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DFIL ON TM_FEC (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0338 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT CK_FEC_FLGEST CHECK (FLGEST IN ('A','G','P','N'));
 



/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE TABLE TT_MCF (
 	CODFIL 		CHAR(3), 		
    NUMECF 		CHAR(3), 		
    NUMCCF 		Number(6), 		
    NUMCOO 		Number(6), 		
    DATEMI 		Date, 			
    VLRSUBTOT 	Number(14,2),
    VLRDES 		Number(13,2), 	
    FLGDES 		CHAR(1), 		
    VLRACR 		Number(13,2), 	
    FLGACR 		CHAR(1), 		
    VLRTOT 		Number(14,2), 	
    FLGCAN 		CHAR(1), 		
    VLRCANACR 	Number(13,2), 	
    ORDDESACR 	CHAR(1), 		
    NOMECLI 	VARCHAR2(40), 	
    NUMDOC 		CHAR(14)  
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0340 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT PK_MCF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI);
 
/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);


/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGDES CHECK (FLGDES IN ('V','P'));

/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGACR CHECK (FLGACR IN ('V','P'));

/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGACR IN ('S','N'));

/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DFIL ON TT_MCF (CODFIL) TABLESPACE TOTALL_INDEX;


 



/*-- SEQ 0348 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE TABLE TT_ICF (
		NUMCCF 		Number(6), 		
        NUMCOO 		Number(6),
		NUMECF 		CHAR(3), 
		CODFIL 		CHAR(3),
		DATEMI		Date,	
        NUMITE 		Number(3), 		
        CODITE 		VARCHAR2(14), 	
        DESMAT 		VARCHAR2(100), 
        QTDITE 		Number(10,4), 	
        UNIDAD 		VARCHAR2(3), 		
        VLRUNI 		Number(12,4), 	
        VLRDESC 	Number(8,2), 	
        VLRACRES 	Number(8,2), 	
        VLRTOT 		Number(14,2), 	
        CODTOT 		VARCHAR2(7), 		
        FLGCAN 		CHAR(1), 		
	    QTDCAN 		Number(10,4), 	
	    VLRCAN 		Number(12,4), 	
	    VLRCANACR 	Number(12,4), 	
	    ARRTRU 		CHAR(1), 		
        DECQTD 		CHAR(1), 		
	    DECUNI 		CHAR(1)		
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0349 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT PK_ICF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI, NUMITE);

/*-- SEQ 0350 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0351 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0352 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0353 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_FLGCAN CHECK (FLGCAN IN ('S','N','P'));

/*-- SEQ 0354 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_ARRTRU CHECK (ARRTRU IN ('T','A'));



/*-- SEQ 0355 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0356 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0357 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DECF ON TM_FEC (CODFIL, NUMECF) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0358 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0359 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DECF ON TT_MCF (CODFIL, NUMECF) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0360 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_MCF FOREIGN KEY (CODFIL, NUMECF, NUMCOO, DATEMI ) REFERENCES TT_MCF(CODFIL, NUMECF, NUMCOO, DATEMI);

/*-- SEQ 0361 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_MCF ON TT_ICF (CODFIL, NUMECF, NUMCOO, DATEMI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0362 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0363 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DFIL ON TT_ICF (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0364 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DECF ON TT_ICF (CODFIL, NUMECF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0365 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93797 --
SELECT * FROM NADA;



/*-- SEQ 0366 --*/
-- Tarefa 93949--
ALTER TABLE TT_DOP MODIFY (CODBAR CHAR(47));




/*-- SEQ 0367 --*/
-- Tarefa 93974 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;


/*-- SEQ 0368 --*/
-- Tarefa 93974 --
UPDATE TT_GRA GRA
   SET CODFIS = (SELECT CAST(COALESCE(GRA.FILMAT, '')|| 
                             COALESCE(GRA.CODMAT, '')|| '-' || 
                             TRIM(COALESCE(TO_CHAR(GRA.CODCOR), ''))|| '-' || 
                             TRIM(COALESCE(TO_CHAR(COALESCE((SELECT DSUB.CODSAL 
                                                               FROM TT_SUB SUB INNER JOIN TD_SUB DSUB ON DSUB.CODTAB = SUB.CODSUB 
                                                              WHERE SUB.CODITE = GRA.CODTAM),GRA.CODTAM)),'')) AS VARCHAR2(21)) AS CODSPED FROM DUAL)
 WHERE (SELECT CFG.REGRA_CODFIS FROM TT_CFG CFG) = 1 
   AND GRA.CODFIS IS NULL;
   
/*-- SEQ 0369 --*/
-- Tarefa 93974 --
UPDATE TT_GRA GRA
   SET CODFIS = (SELECT PRO.REFBAS 
                   FROM TT_PRO PRO 
                  WHERE GRA.FILMAT = PRO.FILMAT 
                    AND GRA.CODMAT = PRO.CODMAT)
 WHERE (SELECT CFG.REGRA_CODFIS FROM TT_CFG CFG) = 2
   AND GRA.CODFIS IS NULL;

/*-- SEQ 0370 --*/
-- TAREFA 93974--
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;   
                                   
/*-- SEQ 0371 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93974 --
ALTER TABLE TT_GRA MODIFY (CODFIS CONSTRAINT NN_GRA_CODFIS NOT NULL);
  

/*-- SEQ 0372 --*/
-- Tarefa 93974 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;
 

/*-- SEQ 0373 --*/
-- Tarefa 93974 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CODFIS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CODFIS'));  

/*-- SEQ 0374 --*/
-- TAREFA 93974--
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;                       


/*-- SEQ 0375 --*/
-- Tarefa 93823 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0376 --*/
-- Tarefa 93823 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,384)||'S'||SUBSTR(PERMIS,386,9999);

/*-- SEQ 0377 --*/
-- Tarefa 93823 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0378 --*/
-- Tarefa 93823 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0379 --*/
-- Tarefa 93823 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PERMIS385', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS385'));

/*-- SEQ 0380 --*/
-- Tarefa 93823 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;




/*-- SEQ 0381 --*/
-- Tarefa 93998 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0382 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050012'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050012'));

/*-- SEQ 0383 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050011'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050011'));

/*-- SEQ 0384 --*/
-- Tarefa 93998 --
ALTER TABLE TT_NCM ENABLE ALL TRIGGERS;

/*-- SEQ 0385 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD NOMDIV_CODEXT VARCHAR2(20) ;


/*-- SEQ 0386 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD NOMSUB_CODEXT VARCHAR2(20) ;


/*-- SEQ 0387 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD NOMGRA_CODEXT VARCHAR2(20) ;


/*-- SEQ 0388 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD ITEDIV_CODEXT VARCHAR2(20) ;


/*-- SEQ 0389 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD ITESUB_CODEXT VARCHAR2(20) ;


/*-- SEQ 0390 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DIV ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0391 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SUB ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0392 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_GRA ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0393 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIV ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0394 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SUB ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0395 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DDIV_CODEXT ON TD_DIV (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0396 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DSUB_CODEXT ON TD_SUB (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0397 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DGRA_CODEXT ON TD_GRA (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0398 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DIV_CODEXT ON TT_DIV (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0399 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_SUB_CODEXT ON TT_SUB (CODEXT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0400 --*/
-- Tarefa 94116 --
/*-- IGNORE ERRO --*/
ALTER TABLE TM_ABA ADD SEQUEN CHAR(10) ;


/*-- SEQ 0401 --*/
-- Tarefa 94116 --
CREATE SEQUENCE SQMABA INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0402 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA DISABLE ALL TRIGGERS;


/*-- SEQ 0403 --*/
-- Tarefa 94116 --
UPDATE TM_ABA
   SET SEQUEN = SQMABA.NEXTVAL
 WHERE SEQUEN IS NULL;

/*-- SEQ 0404 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ENABLE ALL TRIGGERS;

/*-- SEQ 0405 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA DROP CONSTRAINT PK_MABA;

/*-- SEQ 0406 --*/
/*-- IGNORE ERRO --*/
DROP INDEX PK_MABA;

/*-- SEQ 0407 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ADD CONSTRAINT PK_MABA PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0408 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA MODIFY (CODABA CONSTRAINT NN_MABA_CODABA NOT NULL);


/*-- SEQ 0409 --*/
-- Tarefa 94116 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0410 --*/
-- Tarefa 94116 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TM_ABA2', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TM_ABA2'));

/*-- SEQ 0411 --*/
-- Tarefa 94116 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0412 --*/
-- Tarefa 92859 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;

                      
/*-- SEQ 0413 --*/
-- Tarefa 92859 --
INSERT INTO TT_JOB 
( NOMJOB, DESJOB, ULTEXE, QTDERR ) 
(SELECT 'JOB_GERACOMISSAODIARIA',
        'Gerar Comissão do Dia Anterior',
        Agora(),
        0
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_JOB
                      WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA')); 
                      
/*-- SEQ 0414 --*/
-- Tarefa 92859 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;                      




/*-- SEQ 0415 --*/
-- Tarefa 92449 --
ALTER TABLE TD_CTA DISABLE ALL TRIGGERS;


/*-- SEQ 0416 --*/
-- Tarefa 92449 --
/*-- SEQ 0417 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta 
RETURN VARCHAR2 IS
  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = 'CHEQUES_DEVOLVIDOS';

  IF iEXISTE = 0 THEN
    -- Cria novas contas financeiras para usos fixos
    SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
    cSEQFIN := ProximaConta(cCODFIL,'Cheques Devolvidos','N','O','N'); 
    
    -- Descobre o proximo CODTAB da TD_CTA
    SELECT MAX(CODTAB)+1 INTO cCODTAB
      FROM TD_CTA;  
    
    -- Insere as novas contas na tabela 
    INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
    (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, 'CHEQUES_DEVOLVIDOS' AS CFGCOL, 'O' AS USOCTA
     FROM TT_CTA
     WHERE CODFIL = cCODFIL
       AND SEQUEN = cSEQFIN);
  END IF;
 
  RETURN 'OK';
END temp_cria_conta;
/

/*-- SEQ 0418 --*/
-- Tarefa 92449 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := temp_cria_conta();
end;
/


/*-- SEQ 0419 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92449 --
DROP FUNCTION temp_cria_conta;

/*-- SEQ 0420 --*/
-- Tarefa 92449 --
ALTER TABLE TD_CTA ENABLE ALL TRIGGERS;

/*-- SEQ 0421 --*/
-- Tarefa 92449 --
INSERT INTO TL_FIN (ORIGEM,FILORI,SEQORI,PARORI,SUBORI)
SELECT CAST('CHR' AS CHAR(3)) AS ORIGEM, CODFIL, SEQUEN, CAST('--' AS CHAR(2)) AS PARORI, CAST('--' AS CHAR(2)) AS SUBORI
  FROM TT_CHR
 WHERE FLGEST = 'V'
   AND NOT EXISTS (SELECT CODFIL, SEQUEN 
                     FROM TR_FIN
                    WHERE ORIGEM = 'CHR'
                      AND ORICRT = 'DEV');


/*-- SEQ 0422 --*/
-- Tarefa 92689 --
ALTER TABLE TT_CLI DROP CONSTRAINT CK_CLI_REGRA;


/*-- SEQ 0423 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93786 --  
ALTER TABLE TT_MCF DROP CONSTRAINT CK_MCF_FLGCAN;  

/*-- SEQ 0424 --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGCAN IN ('S','N'));


/*-- SEQ 0425 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD VEN_CODFIL CHAR(3) ;


/*-- SEQ 0426 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD VEN_SEQUEN CHAR(10) ;


/*-- SEQ 0427 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_CODFIL CHAR(3) ;


/*-- SEQ 0428 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_SEQUEN CHAR(10) ;


/*-- SEQ 0429 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_NUMITE Number(5) ;


/*-- SEQ 0430 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_NFE ADD CONSTRAINT FK_NFE_VEN FOREIGN KEY (VEN_CODFIL,VEN_SEQUEN) REFERENCES TT_VEN (CODFIL,SEQUEN);

/*-- SEQ 0431 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_NFE_VEN ON TT_NFE (VEN_CODFIL,VEN_SEQUEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0432 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_INF ADD CONSTRAINT FK_INF_IVE FOREIGN KEY (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0433 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_INF_IVE ON TT_INF (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0434 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGMIDDLEWARE_HOST VARCHAR2(40) ;


/*-- SEQ 0435 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGMIDDLEWARE_PORT Number(10) ;



/*-- SEQ 0436 --*/
-- Tarefa 95294 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;

                      
/*-- SEQ 0437 --*/
-- Tarefa 95294 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA';
 
/*-- SEQ 0438 --*/
-- Tarefa 95294 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;                      

