
/*-- SEQ 0001 --*/
-- Tarefa 98782 --
ALTER TABLE TR_CAI ADD CAI_ID Number(10,0) ;


/*-- SEQ 0002 --*/
-- Tarefa 98782 --
ALTER TABLE TT_LID ADD CAI_ID Number(10,0) ;


/*-- SEQ 0003 --*/
-- Tarefa 98782 --
ALTER TABLE TR_CAI DROP CONSTRAINT NN_RCAI_ARQCAI;


/*-- SEQ 0004 --*/
-- Tarefa 98782 --
ALTER TABLE TR_CAI DROP CONSTRAINT NN_RCAI_ARQXLS;



/*-- SEQ 0005 --*/
-- Tarefa 98785 --
ALTER TABLE TT_FIN ADD NUMECF CHAR(3) ;



/*-- SEQ 0006 --*/
-- Tarefa 98786 --
ALTER TABLE TT_VEN ADD TRN_ID Number(12,0) ;


/*-- SEQ 0007 --*/
-- Tarefa 98786 --
ALTER TABLE TT_RTT ADD TRN_ID Number(12,0) ;


/*-- SEQ 0008 --*/
-- Tarefa 98786 --
ALTER TABLE TT_CHR ADD TRN_ID Number(12,0) ;


/*-- SEQ 0009 --*/
-- Tarefa 98786 --
ALTER TABLE TT_FIN ADD TRN_ID Number(12,0) ;


/*-- SEQ 0010 --*/
-- Tarefa 98786 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_LID FOREIGN KEY (CODFIL, NUMECF, TRN_ID) REFERENCES TT_LID (CODFIL, NUMECF, TRN_ID);

/*-- SEQ 0011 --*/
-- Tarefa 98786 --
CREATE INDEX I_FK_VEN_LID ON TT_VEN (CODFIL, NUMECF, TRN_ID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0012 --*/
-- Tarefa 98786 --
ALTER TABLE TT_RTT ADD CONSTRAINT FK_RTT_LID FOREIGN KEY (CODFIL, NUMECF, TRN_ID) REFERENCES TT_LID (CODFIL, NUMECF, TRN_ID);

/*-- SEQ 0013 --*/
-- Tarefa 98786 --
CREATE INDEX I_FK_RTT_LID ON TT_RTT (CODFIL, NUMECF, TRN_ID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0014 --*/
-- Tarefa 98786 --
ALTER TABLE TT_CHR ADD CONSTRAINT FK_CHR_LID FOREIGN KEY (CODFIL, NUMECF, TRN_ID) REFERENCES TT_LID (CODFIL, NUMECF, TRN_ID);

/*-- SEQ 0015 --*/
-- Tarefa 98786 --
CREATE INDEX I_FK_CHR_LID ON TT_CHR (CODFIL, NUMECF, TRN_ID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0016 --*/
-- Tarefa 98786 --
ALTER TABLE TT_FIN ADD CONSTRAINT FK_FIN_LID FOREIGN KEY (CODFIL, NUMECF, TRN_ID) REFERENCES TT_LID (CODFIL, NUMECF, TRN_ID);

/*-- SEQ 0017 --*/
-- Tarefa 98786 --
CREATE INDEX I_FK_FIN_LID ON TT_FIN (CODFIL, NUMECF, TRN_ID) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0018 --*/
-- Tarefa 97947 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT;

/*-- SEQ 0019 --*/
-- Tarefa 97947 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J','B','O','I'));


/*-- SEQ 0020 --*/
-- Tarefa 97951 --
ALTER TABLE TT_CFG ADD NATIMP Number(5) ;


/*-- SEQ 0021 --*/
-- Tarefa 97951 --
ALTER TABLE TW_CFG ADD NATIMP Number(5) ;


/*-- SEQ 0022 --*/
-- Tarefa 97951 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATIMP FOREIGN KEY (NATIMP) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0023 --*/
-- Tarefa 97951 --
CREATE INDEX I_FK_CFG_DNAT_NATIMP ON TT_CFG (NATIMP) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0024 --*/
-- Tarefa 97953 --
ALTER TABLE TT_PRO ADD VENPISIMP Number(6,4) ;


/*-- SEQ 0025 --*/
-- Tarefa 97953 --
ALTER TABLE TT_PRO ADD VENCOFIMP Number(6,4) ;


/*-- SEQ 0026 --*/
-- Tarefa 97953 --
ALTER TABLE TT_PRO ADD PER_II Number(5,2) ;



/*-- SEQ 0027 --*/
-- Tarefa 97949 --
ALTER TABLE TD_FIL ADD SERIMP CHAR(2) ;


/*-- SEQ 0028 --*/
-- Tarefa 97949 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERIMP FOREIGN KEY (SERIMP) REFERENCES TD_SER (CODSER);

/*-- SEQ 0029 --*/
-- Tarefa 97949 --
CREATE INDEX I_FK_DFIL_DSER_SERIMP ON TD_FIL (SERIMP) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0030 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD BAS_II Number(12,2) ;


/*-- SEQ 0031 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD VLR_II Number(12,2) ;


/*-- SEQ 0032 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD VLRADU Number(12,2) ;


/*-- SEQ 0033 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD PERPISCRE Number(6,4) ;


/*-- SEQ 0034 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD VLRPISCRE Number(12,2) ;


/*-- SEQ 0035 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD PERCOFCRE Number(6,4) ;


/*-- SEQ 0036 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD VLRCOFCRE Number(12,2) ;


/*-- SEQ 0037 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD VLRANT Number(12,2) ;


/*-- SEQ 0038 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD TRAIMP VARCHAR2(1) ;


/*-- SEQ 0039 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD VLR_CM Number(16,4) ;


/*-- SEQ 0040 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD VLRCMG Number(16,4) ;


/*-- SEQ 0041 --*/
-- Tarefa 97955 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_TRAIMP CHECK ((TRAIMP IS NULL) OR (TRAIMP IN ('1','2')));


/*-- SEQ 0042 --*/
-- Tarefa 97956 --
ALTER TABLE TT_VEN ADD VLRADU Number(12,2) ;


/*-- SEQ 0043 --*/
-- Tarefa 97956 --
ALTER TABLE TT_VEN ADD DOCIMP VARCHAR2(12) ;


/*-- SEQ 0044 --*/
-- Tarefa 97956 --
ALTER TABLE TT_VEN ADD TIPIMP CHAR(1) ;


/*-- SEQ 0045 --*/
-- Tarefa 97956 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_TIPIMP CHECK ((TIPIMP IS NULL) OR (TIPIMP IN ('0','1')));


/*-- SEQ 0046 --*/
-- Tarefa 98618 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0047 --*/ 
-- Tarefa 98618 --
DELETE
  FROM TT_JOB
 WHERE (NOMJOB = 'JOB_FECHADIA' OR 
        NOMJOB = 'JOB_MATERIALIZACUSTOVENDA')
   AND NOT EXISTS (SELECT 'OK'
                     FROM TD_FIL
                    WHERE CGCFIL = '05409686000192');

/*-- SEQ 0048 --*/
-- Tarefa 98618 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0049 --*/
-- Tarefa 98815 --
CREATE OR REPLACE FUNCTION SET_SEQUENCE (pTABELA IN VARCHAR2 ,
                                    pCOLUNA IN VARCHAR2 ,
                                    pSEQUENCE IN VARCHAR2 )
RETURN VARCHAR2 IS
-- Variveis
   iSEQUEN                       Number(10);
   cSQL                          VARCHAR2(254);
   
   iSEQATU                       Number(10);
BEGIN
-- Processo
   cSQL := 'SELECT COALESCE(MAX(' || pCOLUNA || '),0) FROM ' || pTABELA;
   
   EXECUTE IMMEDIATE cSQL INTO iSEQUEN;
   -- Pegar o prxima valor do sequenciador
   cSQL := 'SELECT ' || pSEQUENCE || '.nextval FROM DUAL';
   EXECUTE IMMEDIATE cSQL INTO iSEQATU;
   
   -- Zerar o valor do sequenciador
   cSQL := 'ALTER SEQUENCE ' || pSEQUENCE || ' INCREMENT BY -' || TO_CHAR(iSEQATU) || ' MINVALUE 0';
   EXECUTE IMMEDIATE cSQL;
   cSQL := 'SELECT ' || pSEQUENCE || '.nextval FROM DUAL';
   EXECUTE IMMEDIATE cSQL INTO iSEQATU;
   
   -- Incrementar com o MAX da tabela
   IF (iSEQUEN > 0) THEN
      cSQL := 'ALTER SEQUENCE ' || pSEQUENCE || ' INCREMENT BY ' || TO_CHAR(iSEQUEN) || ' MINVALUE 0';
      EXECUTE IMMEDIATE cSQL;
      cSQL := 'SELECT ' || pSEQUENCE || '.nextval FROM DUAL';
      EXECUTE IMMEDIATE cSQL INTO iSEQATU;
   END IF;
   -- Volta o valor original
   cSQL := 'ALTER SEQUENCE ' || pSEQUENCE || ' INCREMENT BY 1 MINVALUE 0';
   EXECUTE IMMEDIATE cSQL;
         
   RETURN 'OK';
END SET_SEQUENCE;
/

/*-- SEQ 0050 --*/
declare
  cDummy VARCHAR2(100);
begin
  cDummy := SET_SEQUENCE('TT_GRAXSC', 'ID', 'SQGRAXSC');
end;
/

/*-- SEQ 0051 --*/
DROP FUNCTION SET_SEQUENCE;



/*-- SEQ 0052 --*/
-- Tarefa 98785 --
ALTER TABLE TT_FIN ADD CONSTRAINT FK_FIN_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF (FILECF, NUMECF);

/*-- SEQ 0053 --*/
-- Tarefa 98785 --
CREATE INDEX I_FK_FIN_DECF ON TT_FIN (CODFIL, NUMECF) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0054 --*/
-- Tarefa 98372 --
ALTER TABLE TD_FIL DROP CONSTRAINT CK_DFIL_SEGMENTO;

/*-- SEQ 0055 --*/
-- Tarefa 98372 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_SEGMENTO CHECK (SEGMENTO IN (1, 2, 3, 4, 99));




/*-- SEQ 0056 --*/
-- Tarefa 98422 --
ALTER TABLE TD_CCC ADD VLRBON Number(10, 4) ;


/*-- SEQ 0057 --*/
-- Tarefa 98422 --
ALTER TABLE TW_TAB ADD VLRBON Number(10, 4) ;



/*-- SEQ 0058 --*/
-- Tarefa 98424 --
ALTER TABLE TD_FID ADD IMGFUD VARCHAR2(254) ;



/*-- SEQ 0059 --*/
-- Tarefa 98951 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0060 --*/
ALTER TABLE TT_PRO ADD FOR060 VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0061 --*/
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0062 --*/
-- Tarefa 98951 --
ALTER TABLE TT_PRO MODIFY (FOR060 CONSTRAINT NN_PRO_FOR060 NOT NULL);


/*-- SEQ 0063 --*/
-- Tarefa 98951 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_FOR060 CHECK (FOR060 IN ('T','F'));



/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99046 --
DROP PROCEDURE JOB_CONTARNUMEROVENDAS;

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99046 --
DROP FUNCTION ContarNumeroVendas;

/*-- SEQ 0066 --*/
-- Tarefa 99046 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0067 --*/
-- Tarefa 99046 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_CONTARNUMEROVENDAS';

/*-- SEQ 0068 --*/
-- Tarefa 99046 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0069 --*/
-- Tarefa 99135 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0070 --*/
-- Tarefa 99135 --
UPDATE TT_PRO PRO SET 
       CODCES = (SELECT CAST(MIN(CXN.CODCES) AS VARCHAR2(8)) AS CODCES
                   FROM TT_CESXNCM CXN
                  WHERE PRO.CODNCM LIKE CXN.CODNCM||'%'
                  GROUP BY PRO.CODNCM
                 HAVING COUNT(*)=1)
 WHERE PRO.CODNCM IS NOT NULL
   AND PRO.CODCES IS NULL;

/*-- SEQ 0071 --*/
-- Tarefa 99135 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;



/*-- SEQ 0072 --*/
-- Tarefa 97785 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0073 --*/
-- Tarefa 97785 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_SETARDATAATUALIZACAO';

/*-- SEQ 0074 --*/
-- Tarefa 97785 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0075 --*/
-- Tarefa 99197 --
ALTER TABLE TT_VEN DISABLE ALL TRIGGERS;


/*-- SEQ 0076 --*/
-- Tarefa 99197 --
UPDATE TT_VEN
   SET ORICAN = CASE ORICAN WHEN '1' THEN '2'
                            WHEN '2' THEN '1'
                END
 WHERE ORICAN IS NOT NULL
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'ORICAN');

/*-- SEQ 0077 --*/
-- Tarefa 99197 --
ALTER TABLE TT_VEN ENABLE ALL TRIGGERS;

/*-- SEQ 0078 --*/
-- Tarefa 99197 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0079 --*/
-- Tarefa 99197 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ORICAN', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ORICAN'));

/*-- SEQ 0080 --*/
-- Tarefa 99197 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0081 --*/
-- Tarefa 99195 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;

/*-- SEQ 0082 --*/
ALTER TABLE TT_CLI ADD REGESP VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0083 --*/
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99195 --
ALTER TABLE TT_CLI MODIFY (REGESP CONSTRAINT NN_CLI_REGESP NOT NULL);


/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99195 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_REGESP CHECK (REGESP IN ('T','F'));

/*-- SEQ 0086 --*/
-- Tarefa 99195 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0087 --*/
-- Tarefa 99195 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CLI_REGESP', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CLI_REGESP'));

/*-- SEQ 0088 --*/
-- Tarefa 99195 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0089 --*/
-- Tarefa 99205 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0090 --*/
-- Tarefa 99205 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CEST_NF', TO_DATE('01/10/2016','DD/MM/YYYY'), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CEST_NF'));

/*-- SEQ 0091 --*/
-- Tarefa 99205 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CEST_CF', TO_DATE('01/10/2016','DD/MM/YYYY'), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CEST_CF'));

/*-- SEQ 0092 --*/
-- Tarefa 99205 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0093 --*/
-- Tarefa 99069 --
ALTER TABLE TI_CLI MODIFY (MAISPC VARCHAR2(254));


/*-- SEQ 0094 --*/
-- Tarefa 99234 --
ALTER TABLE TD_EXT DISABLE ALL TRIGGERS;


/*-- SEQ 0095 --*/
-- Tarefa 99234 --
INSERT INTO TD_EXT
(CODTAB, DESEXT, LOCREC, LOCCCC, LOCCHR, LOCFIN, LOCDOP, LOCTIT, LOCDEP, GERFIN, GERCCC)
(SELECT 217, 'PAGAMENTOS FORNECEDORES', 'T', 'T', 'T', 'F', 'F', 'T', 'T', 'T', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_EXT
                     WHERE CODTAB = 217));

/*-- SEQ 0096 --*/
-- Tarefa 99234 --
INSERT INTO TD_EXT
(CODTAB, DESEXT, LOCREC, LOCCCC, LOCCHR, LOCFIN, LOCDOP, LOCTIT, LOCDEP, GERFIN, GERCCC)
(SELECT 218, 'PAGAMENTOS DIVERSOS', 'T', 'T', 'T', 'F', 'F', 'T', 'T', 'T', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_EXT
                     WHERE CODTAB = 218));

/*-- SEQ 0097 --*/
-- Tarefa 99234 --
INSERT INTO TD_EXT
(CODTAB, DESEXT, LOCREC, LOCCCC, LOCCHR, LOCFIN, LOCDOP, LOCTIT, LOCDEP, GERFIN, GERCCC)
(SELECT 219, 'PAGAMENTOS SALARIOS', 'T', 'T', 'T', 'F', 'F', 'T', 'T', 'T', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_EXT
                     WHERE CODTAB = 219));

/*-- SEQ 0098 --*/
-- Tarefa 99234 --
ALTER TABLE TD_EXT ENABLE ALL TRIGGERS;


/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99298 --
DROP TRIGGER TGDIV;

/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 99298 --
DROP TRIGGER TGSUB;


/*-- SEQ 0101 --*/
-- Tarefa 99297 --
ALTER TABLE TT_IOR MODIFY (PERMCP Number(12, 4));

/*-- SEQ 0102 --*/
-- Tarefa 99297 --
ALTER TABLE TT_ORC MODIFY (PERMCPTOT Number(12, 4));


/*-- SEQ 0103 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CELCON VARCHAR2(10));

/*-- SEQ 0104 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CELNUM VARCHAR2(10));

/*-- SEQ 0105 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CELUCO VARCHAR2(10));

/*-- SEQ 0106 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (CONTEL VARCHAR2(10));

/*-- SEQ 0107 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (NUMTEL VARCHAR2(10));

/*-- SEQ 0108 --*/
-- Tarefa 99809 --
ALTER TABLE TI_CLI MODIFY (TELCON VARCHAR2(10));

/*-- SEQ 0109 --*/
-- Tarefa 99809 --
ALTER TABLE TT_SPC MODIFY (NUMTEL VARCHAR2(10));

/*-- SEQ 0110 --*/
-- Tarefa 99809 --
ALTER TABLE TT_SPC MODIFY (TELCON VARCHAR2(10));



/*-- SEQ 0111 --*/
-- Tarefa 100032 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0112 --*/
-- Tarefa 100032 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_NF';

/*-- SEQ 0113 --*/
-- Tarefa 100032 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0114 --*/
-- Tarefa 100086 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0115 --*/
-- Tarefa 100086 --
UPDATE TT_FUN SET DATFUN = TO_DATE('01/07/2017','DD/MM/YYYY')
  WHERE NOMFUN = 'CEST_CF';

/*-- SEQ 0116 --*/
-- Tarefa 100086 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 100108 --
SELECT * FROM NADA;


/*-- SEQ 0121 --*/
-- Tarefa 100108 --
ALTER TABLE TT_SAL DISABLE ALL TRIGGERS;


/*-- SEQ 0122 --*/
-- Tarefa 100108 --
UPDATE TT_SAL
   SET CAL_CM = NULL, 
       ATU_CM = 'F', 
       DUMMY = 'x'
 WHERE NOT EXISTS (SELECT 1
                     FROM TT_FUN 
                    WHERE NOMFUN = 'ATU_CSTMDO');      

/*-- SEQ 0123 --*/
-- Tarefa 100108 --
ALTER TABLE TT_SAL ENABLE ALL TRIGGERS;

/*-- SEQ 0124 --*/
-- Tarefa 100108 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0125 --*/
-- Tarefa 100108 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ATU_CSTMDO', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ATU_CSTMDO'));

/*-- SEQ 0126 --*/
-- Tarefa 100108 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;

