
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- DES-72 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- DES-72 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NT_2018_005_CSRT', 'Data de incio para envio das informaes do Responsvel Tcnico - Nota Tcnica 2018.005', 'D', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NT_2018_005_CSRT'));

/*-- SEQ 0004 --*/
-- DES-72 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NT_2018_005_ICMSSUBS', 'Data de incio para envio do Valor de ICMS do Substituto - Nota Tcnica 2018.005', 'D', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NT_2018_005_ICMSSUBS'));

/*-- SEQ 0005 --*/
-- DES-72 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- 105494 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0007 --*/
-- 105494 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DESLIGACRIPTOWS', 'Web Service Local do Totall POS descriptografado', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESLIGACRIPTOWS'));
                     
/*-- SEQ 0008 --*/
-- 105494 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
-- DES-60 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0010 --*/
-- DES-60 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CLIENTE_NFCE_CONT', 'Solicitar Cliente em NFCe de Contingncia', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CLIENTE_NFCE_CONT'));

/*-- SEQ 0011 --*/
-- DES-60 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0012 --*/
-- DES-61 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0013 --*/
-- DES-61 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CONTINGENCIA_SUBST', 'Contingncia por Substituio', 'D', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONTINGENCIA_SUBST'));

/*-- SEQ 0014 --*/
-- DES-61 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0015 --*/
-- DES-68 --
ALTER TABLE TD_SER ADD SERCON CHAR(2) ;


/*-- SEQ 0016 --*/
-- DES-68 --
ALTER TABLE TW_TAB ADD SERCON CHAR(2) ;


/*-- SEQ 0017 --*/
-- DES-68 --
ALTER TABLE TD_SER ADD CONSTRAINT FK_DSER_DSER_CON FOREIGN KEY (SERCON) REFERENCES TD_SER (CODSER);

/*-- SEQ 0018 --*/
-- DES-68 --
CREATE INDEX I_FK_DSER_DSER_CON ON TD_SER (SERCON) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0019 --*/
-- DES-62 --
ALTER TABLE TD_ECF ADD SERCON_DECF VARCHAR2(3) ;



/*-- SEQ 0020 --*/
-- DES-83 --
ALTER TABLE TT_IVE ADD VLRICM_COM Number(12,2) ;



/*-- SEQ 0021 --*/
-- Tarefa 105613 --
ALTER TABLE TT_COM DISABLE ALL TRIGGERS;


/*-- SEQ 0022 --*/
-- Tarefa 105613 --
UPDATE TT_COM  
   SET OBSERV = RTF2TXT(OBSERV)
 WHERE OBSERV IS NOT NULL
   AND TIPPAR = 'F';
 
/*-- SEQ 0023 --*/
-- Tarefa 105613 --
UPDATE TT_COM  
   SET OBSFAT = RTF2TXT(OBSFAT)
 WHERE OBSFAT IS NOT NULL
   AND TIPPAR = 'F';
 
/*-- SEQ 0024 --*/
-- Tarefa 105613 --
ALTER TABLE TT_COM ENABLE ALL TRIGGERS; 


/*-- SEQ 0025 --*/
-- Tarefa 105628 --
ALTER TABLE TT_TPR ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0026 --*/
-- Tarefa 105628 --
ALTER TABLE TI_PRE ADD DESPRE_CODEXT VARCHAR2(20) ;


/*-- SEQ 0027 --*/
-- Tarefa 105628 --
CREATE UNIQUE INDEX I_UQ_TPR_CODEXT ON TT_TPR (CODEXT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0028 --*/
-- Tarefa 105747 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0029 --*/
-- Tarefa 105747 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUGMULFIL', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUGMULFIL'));

/*-- SEQ 0030 --*/
-- Tarefa 105747 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;



/*-- SEQ 0031 --*/
-- Tarefa 105845 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0032 --*/
-- Tarefa 105845 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'SERVIDOR_ORDER_WEB', 'Endereo para servidor de Order Web externo (Integrao)', 'T', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SERVIDOR_ORDER_WEB'));

/*-- SEQ 0033 --*/
-- Tarefa 105845 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0034 --*/
-- Ticket 2019055265 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0035 --*/
-- Ticket 2019055265 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NOVO_CLIENTE_CNPJ', 'Inserir novo registro de cliente quando j cadastrado radical de CNPJ (Filial do Cliente)', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NOVO_CLIENTE_CNPJ'));

/*-- SEQ 0036 --*/
-- Ticket 2019055265 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;




/*-- SEQ 0037 --*/
-- GES - 2019065531 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0038 --*/
-- GES - 2019065531 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CPM_DATINI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CPM_DATINI'));

/*-- SEQ 0039 --*/
-- GES - 2019065531 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0040 --*/
-- Ticket 2019071589 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0041 --*/
-- Ticket 2019071589 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PEDPEN_F', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PEDPEN_F'));

/*-- SEQ 0042 --*/
-- Ticket 2019071589 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0043 --*/
-- Tarefa GES-2019086061 --
ALTER TABLE TT_CES DISABLE ALL TRIGGERS;


/*-- SEQ 0044 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '1706201', 
         'Outros bolos industrializados e produtos de panificao no especificados anteriormente; exceto casquinhas para sorvete e pes', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '1706201'));

/*-- SEQ 0045 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '0105301', 
         'Acumuladores eltricos de chumbo, do tipo utilizado para o arranque dos motores de pisto e de capacidade inferior a 20 Ah e tenso inferior ou igual a 12 V', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '0105301'));

/*-- SEQ 0046 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '0600801', 
         'Graxa lubrificante', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '0600801'));

/*-- SEQ 0047 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '1400601', 
         'Servios de mesa e outros utenslios de mesa ou de cozinha, de plstico, descartveis', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '1400601'));

/*-- SEQ 0048 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '1706901', 
         'leo de algodo refinado em recipientes com capacidade inferior ou igual a 5 litros, exceto as embalagens individuais de contedo inferior ou igual a 15 mililitros', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '1706901'));

/*-- SEQ 0049 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '1707701', 
         'Salsicha em lata', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '1707701'));

/*-- SEQ 0050 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '1707907', 
         'Apresuntado', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '1707907'));

/*-- SEQ 0051 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '1708702', 
         'Carnes de aves inteiras e com peso unitrio superior a 3 kg, temperadas', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '1708702'));

/*-- SEQ 0052 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '1709605', 
         'Caf descafeinado torrado e modo, em cpsulas', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '1709605'));

/*-- SEQ 0053 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '2002701', 
         'Loes e leos desodorantes hidratantes lquidos', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '2002701'));

/*-- SEQ 0054 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '2002901', 
         'Outras loes e leos desodorantes hidratantes', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '2002901'));

/*-- SEQ 0055 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '2003501', 
         'Lenos umedecidos', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '2003501'));

/*-- SEQ 0056 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC) 
 (SELECT '2004801', 
         'Fraldas de fibras txteis', 
         'T', 
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CES
                      WHERE CODCES = '2004801'));

/*-- SEQ 0057 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Acumuladores eltricos de chumbo, do tipo utilizado para o arranque dos motores de pisto, exceto os classificados no CEST 01.053.01'
  WHERE CODCES = '0105300';

/*-- SEQ 0058 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Outros leos combustveis, exceto os classificados no CEST 06.006.10 e 06.006.11'
  WHERE CODCES = '0600609';

/*-- SEQ 0059 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Outros leos de petrleo ou de minerais betuminosos (exceto leos brutos) e preparaes no especificadas nem compreendidas noutras posies, que contenham, como constituintes bsicos, 70% ou mais, em peso, de leos de petrleo ou de minerais betuminosos, exceto os que contenham biodiesel, exceto os resduos de leos e exceto as graxas lubrificantes'
  WHERE CODCES = '0600800';
  
/*-- SEQ 0060 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Caixas dgua, tanques e reservatrios e suas tampas, telhas, calhas, cumeeiras e afins, de fibrocimento, cimento-celulose ou semelhantes, contendo ou no amianto, exceto os descritos no CEST 10.023.00'
  WHERE CODCES = '1002400';

/*-- SEQ 0061 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Cubos, pastilhas e artigos semelhantes de cermica, mesmo com suporte, exceto os descritos CEST 10.030.00'
  WHERE CODCES = '1003001';
  
/*-- SEQ 0062 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Servios de mesa e outros utenslios de mesa ou de cozinha, de plstico, no descartveis'
  WHERE CODCES = '1400600';
  
/*-- SEQ 0063 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Salsicha e linguia, exceto as descritas nos CEST 17.077.01'
  WHERE CODCES = '1707700';
  
/*-- SEQ 0064 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Outras preparaes e conservas de carne, miudezas ou de sangue, exceto as descritas nos CEST 17.079.01, 17.079.02, 17.079.03, 17.079.04, 17.079.05, 17.079.06 e 17.079.07'
  WHERE CODCES = '1707900';
  
/*-- SEQ 0065 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Outras preparaes e conservas de carne, de miudezas ou de sangue, da espcie suna: outras, incluindo as misturas, exceto os descritos no CEST 17.079.07'
  WHERE CODCES = '1707905';
  
/*-- SEQ 0066 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Carnes e demais produtos comestveis frescos, resfriados, congelados, salgados, em salmoura, simplesmente temperados, secos ou defumados, resultantes do abate de aves, exceto os descritos no CEST 17.087.02'
  WHERE CODCES = '1708700';
  
/*-- SEQ 0067 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Caf torrado e modo, em embalagens de contedo inferior ou igual a 2 kg, exceto os classificados nos CEST 17.096.04 e 17.096.05'
  WHERE CODCES = '1709600';
  
/*-- SEQ 0068 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Caf torrado e modo, em cpsulas, exceto os descritos no CEST 17.096.05'
  WHERE CODCES = '1709604';
  
/*-- SEQ 0069 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Refrescos e outras bebidas prontas para beber,  base de ch e mate'
  WHERE CODCES = '1711000';
  
/*-- SEQ 0070 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Ps, includos os compactos'
  WHERE CODCES = '2001300';
  
/*-- SEQ 0071 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Desodorantes (desodorizantes) corporais lquidos, exceto os classificados no CEST 20.027.01'
  WHERE CODCES = '2002700';

/*-- SEQ 0072 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Outros desodorantes (desodorizantes) corporais, exceto os classificados no CEST 20.029.01'
  WHERE CODCES = '2002900';
  
/*-- SEQ 0073 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Outros sabes, produtos e preparaes, em barras, pedaos ou figuras moldados'
  WHERE CODCES = '2003500';
  
/*-- SEQ 0074 --*/
-- Tarefa GES-2019086061 --
 UPDATE TT_CES 
    SET DESCES = 'Fraldas, exceto os descritos no CEST 20.048.01'
  WHERE CODCES = '2004800';

/*-- SEQ 0075 --*/
-- Tarefa GES-2019086061 --
ALTER TABLE TT_CES ENABLE ALL TRIGGERS;


/*-- SEQ 0076 --*/
-- Tarefa GES-2019086061 --
ALTER TABLE TT_CESXNCM DISABLE ALL TRIGGERS;


/*-- SEQ 0077 --*/
-- Tarefa GES-2019086061 --
 DELETE FROM TT_CESXNCM
  WHERE CODCES = '1705402';

/*-- SEQ 0078 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '1705402',
         '19053100',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '1705402'
                        AND CODNCM = '19053100' ));

/*-- SEQ 0079 --*/
-- Tarefa GES-2019086061 --
 DELETE FROM TT_CESXNCM
  WHERE CODCES = '1706900';

 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '1706900',
         '15121911',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '1706900'
                        AND CODNCM = '15121911' ));

/*-- SEQ 0080 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '1400601',
         '39241000',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '1400601'
                        AND CODNCM = '39241000' ));

/*-- SEQ 0081 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '1706201',
         '19059090',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '1706201'
                        AND CODNCM = '19059090' ));

/*-- SEQ 0082 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '0105301',
         '85071010',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '0105301'
                        AND CODNCM = '85071010' ));

/*-- SEQ 0083 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '0600801',
         '2710199',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '0600801'
                        AND CODNCM = '2710199' ));

/*-- SEQ 0084 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '1706901',
         '15122910',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '1706901'
                        AND CODNCM = '15122910' ));

/*-- SEQ 0085 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '1707701',
         '16010000',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '1707701'
                        AND CODNCM = '16010000' ));

/*-- SEQ 0086 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '1707907',
         '16024900',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '1707907'
                        AND CODNCM = '16024900' ));

/*-- SEQ 0087 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '1708702',
         '02071',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '1708702'
                        AND CODNCM = '02071' ));

/*-- SEQ 0088 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '1708702',
         '02072',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '1708702'
                        AND CODNCM = '02072' ));

/*-- SEQ 0089 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '1709605',
         '0901',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '1709605'
                        AND CODNCM = '0901' ));

/*-- SEQ 0090 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '2002701',
         '33072010',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '2002701'
                        AND CODNCM = '33072010' ));

/*-- SEQ 0091 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '2002901',
         '33072090',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '2002901'
                        AND CODNCM = '33072090' ));

/*-- SEQ 0092 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '2003501',
         '34011900',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '2003501'
                        AND CODNCM = '34011900' ));

/*-- SEQ 0093 --*/
-- Tarefa GES-2019086061 --
 INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
 (SELECT SQCXN.NEXTVAL,
         '2004801',
         '96190000',
         AGORA()
    FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_CESXNCM
                      WHERE CODCES = '2004801'
                        AND CODNCM = '96190000' ));

/*-- SEQ 0094 --*/
-- Tarefa GES-2019086061 --
ALTER TABLE TT_CESXNCM ENABLE ALL TRIGGERS;


/*-- SEQ 0095 --*/
-- Ticket 2019088534 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ADD ID_ISAL Number(10,0) ;


/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019088534 --
CREATE SEQUENCE SQISAL INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0097 --*/
-- Ticket 2019088534 --
ALTER TABLE TI_SAL DISABLE ALL TRIGGERS;


/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019088534 --
UPDATE TI_SAL
   SET ID_ISAL = SQISAL.NEXTVAL
 WHERE ID_ISAL IS NULL;

/*-- SEQ 0099 --*/
-- Ticket 2019088534 --
ALTER TABLE TI_SAL ENABLE ALL TRIGGERS;

/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019088534 --
ALTER TABLE TI_SAL ADD CONSTRAINT PK_ISAL PRIMARY KEY (ID_ISAL);

/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019088534 --
CREATE INDEX I_LC_ISAL_CODEXT ON TI_SAL (CODEXT, STATUS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019088534 --
CREATE INDEX I_LC_ISAL_STATUS ON TI_SAL (STATUS, DATCRI) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0103 --*/
-- Ticket 2019091858 --
ALTER TABLE TI_PRO ADD ESTCHE Number(1,0) ;


/*-- SEQ 0104 --*/
-- Ticket 2019091858 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_ESTCHE CHECK (ESTCHE IN (0,1,9));


/*-- SEQ 0105 --*/
-- Ticket 2019095205 --
ALTER TABLE TD_MVP DISABLE ALL TRIGGERS;


/*-- SEQ 0106 --*/
-- Ticket 2019095205 --
  UPDATE TD_MVP 
     SET PERMOT = NULL;

/*-- SEQ 0107 --*/
-- Ticket 2019095205 --
ALTER TABLE TD_MVP ENABLE ALL TRIGGERS;


/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2019107052 --
ALTER TABLE TD_REG DROP CONSTRAINT CK_REG_REGRA3;

