
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Tarefa 2019108638 --
ALTER TABLE TT_COM DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- Ticket 2019108638 --
UPDATE TT_COM
   SET OBSERV = Rtf2txt(OBSERV)
 WHERE TRUNC(DATCMP) >= TO_DATE('01/01/2019','DD/MM/YYYY')
   AND (OBSERV IS NOT NULL)
   AND Rtf2txt(OBSERV) <> OBSERV;

/*-- SEQ 0004 --*/
-- Tarefa 2019108638 --
ALTER TABLE TT_COM ENABLE ALL TRIGGERS;


/*-- SEQ 0005 --*/
-- Tarefa 2019106998 --
ALTER TABLE TT_ICO ADD CODBEN VARCHAR2(10) ;


/*-- SEQ 0006 --*/
-- Tarefa 2019106998 --
ALTER TABLE TT_ICO ADD VLRDESON Number(15,2) ;


/*-- SEQ 0007 --*/
-- Tarefa 2019106998 --
ALTER TABLE TT_ICO ADD MOTDESON Number(2) ;


/*-- SEQ 0008 --*/
-- Tarefa 2019106998 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_NN_MOTDESON CHECK ((MOTDESON IS NULL AND COALESCE(VLRDESON, 0) = 0) OR (MOTDESON IS NOT NULL AND COALESCE(VLRDESON, 0) <> 0));

/*-- SEQ 0009 --*/
-- Tarefa 2019106998 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_MOTDESON  CHECK (MOTDESON IN (1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12));




/*-- SEQ 0010 --*/
-- Projeto PJ7277 --
ALTER TABLE TT_EDI ADD QTDPEN_ENT Number(16,4) ;


/*-- SEQ 0011 --*/
-- Projeto PJ7277 --
ALTER TABLE TT_EDI ADD QTDPEN_SAI Number(16,4) ;



/*-- SEQ 0012 --*/
-- Projeto PJ7277 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0013 --*/
-- Projeto PJ7277 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DIST_SEM_ETAPA_APLI', 'Gerar Pedido de Reposio na Distribuio sem a etapa Aplicar?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DIST_SEM_ETAPA_APLI'));

/*-- SEQ 0014 --*/
-- Projeto PJ7277 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0015 --*/
-- Ticket 2019117065 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0016 --*/
-- Ticket 2019117065 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TRANSF_VLRITE_ST_MAJ', 'Majorar Valor de Item Substitudos em Transferncia', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TRANSF_VLRITE_ST_MAJ'));

/*-- SEQ 0017 --*/
-- Ticket 2019117065 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

