
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2020046939 --
CREATE TABLE TT_CFC (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  NUMITE Number(5,0),
  TIPMEI VARCHAR2(1),
  DESMEI VARCHAR2(40),
  VLRAPU Number(12,2),
  VLRCAN Number(12,2),
  VLRCON Number(12,2),
  QTDLAN Number(10,0),
  DATINC Date
  ) TABLESPACE TOTALL_DATA;

 /*-- SEQ 0003 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC ADD CONSTRAINT PK_CFC PRIMARY KEY (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0004 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC MODIFY (TIPMEI CONSTRAINT NN_CFC_TIPMEI NOT NULL);


/*-- SEQ 0005 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC MODIFY (DESMEI CONSTRAINT NN_CFC_DESMEI NOT NULL);


/*-- SEQ 0006 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC MODIFY (VLRAPU CONSTRAINT NN_CFC_VLRAPU NOT NULL);


/*-- SEQ 0007 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC MODIFY (VLRCAN CONSTRAINT NN_CFC_VLRCAN NOT NULL);


/*-- SEQ 0008 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC MODIFY (VLRCON CONSTRAINT NN_CFC_VLRCON NOT NULL);


/*-- SEQ 0009 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC MODIFY (QTDLAN CONSTRAINT NN_CFC_QTDLAN NOT NULL);


/*-- SEQ 0010 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC MODIFY (DATINC CONSTRAINT NN_CFC_DATINC NOT NULL);


/*-- SEQ 0011 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC ADD CONSTRAINT FK_CFC_RCAI FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TR_CAI (CODFIL, SEQUEN);

/*-- SEQ 0012 --*/
-- Ticket 2020046939 --
CREATE INDEX I_FK_CFC_RCAI ON TT_CFC (CODFIL,SEQUEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0013 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC MODIFY (VLRAPU DEFAULT 0);

/*-- SEQ 0014 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC MODIFY (VLRCAN DEFAULT 0);

/*-- SEQ 0015 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC MODIFY (VLRCON DEFAULT 0);

/*-- SEQ 0016 --*/
-- Ticket 2020046939 --
ALTER TABLE TT_CFC MODIFY (QTDLAN DEFAULT 0);


/*-- SEQ 0017 --*/
-- Ticket 2020072036 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0018 --*/
-- Ticket 2020072036 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NUM_CHR_PREF_CL_ECOM', 'Nmero de caracteres de prefixo da classe de produto para E-Commerce.', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NUM_CHR_PREF_CL_ECOM'));

/*-- SEQ 0019 --*/
-- Ticket 2020072036 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0020 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0021 --*/
-- Ticket 2020070926 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '34011190',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '34011190' ));

/*-- SEQ 0022 --*/
-- Ticket 2020070926 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19059090',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19059090' ));

/*-- SEQ 0023 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_NCM ENABLE ALL TRIGGERS;

/*-- SEQ 0024 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_CES DISABLE ALL TRIGGERS;


/*-- SEQ 0025 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2003401',
        'Lenos umedecidos',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2003401'));

/*-- SEQ 0026 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '1703101',
        'Salgadinhos diversos, derivados de farinha de trigo',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '1703101'));

/*-- SEQ 0027 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_CES ENABLE ALL TRIGGERS;

/*-- SEQ 0028 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_CESXNCM DISABLE ALL TRIGGERS;


/*-- SEQ 0029 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2003401',
        '34011190',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2003401'
                       AND CODNCM = '34011190' ));

/*-- SEQ 0030 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '1703101',
        '19059090',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '1703101'
                       AND CODNCM = '19059090' ));

/*-- SEQ 0031 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_CESXNCM ENABLE ALL TRIGGERS;


/*-- SEQ 0032 --*/
-- Ticket 2020064779 --
ALTER TABLE TI_CLI ADD E_MFIN VARCHAR2(254) ;



/*-- SEQ 0033 --*/
-- Ticket 2020072007 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0034 --*/
-- Ticket 2020072007 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OBRIGAR_CLI_CAD_DEV', 'Obrigar cliente cadastrado na devolução pelo Totall POS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIGAR_CLI_CAD_DEV'));

/*-- SEQ 0035 --*/
-- Ticket 2020072007 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0036 --*/
-- Ticket 2020072007 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0037 --*/
-- Ticket 2020072007 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'OBRIGAR_CLI_CAD_DEV'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0038 --*/
-- Ticket 2020072007 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2019121889-2020043660 --
ALTER TABLE TT_ORC MODIFY (NUMPED_RE VARCHAR2(40));

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2019121889-2020043660 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_FLGECO;

/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2019121889-2020043660 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_FLGECO CHECK (FLGECO IN ('T','R','P','F','E','N','C','O','V'));




/*-- SEQ 0042 --*/
-- Ticket 2020064510 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0043 --*/
-- Ticket 2020064510 --
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS, 1, 261) || 'S' || SUBSTR(PERMIS, 263, LENGTH(PERMIS))
 WHERE SUBSTR(PERMIS, 437, 1) = 'S'
   AND SUBSTR(PERMIS, 262, 1) = 'N';
 
/*-- SEQ 0044 --*/
-- Ticket 2020064510 -- 
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS, 1, 436) || 'N' || SUBSTR(PERMIS, 438, LENGTH(PERMIS))
 WHERE SUBSTR(PERMIS, 437, 1) = 'S'; 

/*-- SEQ 0045 --*/
-- Ticket 2020064510 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;


/*-- SEQ 0046 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_SAL ADD DESEST_NEW VARCHAR2(30) ;


/*-- SEQ 0047 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_SAL DISABLE ALL TRIGGERS;


/*-- SEQ 0048 --*/
-- Ticket 2020072899 --
UPDATE TI_SAL SET DESEST_NEW = DESEST WHERE DESEST IS NOT NULL;

/*-- SEQ 0049 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_SAL ENABLE ALL TRIGGERS;

/*-- SEQ 0050 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_SAL DROP COLUMN DESEST CASCADE CONSTRAINT;

/*-- SEQ 0051 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_SAL ADD DESEST VARCHAR2(30) ;


/*-- SEQ 0052 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_SAL DISABLE ALL TRIGGERS;


/*-- SEQ 0053 --*/
-- Ticket 2020072899 --
UPDATE TI_SAL SET  DESEST = DESEST_NEW WHERE DESEST_NEW IS NOT NULL;

/*-- SEQ 0054 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_SAL ENABLE ALL TRIGGERS;

/*-- SEQ 0055 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_SAL DROP COLUMN DESEST_NEW CASCADE CONSTRAINT;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020072899 --
ALTER TABLE TI_SLT DROP CONSTRAINT NN_ISLT_DESEST;


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020072899 --
ALTER TABLE TI_ICO DROP CONSTRAINT NN_IICO_CODMUL;


/*-- SEQ 0058 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_IVE ADD CODMUL_NEW VARCHAR2(30) ;


/*-- SEQ 0059 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_IVE DISABLE ALL TRIGGERS;


/*-- SEQ 0060 --*/
-- Ticket 2020072899 --
UPDATE TI_IVE SET CODMUL_NEW = CODMUL WHERE CODMUL IS NOT NULL;

/*-- SEQ 0061 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_IVE ENABLE ALL TRIGGERS;

/*-- SEQ 0062 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_IVE DROP COLUMN CODMUL CASCADE CONSTRAINT;

/*-- SEQ 0063 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_IVE ADD CODMUL VARCHAR2(30) ;


/*-- SEQ 0064 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_IVE DISABLE ALL TRIGGERS;


/*-- SEQ 0065 --*/
-- Ticket 2020072899 --
UPDATE TI_IVE SET  CODMUL = CODMUL_NEW WHERE CODMUL_NEW IS NOT NULL;

/*-- SEQ 0066 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_IVE ENABLE ALL TRIGGERS;

/*-- SEQ 0067 --*/
-- Ticket 2020072899 --
ALTER TABLE TI_IVE DROP COLUMN CODMUL_NEW CASCADE CONSTRAINT;



/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077751 --
ALTER TABLE TI_PRO ADD REDCON Number(7,4) ;


/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077751 --
ALTER TABLE TI_PRO ADD APLCON VARCHAR2(1) ;



/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077530 --
ALTER TABLE TT_CLI ADD INDEXP CHAR(1) ;


/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077530 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_INDEXP CHECK ((INDEXP IS NULL) OR (INDEXP IN ('I', 'N', 'E')));


/*-- SEQ 0072 --*/
-- Ticket 2020076812 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0073 --*/
-- Ticket 2020076812 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'IMP_INFADPROD_NFCE', 'Imprime Informao Adicional do produto na NFC-e', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_INFADPROD_NFCE'));

/*-- SEQ 0074 --*/
-- Ticket 2020076812 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0075 --*/
-- Ticket 2020076812 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0076 --*/
-- Ticket 2020076812 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'IMP_INFADPROD_NFCE'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0077 --*/
-- Ticket 2020076812 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;



/*-- SEQ 0078 --*/
-- Ticket 2020064839 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUGDEPOSIT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUGDEPOSIT'));



/*-- SEQ 0079 --*/
-- Ticket 2020085628 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0080 --*/
-- Ticket 2020085628 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PIS_S_ICMS_COM', 'Retirar o valor do ICMS prprio da Base de PIS/COFINS nas entradas/compras', 'B', 'T', 'T', 'F', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PIS_S_ICMS_COM'));

/*-- SEQ 0081 --*/
-- Ticket 2020085628 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0082 --*/
-- Ticket 2020085628 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0083 --*/
-- Ticket 2020085628 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS,
        CASE WHEN FUN.NOMFUN IS NULL THEN 'F' ELSE 'T' END
  FROM TT_PCS PCS LEFT JOIN TT_FUN FUN ON FUN.NOMFUN = 'PIS_S_ICMS'
 WHERE PCS.NOMPCS = 'PIS_S_ICMS_COM'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0084 --*/
-- Ticket 2020085628 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020068604 --
ALTER TABLE TT_IUF DROP CONSTRAINT CK_IUF_REGDIF;

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020068604 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REGDIF CHECK (REGDIF IN ('C','J','N','R'));



/*-- SEQ 0087 --*/
-- Tarefa 2020074417 --
ALTER TABLE TI_USU DISABLE ALL TRIGGERS;

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ADD TIPOPE VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0089 --*/
ALTER TABLE TI_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020074417 --
ALTER TABLE TI_USU ADD CONSTRAINT CK_IUSU_TIPOPE CHECK (TIPOPE IN ('T','I','A'));

/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020074417 --
ALTER TABLE TI_USU ADD DOCPAR VARCHAR2(15) ;


/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020074417 --
ALTER TABLE TI_USU DROP CONSTRAINT NN_IUSU_CODCLI;



/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020072614 --
ALTER TABLE TI_PRO ADD DESNCM VARCHAR2(4000) ;


/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020072614 --
ALTER TABLE TI_PRO ADD DESCES VARCHAR2(4000) ;




/*-- SEQ 0095 --*/
-- Ticket 2020094457 --
ALTER TABLE TT_CAM MODIFY (VLRREF Number(14,4));


/*-- SEQ 0096 --*/
-- Ticket 2020057088 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0097 --*/
-- Ticket 2020057088 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DIVIDACOR', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DIVIDACOR'));

/*-- SEQ 0098 --*/
-- Ticket 2020057088 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0099 --*/
-- Ticket 2020113404 --
ALTER TABLE TT_TEF MODIFY (NSUTRN VARCHAR2(20));


/*-- SEQ 0100 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (ESTCIV Number(5,0));

/*-- SEQ 0101 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (FLGTIP Number(5,0));

/*-- SEQ 0102 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (CODSEX Number(5,0));

/*-- SEQ 0103 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (SEXCON Number(5,0));

/*-- SEQ 0104 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (E_MCON VARCHAR2(254));

/*-- SEQ 0105 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (ALUFIN Number(12,2));

/*-- SEQ 0106 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (FIRCON VARCHAR2(50));

/*-- SEQ 0107 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (ENDCO1 VARCHAR2(50));

/*-- SEQ 0108 --*/
-- Ticket 2020104416 --
ALTER TABLE TI_CLI MODIFY (CANMES Number(5,0));


/*-- SEQ 0109 --*/
-- Ticket 2020113404 --
ALTER TABLE TT_TEF MODIFY (NUMAUT VARCHAR2(100));

