
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 20230512273 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- Ticket 20230512273 --
UPDATE TT_PCS
   SET PCSATI = 'F'
 WHERE NOMPCS =  'BLQREC_DOCEMI_OUTFIL';


/*-- SEQ 0004 --*/
-- Ticket 20230512273 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023106939 --
ALTER TABLE TD_MDV ADD CONSTRAINT AK_DMDV_DESMDV_CODVEI UNIQUE (DESMDV,CODVEI);


/*-- SEQ 0006 --*/
-- Ticket 2023108817 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD PREORICAM Number(14,4) ;


/*-- SEQ 0007 --*/
-- Ticket 2023108817 --
ALTER TABLE TT_IOR DISABLE ALL TRIGGERS;

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD PREMANCAM CHAR(1) DEFAULT 'F';

/*-- SEQ 0009 --*/
ALTER TABLE TT_IOR ENABLE ALL TRIGGERS;

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023108817 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_PREMANCAM CHECK (PREMANCAM in ('T','F'));




/*-- SEQ 0011 --*/
-- Ticket 2023096649 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0012 --*/
-- Ticket 2023096649 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OBS_CLI_RECEBIMENTO', 'Exibir Observaes de Cliente no recebimento de dbitos no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBS_CLI_RECEBIMENTO'));

/*-- SEQ 0013 --*/
-- Ticket 2023096649 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0014 --*/
-- Ticket 2023099485 --
ALTER TABLE TD_FIL ADD TEF_CODLOJAUT VARCHAR2(4) ;


/*-- SEQ 0015 --*/
-- Ticket 2023099485 --
ALTER TABLE TD_FIL ADD TEF_CODESTAUT VARCHAR2(5) ;


/*-- SEQ 0016 --*/
-- Ticket 2023099485 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0017 --*/
ALTER TABLE TD_FIL ADD TEF_GPPADRAO Number(3,0) DEFAULT 0;

/*-- SEQ 0018 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;


/*-- SEQ 0019 --*/
-- Ticket 2023122684 --
ALTER TABLE TT_GUARDA MODIFY (GUA_ID Number(12));

/*-- SEQ 0020 --*/
-- Ticket 2023122684 --
ALTER TABLE TT_GUARDA MODIFY (GUA_SATCFE Number(12));


/*-- SEQ 0021 --*/
-- Ticket 20230810779 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_FLGECO CASCADE;

/*-- SEQ 0022 --*/
-- Ticket 20230810779 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_FLGECO CHECK (FLGECO IN ('T', 'R', 'P', 'F', 'E', 'N', 'C', 'O', 'V','0','1','2'));


/*-- SEQ 0023 --*/
-- Ticket 20230713931 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0024 --*/
-- Ticket 20230713931 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,455)||'SSS'||SUBSTR(PERMIS,459,9999);

/*-- SEQ 0025 --*/
-- Ticket 20230713931 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;


/*-- SEQ 0026 --*/
-- Ticket 2023123165 --
ALTER TABLE TT_PED ADD DATAPR Date ;



/*-- SEQ 0027 --*/
-- Ticket 2024015675 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0028 --*/
-- Ticket 2024015675 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'ACEITA_CSOSN_103', 'Utiliza CSOSN 103 (Iseno do ICMS no Simples Nacional para faixa de receita bruta) ?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ACEITA_CSOSN_103'));
/*-- SEQ 0029 --*/
-- Ticket 2024015675 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0030 --*/
-- Tarefa 2024015675 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0031 --*/
-- Tarefa 2024015675 --
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT SQIPC.NEXTVAL, PCS.ID_PCS, 'T', 'T', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'ACEITA_CSOSN_103'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS);

/*-- SEQ 0032 --*/
-- Tarefa 2024015675 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023120719 --
CREATE INDEX I_LC_ROM_PLACAS ON TT_ROM (PLACAS) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0034 --*/
-- Ticket 2023123163 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0035 --*/
-- Ticket 2023123163 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PERMITE_FAT_PARC_REP', 'Permite Faturamento parcial do Pedido de Transferncia/Reposio j separados CommerceWeb?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITE_FAT_PARC_REP'));

/*-- SEQ 0036 --*/
-- Ticket 2023123163 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0037 --*/
-- Ticket 2023123163 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0038 --*/
-- Ticket 2023123163 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITE_FAT_PARC_REP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0039 --*/
-- Ticket 2023123163 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0040 --*/
-- Ticket 2023116403 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0041 --*/
-- Ticket 2023116403 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USA_TRANS_AUTOMATICA', 'Utiliza processo de transferncia automtica?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_TRANS_AUTOMATICA'));

/*-- SEQ 0042 --*/
-- Ticket 2023116403 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0043 --*/
-- Ticket 2023116403 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0044 --*/
-- Ticket 2023116403 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'USA_TRANS_AUTOMATICA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0045 --*/
-- Ticket 2023116403 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;





